<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @paked: admin.musicbox.html.php
* @ Copyright (C) 2007 Vamba
* @ All rights reserved
* @ Fork of booklist by Yann Bouan
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @ Copyright (C) 2005 Jan Schulz-Hofen
* @ All rights reserved
* @ This component is derived from the com_booklist component by Yann Bouan which is derived from the mambo com_weblinks component
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class HTML_album { 

###############################
# ALBUM
###############################

	function showAlbum( $option, &$rows, &$clist, &$search, &$pageNav ) {
		global $database, $mainframe, $my;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
	
?>
			<form action="index2.php" method="post" name="adminForm">
				<table class="adminheading" cellpadding="4" cellspacing="0" border="0" width="100%">
					<tr>
						<th width="100%" class="edit">
							<?php echo _MBOX_MUSICBOX_MANAGER; ?>
						</th>
						<td>
							<?php echo _MBOX_FILTER; ?>
						</td>
						<td>
							<input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" />
						</td>
						<td width="right">
							<?php echo $clist;?>
						</td>
					</tr>
				</table>

			<table class="adminlist">
				<thead>
					<tr>
						<th width="5">
						#
						</th>					
						<th width="20">
							<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
						</th>
						<th width="30%" align="left" nowrap="nowrap">
							<?php echo _MBOX_MUSICBOX_TITLE; ?>
						</th>
						<th width="20%" align="left" nowrap="nowrap">
							<?php echo _MBOX_SINGER; ?>
						</th>
						<th width="25%" align="left" nowrap="nowrap">
							<?php echo _MBOX_CATEGORY; ?>
						</th>
						<th width="20%" align="left" nowrap="nowrap">
							<?php echo _MBOX_FIRM; ?>
						</th>
						<th width="25"  align="center" nowrap="nowrap">
							<?php echo _MBOX_HITS; ?>
						</th>
						<th colspan="2" align="center" width="5%">
							<?php echo _MBOX_HEADER_REORDER; ?>
						</th>						
						<th width="10%">
							<?php echo _MBOX_HEADER_ACCESS;?>
						</th>						
						<th width="5%" nowrap="nowrap">
							<?php echo _MBOX_PUBLISHED; ?>
						</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="13">
							<?php echo $pageNav->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
				<tbody>
<?php
		$k = 0;
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
		$row = &$rows[$i];
		$access 	= mosCommonHTML::AccessProcessing( $row, $i );		
		$checked 	= mosCommonHTML::CheckedOutProcessing( $row, $i );
		$link 	= 'index2.php?option='.$option.'&task=editA&hidemainmenu=1&id='. $row->id;
	
?>
					<tr class="<?php echo "row$k"; ?>">
						<td><?php echo $pageNav->rowNumber( $i ); ?></td>
						<td><?php echo $checked; ?></td>
						<td nowrap="nowrap">
						<?php
							if ( $row->checked_out && ( $row->checked_out != $my->id )) {
								echo $row->titolo;
							} else {
							?>							
							<a href="<?php echo $link; ?>" title="<?php echo $row->title; ?>">
							<?php echo htmlspecialchars($row->title, ENT_QUOTES); ?>
							</a>							
									<?php
								}
								?>
						</td>
						<td nowrap="nowrap">
							<?php echo $row->authors; ?>
						</td>
						<td >
							<?php echo $row->category; ?>
						</td>
						<td nowrap="nowrap">
							<?php echo $row->editor; ?>
						</td>
						<td align="center">
							<?php echo $row->hits; ?>
						</td>
						<td align="right">
							<?php echo $pageNav->orderUpIcon( $i, ($row->catid == @$rows[$i-1]->catid) ); ?>
						</td>
						<td align="left">
						<?php echo $pageNav->orderDownIcon( $i, $n, ($row->catid == @$rows[$i+1]->catid) ); ?>
						</td>						
						<td align="center">
							<?php echo $access;?>
						</td>							

<?php
		$task = $row->published ? 'unpublish' : 'publish';
		$img = $row->published ? 'publish_g.png' : 'publish_x.png';
?>
						<td width="5%" align="center">
							<a href="javascript: void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')"><img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="" /></a>
						</td>

<?php		$k = 1 - $k; } ?>
					</tr>
				</tbody>
			</table>
				<input type="hidden" name="option" value="<?php echo $option;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="section" value="album" />
				<input type="hidden" name="boxchecked" value="0" />
			</form>
	
<?php
		echo "</table>";// chiusura inclusione menu navigazione
	}//chiusura funzione  showAlbum

###############################
# MODIFICA ALBUM
###############################

	function editAlbum( $option, &$row, &$clist, &$elist, &$authorsAll, &$authorList, &$canzList, &$formatli , &$formatsup , &$formatdisc ) {
	  global $mainframe, $database, $value, $content, $song, $item, $mboxConfig;
	  include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
		mosMakeHtmlSafe( $row, ENT_QUOTES, 'description' );

		$now 			= _CURRENT_SERVER_TIME;
		$nullDate 		= $database->getNullDate();
		$create_date 	= null;
		
		if ( $row->created != $nullDate ) {
			$create_date 	= mosFormatDate( $row->created, '%A, %d %B %Y %H:%M', '0' );
		}
		$mod_date = null;
		if ( $row->modified != $nullDate ) {
			$mod_date 		 = mosFormatDate( $row->modified, '%A, %d %B %Y %H:%M', '0' );
		}		
		mosCommonHTML::loadOverlib();
		mosCommonHTML::loadCalendar();
	?>
		<script language="javascript" type="text/javascript">
		function selectAll( frmName, srcListName ) {
			var form = eval( 'document.' + frmName );
			var srcList = eval( 'form.' + srcListName );
			var srcLen = srcList.length;

        for (var i=srcLen-1; i > -1; i--) {
			srcList.options[i].selected=true;
          }
      }

		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
          }
          // do field validation
          if (form.title.value == ""){
				    alert( "<?php echo _MBOX_ALERT_TITLE; ?>" );
			    } else if (form.catid.value == "0"){
				    alert( "<?php echo _MBOX_ALERT_SELECT_CATEGORY; ?>" );
			    }else {
            selectAll( 'adminForm', 'authors' );
            submitform( pressbutton );
			}
        }
      </script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>
			<form action="index2.php" method="post" name="adminForm">

			<div class="col100">
			<fieldset class="adminform">
			<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_ALBUM; ?> <?php echo $row->title;?></legend>
			<table width="100%" class="admintable">
					<tr>
						<td width="80%" valign="top" border="1"> <!-- tabella sinistra-->
			<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="title">
											<?php echo _MBOX_ALBUM_TITLE; ?>
							</label>
						</td>
						<td width="80%">
							<input class="inputbox" type="text" name="title" size="50" maxlength="250" value="<?php echo $row->title;?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="title2">
								<?php echo _MBOX_ALBUM_TITLEIFSINGLE; ?>
							</label>
						</td>
						<td width="80%">
							<input class="inputbox" type="text" name="titleifsingle" size="50" maxlength="250" value="<?php echo $row->titleifsingle;?>" />
						</td>
					</tr>	
					<tr>
						<td width="20%" class="key">
							<label for="name">
								<?php echo _MBOX_CATEGORY ?>
							</label>
						</td>
						<td width="80%">
							<?php echo $clist; ?>
						</td>
					</tr>
					<?php if ($mboxConfig['custom01']){ ?>	
					<tr>
						<td width="20%" class="key">
							<label for="custom01">
								<?php echo _MBOX_ALBUM_CUSTOM01; ?>
							</label>
						</td>
						<td width="80%">
							<input class="inputbox" type="text" name="custom01" size="50" maxlength="250" value="<?php echo $row->custom01;?>" />
						</td>
					</tr>
					<?php } if ($mboxConfig['custom02']){ ?>					
					<tr>
						<td width="20%" class="key">
							<label for="custom02">
								<?php echo _MBOX_ALBUM_CUSTOM02; ?>
							</label>
						</td>
						<td width="80%">
							<input class="inputbox" type="text" name="custom02" size="50" maxlength="250" value="<?php echo $row->custom02;?>" />
						</td>
					</tr>
					<?php } if ($mboxConfig['custom03']){ ?>					
					<tr>
						<td width="20%" class="key">
							<label for="custom03">
								<?php echo _MBOX_ALBUM_CUSTOM03; ?>
							</label>
						</td>
						<td width="80%">
							<input class="inputbox" type="text" name="custom03" size="50" maxlength="250" value="<?php echo $row->custom03;?>" />
						</td>
					</tr>
					<?php } if ($mboxConfig['custom04']){ ?>					
					<tr>
						<td width="20%" class="key">
							<label for="custom04">
								<?php echo _MBOX_ALBUM_CUSTOM04; ?>
							</label>
						</td>
						<td width="80%">
							<input class="inputbox" type="text" name="custom04" size="50" maxlength="250" value="<?php echo $row->custom04;?>" />
						</td>
					</tr>
					<?php } ?>
					<tr>
						<td width="20%" class="key">
							<label for="authors">
								<?php echo _MBOX_AUTHORS; ?>
							</label>
						</td>
						<td width="80%">
						<table width="80%" align="center" style="color: #484848;font-family: serif;">
							<tr>
								<td>
									<?php echo _MBOX_LIST_SINGER; ?><br />
										<select style="background-color:#CADAE2;" multiple name=authorsAll id=authorsAll>
								<?php if ($row->id>0) {
										$authorsAlls=array_diff_assoc($authorsAll,$authorList);
										} else {
										$authorsAlls=$authorsAll;
									}
										foreach ($authorsAlls as $value) {
										print "<option value=".$value['value'].">".$value['text']."</option>";
									}?>
							</select>
								</td>
								<td>
									<input style="background-color:#CADAE2;" type=button value="<?php echo _MBOX_SELECT; ?>" onclick="javascript:  addSelectedToList( 'adminForm', 'authorsAll', 'authors' );delSelectedFromList( 'adminForm', 'authorsAll' );"><br />
									<input style="background-color:#CADAE2;" type=button value="<?php echo _MBOX_REMOVE; ?>" onclick="javascript:addSelectedToList( 'adminForm', 'authors', 'authorsAll' );delSelectedFromList( 'adminForm', 'authors' );">
								</td>
								<td>
									<?php echo _MBOX_SELECTED_SINGER; ?><br />
									<select style="font-weight:bold;" multiple name='authors[]' id=authors>
								<?php
									foreach ($authorList as $value ) {
									print "<option value=".$value['value'].">".$value['text']."</option>";
								} ?>
							</select>
								</td>
							</tr>
						</table>
						</td>
					</tr>						
		<style>
			.canzoni {padding-left: 10px;border-top: 1px solid #999999;	border-right: 1px solid #DDDDDD;border-bottom: 1px solid #DDDDDD;border-left: 1px solid #999999;background: #FFFFFF;width: 511px;}
		</style>
					<tr>
						<td width="20%" class="key">
							<label for="authors">
								<?php echo _MBOX_ALBUMSONG; ?>
							</label>
						</td>
						<td width="80%">				
							<table width="98%">
							<tr>
								<td align="left" width="40">
								    <?php $link = 'index2.php?option=com_musicbox&section=canzone&task=edit2&hidemainmenu=1'; ?>
									<a onclick="popupWindow('<?php echo $link ;?>','win1',850,450,'yes');">
									<img src="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/new_f2.png" border="0"></a></td>
								<td width="98%" align="left" style="font-weight: bold;padding:3px 0px 0px 3px;">
									<?php echo _MBOX_ADDNEWSONG ; ?>
									</a>
								<br />
									<span style="font-size: 9px; color:#1a1a1a;"><?php echo _MBOX_ADDNEWSONGTXT ; ?></span>
								</td>
							</tr>

		<?php if ($canzList) { 
                    foreach ($canzList as $value ) {
			
						echo "<table width=\"100%\" >";
						echo "<tr>";	

#			$_MAMBOTS->loadBotGroup( 'mbox' );
#			$text01 = $value->songmp3;
#			$currItemsong->text = "{play}".$mboxConfig['audio']."/".$text01."{/play}";
#			$results = $_MAMBOTS->trigger( 'onPrepare', array( &$currItemsong, &$params ), true );
			if ($value->songmp3) {
						echo "<td align=\"left\" style=\"border-bottom: 1px solid #ccc; font-size: 12px; font-family:normal Arial, sans-serif;font-weight: bold;color: #4F89D2; width: autopx;\">".$value->song."</td>";			
#						echo "<td width=\"200\" align=\"left\" style=\"border-bottom: 1px solid #ccc;\">".$currItemsong->text."</td>" ;				
				}else if ($value->songurl){
#			$text11 = $value->songurl;
#			$currItemsongu->text = "{play}".$text11."{/play}";
#			$results = $_MAMBOTS->trigger( 'onPrepare', array( &$currItemsongu, &$params ), true );

						echo "<td align=\"left\" style=\"border-bottom: 1px solid #ccc; font-size: 12px; font-family:normal Arial, sans-serif;font-weight: bold;color: #4F89D2; width: autopx;\">".$value->song."</td>";			
#						echo "<td width=\"200\" align=\"left\" style=\"border-bottom: 1px solid #ccc;\">".$currItemsongu->text."</td>" ;				
			
		}else{
						echo "<td align=\"left\" style=\"border-bottom: 1px solid #ccc; font-size: 12px; font-family:normal Arial, sans-serif;font-weight: bold;color: #4F89D2; width: autopx;\">".$value->song."</td>";				
#						echo "<td width=\"200\" align=\"center\" style=\"border-bottom: 1px solid #ccc;\"></td>" ;				
			}			
					echo "</tr>";
					echo "</table>";
				
      }//if  foreach

		}else{ //if no $canzList
					echo "<tr>";
					echo "<td>";
					echo "</td>";
					echo "<td width=\"80%\">";		
					echo _MBOX_NOALBUMSONG;
					echo "</td></tr>";
					echo "</table>";					
		}//fine if $canzList
		?>						
					<tr>
						<td width="20%" class="key">
							<label for="descr">
								<?php echo _MBOX_HTML; ?>
							</label>
						</td>
						<td width="80%">
							<textarea cols="60" class="inputbox" rows="10"  name="html" id="html"><?php echo $row->html; ?></textarea>
						</td>
					</tr>	
		  <?php if ($mboxConfig['custom05']){ ?>
					<tr>
						<td width="20%" class="key">
							<label for="custom05">
								<?php echo _MBOX_ALBUM_CUSTOM05; ?>
							</label>
						</td>
						<td width="80%">
							<textarea cols="60" class="inputbox" rows="5"  name="custom05" id="custom05"><?php echo $row->custom05; ?></textarea>
						</td>
					</tr>
		  <?php } if ($mboxConfig['custom06']){ ?>						
					<tr>
						<td width="20%" class="key">
							<label for="custom06">
								<?php echo _MBOX_ALBUM_CUSTOM06; ?>
							</label>
						</td>
						<td width="80%">
							<textarea cols="60" class="inputbox" rows="5"  name="custom06" id="custom05"><?php echo $row->custom06; ?></textarea>
						</td>
					</tr>						
		  <?php } ?>

				</table>
				</td><!-- fine tabella sinistra-->
				<td width="20%" valign="top" border="1" > <!-- tabella destra-->
				<table valign="top" class="adminform">
			<tr>
					<th colspan="2" style="background-color: #f6f6f6; text-align: left;color: #666; font-weight: bold; border-bottom: 1px solid #e9e9e9; border-right: 1px solid #e9e9e9;">
						<?php echo _MBOX_HEADERMBOX ; ?>
					</th>
		   </tr>		   
		   <tr>
				<td valign="top">
		   <table align="center" valign="top">
			<?php
				if ($row->foto) {
				if ($row->id>0) {
					$cover_s=$mainframe->getCfg('live_site')."/images/musicbox_cover/".$row->id."_s.jpg";
					$cover_l=$mainframe->getCfg('live_site')."/images/musicbox_cover/".$row->id."_l.jpg";
					$Abscover_s=$mainframe->getCfg('absolute_path')."/images/musicbox_cover/".$row->id."_s.jpg";
					$Abscover_l=$mainframe->getCfg('absolute_path')."/images/musicbox_cover/".$row->id."_l.jpg"; ?>

          <tr>
				<td valign="top" align="center">
					<a style="cursor:pointer" onclick="popupWindow('index2.php?option=<?php echo $option?>&section=album&task=upload&no_html=1&albumid=<?php echo $row->id; ?>','win1',400,100,'no');">
					<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/com_musicbox/images/upload_f2.png" align="absmiddle" height="16" width="16" border="0" /> <?php echo _MBOX_LOAD_COVER; ?></a>
				</td>
		 </tr>					
            <?php
				echo "<tr>";
				if (file_exists($Abscover_s)) echo "<td align=\"center\"><img id=\"covers\" src=\"$cover_s\" width=\"60\" height=\"60\" style=\"padding: 3px; border-left : 1px solid #cccccc; border-top : 1px solid #cccccc; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset\">";
				echo "&nbsp;&nbsp;";
				if (file_exists($Abscover_l)) echo "<img id=\"coverl\" src=\"$cover_l\" width=\"90\" height=\"90\" style=\"padding: 3px; border-left : 1px solid #cccccc; border-top : 1px solid #cccccc; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset\">";
				?>
				</td>
                </tr>
                <?php
				} else { ?>
          <tr>
            <td valign="top" align="center">
                <a style="cursor:pointer" onclick="popupWindow('index2.php?option=<?php echo $option?>&section=album&task=upload&no_html=1&albumid=<?php echo $row->id; ?>','win1',400,100,'no');">
				<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/com_musicbox/images/upload_f2.png" align="absmiddle" height="16" width="16" border="0" /> <?php echo _MBOX_LOAD_COVER; ?></a>
			 </td>
		 </tr>	
		  <?php
		  }
		 }else{
		
				echo "<tr><td>";
				   echo _MBOX_COVER_MSG ;
				echo "</td></tr>";				   
                }

			?>
			</td>
		</tr>	
		</table>
		<table valign="top" class="adminform">
				<th colspan="2" style="background-color: #f6f6f6; text-align: left;color: #666; font-weight: bold; border-bottom: 1px solid #e9e9e9; border-right: 1px solid #e9e9e9;">
				<?php echo _MBOX_GENERAL_INFO?>
				</th>
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_FIRM_NAME ?>
				</td>
				<td>
					<?php echo $elist; ?>
				</td>
          </tr>		   
		  <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_PUBLISHED; ?>
				</td>
				<td>
			<?php
				if ($row->id>0) {
              $published = mosHTML::yesnoRadioList('published', 'class="inputbox"', $row->published);
				}	else {
              $published = mosHTML::yesnoRadioList('published', 'class="inputbox"', 1);
            }
				echo $published;?>
				</td>
			</tr>
			<tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ANNO; ?>
				</td>
				<td>
					<input class="inputbox" type="text" name="anno" value="<?php echo $row->anno; ?>" size="6" maxlength="20" />
				</td>
          </tr>
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_DURATION; ?>
				</td>
				<td>
					<input class="inputbox" type="text" name="durata" value="<?php echo $row->durata; ?>" size="4" maxlength="10" />
				</td>
          </tr>
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_CATALOG; ?>
				</td>
				<td>
					<input class="inputbox" type="text" name="catalog" value="<?php echo $row->catalog; ?>" size="20" maxlength="50" />
				</td>
          </tr>
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_ALBDATE; ?>
				</td>
				<td>
					<input class="inputbox" type="text" name="date" value="<?php echo $row->date; ?>" size="14" maxlength="12" />
				</td>
          </tr>
		  </table>
		  <table>			  
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_SUPPORT; ?>
				</td>
		  </tr>
		  <tr>	
				<td>
					<?php echo $formatli; ?>
				</td>
          </tr>	
          <tr>				
				<td>
					<span class="small"><?php echo _MBOX_ADM_OR; ?></span><br />
					<input class="inputbox" type="text" name="support2" value="<?php echo $row->support2; ?>" size="30" maxlength="255" />		  
		  </tr>
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_BOX; ?><span class="small">
				</td>
		  </tr>
		  <tr>					
				<td>
					<?php echo $formatsup; ?>
				</td>
          </tr>
          <tr>				
				<td>
					<span class="small"><?php echo _MBOX_ADM_OR; ?></span><br />		  
					<input class="inputbox" type="text" name="box2" value="<?php echo $row->box2; ?>" size="30" maxlength="255" />		  
          </tr>
		  <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_TYPEOFDISC; ?><span class="small">
				</td>
		  </tr>
		  <tr>					
				<td>
					<?php echo $formatdisc; ?>
				</td>
          </tr>
          <tr>				
				<td>
					<span class="small"><?php echo _MBOX_ADM_OR; ?></span><br />		  
					<input class="inputbox" type="text" name="typedisc2" value="<?php echo $row->typedisc2; ?>" size="30" maxlength="255" />
				</td>
          </tr>		  
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_AMAZON2; ?>
				</td>
		  </tr>
		  <tr>					
				<td>
					<input class="inputbox" type="text" name="amazon" value="<?php echo $row->amazon; ?>" size="30" maxlength="255" />
				</td>
          </tr>			  
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_SEARCH_GOOGLE; ?>
				</td>
		  </tr>
		  <tr>			
				<td>
					<input class="inputbox" type="text" name="google" value="<?php echo $row->google; ?>" size="30" maxlength="255" />
				</td>
          </tr>
          <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_TAGS; ?>
				</td>
		  </tr>
		  <tr>			
				<td>
					<input class="inputbox" type="text" name="cloud" value="<?php echo $row->cloud; ?>" size="30" maxlength="255" />
				</td>
          </tr>
		  <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_OVERPUB; ?>:
				</td>
		  </tr>
		  <tr>				
				<td>
					<input name="reset" type="reset" class="button" onclick="return showCalendar('created', 'y-mm-dd');" value="..." />
					<input class="text_area" type="text" name="created" id="created" size="20" maxlength="19" value="<?php echo $row->created; ?>" />
				</td>
		  </tr>
		  <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_STARTPUB; ?>:
				</td>
		  </tr>
		  <tr>			
				<td>
					<input type="reset" class="button" value="..." onclick="return showCalendar('publish_up', 'y-mm-dd');" />
					<input class="text_area" type="text" name="publish_up" id="publish_up" size="20" maxlength="19" value="<?php echo $row->publish_up; ?>" />
				</td>
		 </tr>
		  <tr>
				<td valign="top" class="key">
					<?php echo _MBOX_ADM_ENDPUB; ?>:
				</td>
		 </tr>
		  <tr>			
				<td>
					<input type="reset" class="button" value="..." onclick="return showCalendar('publish_down', 'y-mm-dd');" />
				<input class="text_area" type="text" name="publish_down" id="publish_down" size="20" maxlength="19" value="<?php echo $row->publish_down; ?>" />
				</td>
		 </tr>		  
		</table>
		<table valign="top" class="adminform">
				<th colspan="2" style="background-color: #f6f6f6; text-align: left;color: #666; font-weight: bold; border-bottom: 1px solid #e9e9e9; border-right: 1px solid #e9e9e9;">
						<?php echo _MBOX_META; ?>
				</th>
			<tr>
				<td class="key">
						<?php echo _MBOX_META_DESCRIPTION; ?>
				</td>
			</tr>
			<tr>
				<td align="left" valign="top">
					<textarea class="inputbox" cols="15" rows="3"  style="width:99%" name="metadesc"><?php echo "$row->metadesc"; ?></textarea>
					<span class="small"><?php echo _MBOX_META_DESCRIPTION_DESC; ?></span>
				</td>
			</tr>
			<tr>
				<td>
					<input type="button" class="inputbox" value="<?php echo _MBOX_META_DESCRIPTION_AUTO; ?>" onClick="f=document.adminForm;f.metadesc.value=getSelectedText('adminForm','catid')+', '+f.html.value;" />
				</td>
			</tr>
			<tr>
				<td class="key"><?php echo _MBOX_KEYWORDS; ?></td>
			</tr>
			<tr>
				<td align="left">
					<textarea class="inputbox" cols="15" rows="3" style="width:99%" name="metakey"><?php echo "$row->metakey"; ?></textarea>
					<span class="small"><?php echo _MBOX_META_KEYWORDS_DESC; ?></span>
				</td>
			</tr>
			<tr>
				<td>
					<input type="button" class="inputbox" value="<?php echo _MBOX_META_DESCRIPTION_AUTO; ?>" onClick="f=document.adminForm;f.metakey.value=getSelectedText('adminForm','catid')+', '+f.title.value+' '+f.metakey.value;" />
				</td>
			</tr>
		</table>
				</td><!-- fine tabella destra-->
			</tr>
		</tbody>				
		</table>
		</fieldset>
		</div>
		<div class="clr"></div>

		<input type="hidden" name="foto" value="1" />		
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="section" value="album" />
		<input type="hidden" name="task" value="" />
		</form>
          </td>
        </tr>

<?php
	echo "</table>";// chiusura inclusione menu navigazione
	}//chiusura funzione editAlbum

###############################
# CARICA COPERTINA
###############################	
	
	function viewUploadCover() {
		global $mainframe, $option;
		?>
		<form action="index2.php" method="post" name="adminForm" enctype="multipart/form-data">
		<table cellpadding="4" cellspacing="0" border="0" width="100%" style="background-color: #fff;">
			<tr>
				<td width="10%" class="sectionname"><img src="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/upload_f2.png" align="absmiddle" height="16" width="16"></td>
				<td width="100%" style="text-decoration: none; color: #004080; font-size: 25px;font-weight: bold;"><?php echo _MBOX_LOAD_COVER; ?></td>
			</tr>
		</table>
		<table width="100%" border="0" cellpadding="4" cellspacing="2" style="background-color: #fff;>
			<tr align="center" valign="middle">
				<td align="center" valign="top">
					<input type="hidden" name="option" value="<?php echo $option?>" />
					<input type="hidden" name="task" value="uploadhandler" />
					<input type="hidden" name="albumid" value="<?php echo $_REQUEST['albumid'];?>" />
					<input style="padding: 2px 10px!important;padding: 1px 5px; border-top: 1px solid #999999; border-right: 1px solid #DDDDDD; border-bottom: 1px solid #DDDDDD;border-left: 1px solid #999999;" type="file" name="screenshot" />
					<input type="hidden" name="section" value="album" />
					<input style="padding: 2px 10px!important;padding: 1px 5px; border-top: 1px solid #999999; border-right: 1px solid #DDDDDD; border-bottom: 1px solid #DDDDDD;border-left: 1px solid #999999;" type="submit" value="<?php echo _MBOX_LOAD_COVER?>" />
					<br />
				</td>
			</tr>
		</table>
		<?php
	}

###############################
# CARICA IMMAGINI
###############################	
	
	function viewUploadimmagine() {
		global $mainframe, $option;
		?>
		<form action="index2.php" method="post" name="adminForm" enctype="multipart/form-data">
		<table cellpadding="4" cellspacing="0" border="0" width="100%" style="background-color: #fff;>
			<tr>
				<td width="10%" class="sectionname"><img src="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/upload_f2.png" align="absmiddle" height="16" width="16"></td>
				<td width="100%" style="text-decoration: none; color: #004080; font-size: 25px;font-weight: bold;"><?php echo _MBOX_ADM_GALLERIA_DESC2; ?></td>
			</tr>
		</table>
		<table width="100%" border="0" cellpadding="4" cellspacing="2" style="background-color: #fff;>
			<tr align="center" valign="middle">
				<td align="center" valign="top">
					<input type="hidden" name="option" value="<?php echo $option?>" />
					<input type="hidden" name="task" value="uploadhandler3" />
					<input type="hidden" name="albumid" value="<?php echo $_REQUEST['albumid'];?>" />					
					<input style="padding: 2px 10px!important;padding: 1px 5px; border-top: 1px solid #999999; border-right: 1px solid #DDDDDD; border-bottom: 1px solid #DDDDDD;border-left: 1px solid #999999;" type="file" name="screenshot" />
					<input type="hidden" name="section" value="album" />
					<input style="padding: 2px 10px!important;padding: 1px 5px; border-top: 1px solid #999999; border-right: 1px solid #DDDDDD; border-bottom: 1px solid #DDDDDD;border-left: 1px solid #999999;" type="submit" value="<?php echo _MBOX_CARICA?>" />
					<br />
					</td>
			</tr>
		</table>
		<?php
	}
	
}	
###############################
# CATEGORIE
###############################	

class HTML_Categories {
		function show(&$rows, $myid, &$pageNav, &$lists, $type){
        global $my, $section;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
        ?>
		<form action="index2.php" method="post" name="adminForm">
		<table class="adminheading">
		<tr>
			<th class="categories">
			<?php echo _MBOX_CATEGORIES_MANAGER;?>
			</th>
		</tr>
		</table>		
			<table class="adminlist">
			<thead>
				<tr>
				<th width="20">
					#
				</th>
				<th width="20" >
					<input type="checkbox" name="toggle" value="" onClick="checkAll(<?php echo count($rows);?>);" />
				</th>
				<th align="left">
					<?php echo _MBOX_HEADER_CATEGORY;?>
				</th>
				<th width="5%">
					<?php echo _MBOX_HEADER_NUMBER;?>
				</th>
				<th width="10%">
					<?php echo _MBOX_HEADER_PUBLISHED;?>
				</th>
			<?php
        if ($section <> 'content') {
        	?>
				<th colspan="2">
					<?php echo _MBOX_HEADER_REORDER;?>
				</th>
			<?php } ?>
				<th width="2%">
			<?php echo _MBOX_CATEGORIES_HEADER_ORDER ;?>
				</th>
				<th width="1%">
					<a href="javascript: saveorder( <?php echo count( $rows )-1; ?> )"><img src="images/filesave.png" border="0" width="16" height="16" alt="Save Order" /></a>
				</th>		
				<th width="10%">
					<?php echo _MBOX_HEADER_ACCESS;?>
				</th>
			<?php
        if ($section == 'content') {
		?>
				<th width="12%" align="left">
					<?php echo _MBOX_ADM_SECTION ;?>
				</th>
				<?php } ?>
				<th width="12%">
					ID
				</th>
				<th width="12%">
					<?php echo _MBOX_HEADER_CHECKED_OUT;?>
				</th>
		  </tr>
		</thead>
			<tfoot>
				<tr>
					<td colspan="13">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>		
		<?php
        $k = 0;
        $i = 0;
        $n = count($rows);
        foreach ($rows as $row) {
            $img = $row->published ? 'tick.png' : 'publish_x.png';
            $task = $row->published ? 'unpublish' : 'publish';
            $alt = $row->published ? 'Published' : 'Unpublished';
            if (!$row->access) {
                $color_access = 'style="color: green;"';
                $task_access = 'accessregistered';
            } else if ($row->access == 1) {
                $color_access = 'style="color: red;"';
                $task_access = 'accessspecial';
            } else {
                $color_access = 'style="color: black;"';
                $task_access = 'accesspublic';
            }

            ?>
			<tr class="<?php echo "row$k";?>">
				<td width="20" align="right">
				<?php echo $pageNav->rowNumber($i);?>
				</td>
				<td width="20">
				<?php echo mosHTML::idBox($i, $row->id, ($row->checked_out_contact_category && $row->checked_out_contact_category != $my->id));?>
				</td>
				<td width="35%">
				<?php
            if ($row->checked_out_contact_category && ($row->checked_out_contact_category != $my->id)) {

                ?>
					<?php echo stripslashes($row->treename) . ' ( ' . stripslashes($row->title) . ' )';?>
					&nbsp;[ <i>Checked Out</i> ]
					<?php
            } else {

                ?>
					<a href="#edit" onClick="return listItemTask('cb<?php echo $i;?>','edit')">
					<?php echo stripslashes($row->treename) . ' ( ' . stripslashes($row->title) . ' )';?>
					</a>
					<?php
            }

            ?>
				</td>
				<td align="center">
				<?php echo $row->nalbum;?>
				</td>

				<td align="center">
				<a href="javascript: void(0);" onClick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')">
				<img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="<?php echo $alt;?>" />
				</a>
				</td>

				<td>
					<?php echo $pageNav->orderUpIcon($i);?>
				</td>
				<td>
					<?php echo $pageNav->orderDownIcon($i, $n);?>
				</td>
				<td align="center" colspan="2">
					<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
				</td>
				<td align="center">
					<a href="javascript: void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task_access;?>')" <?php echo $color_access;?>>
						<?php echo $row->groupname;?>
					</a>
				</td>
				<td align="center">
					<?php echo $row->id;?>
				</td>
					<td align="center">
						<?php echo $row->checked_out_contact_category ? $row->editor : "";?>
				</td>
				<?php
            $k = 1 - $k;

            ?>
			</tr>
			<?php
            $k = 1 - $k;
            $i++;
        }

        ?>
			</tbody>
			</table>
		<div class="clr"></div>
		<input type="hidden" name="option" value="com_musicbox" />
		<input type="hidden" name="section" value="categories" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="chosen" value="" />
		<input type="hidden" name="act" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="type" value="<?php echo $type;?>" />
		</form>
	</table>		
		<?php
    }

###############################
# MODIFICA CATEGORIE
###############################	
    function edit(&$row, $section, &$lists, $redirect){
        global $mosConfig_live_site, $option;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
        if ($row->image == "") {
            $row->image = 'blank.png';
        }
        mosMakeHtmlSafe($row, ENT_QUOTES, 'description');
		
		?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton, section) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			if ( form.name.value == "" ) {
				alert('<?php echo _MBOX_CATEGORIES_MUST_HAVE;?>');
			}
				<?php getEditorContents( 'editor', 'description' ) ; ?>			
				submitform(pressbutton);
		}
		</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>
		<form action="index2.php" method="post" name="adminForm">

		<div class="col100">
			<fieldset class="adminform">
			<legend><?php echo $row->id ? _MBOX_HEADER_EDIT : _MBOX_HEADER_ADD;?> <?php echo _MBOX_CATEGORY;?> <?php echo stripslashes($row->name); ?></legend>

				<table class="admintable">
				<tbody>
		<tr>
			<td valign="top">
				<table class="adminform">
				<tr>
					<td width="20%" class="key">
						<label for="title">
							<?php echo _MBOX_CATEGORIES_HEADER_TITLE;?>:
							</label>
						</td>
					<td width="80%">
						<input class="inputbox" type="text" name="title" value="<?php echo stripslashes($row->title); ?>" size="50" maxlength="50" title="<?php echo _MBOX_MENUNAMECATEGORIES;?>" />
					</td>
				</tr>
				<tr>
					<td width="20%" class="key">
						<label for="name">
					<?php echo _MBOX_CATEGORIES_HEADER_NAME;?>:
						</label>
					</td>
					<td width="80%">
						<input class="inputbox" type="text" name="name" value="<?php echo stripslashes($row->name); ?>" size="50" maxlength="255" title="<?php echo _MBOX_MENUNAMECATEGORIES_LONG;?>" />
					</td>
				</tr>
				<tr>
					<td width="20%" class="key">
						<label for="parent">
						<?php echo _MBOX_CATEGORIES_PARENTITEM;?>:</td>
						</label>						
					<td>
						<?php echo $lists['parent'];?>
					</td>
				</tr>
				<tr>
					<td width="20%" class="key">
						<label for="image">
							<?php echo _MBOX_CATEGORIES_HEADER_IMAGE;?>:
						</label>						
					</td>
					<td>
						<?php echo $lists['image'];?>
					</td>
					<td rowspan="4" width="50%">
					<script language="javascript" type="text/javascript">
					if (document.forms[0].image.options.value!=''){
					  jsimg='../images/stories/' + getSelectedValue( 'adminForm', 'image' );
					} else {
					  jsimg='../images/M_images/blank.png';
					}
					document.write('<img src=' + jsimg + ' name="imagelib" width="80" height="80" border="2" alt="<?php echo _MBOX_CATEGORIES_IMAGEPREVIEW;?>" />');
					</script>
					</td>
				</tr>
				<tr>
					<td width="20%" class="key">
						<label for="imagepos">
							<?php echo _MBOX_CATEGORIES_HEADER_IMAGEPOS;?>:
						</label>						
					</td>
					<td>
						<?php echo $lists['image_position'];?>
					</td>
				</tr>
				<tr>
					<td width="20%" class="key">
						<label for="order">
							<?php echo _MBOX_CATEGORIES_HEADER_ORDER;?>:
						</label>						
					</td>
					<td>
						<?php echo $lists['ordering'];?>
					</td>
				</tr>
				<tr>
					<td width="20%" class="key">
						<label for="access">
							<?php echo _MBOX_HEADER_ACCESS;?>:
						</label>						
					</td>
					<td>
						<?php echo $lists['access'];?>
					</td>
				</tr>
				<tr>
					<td width="20%" class="key">
						<label for="pubblish">
							<?php echo _MBOX_HEADER_PUBLISHED;?>:
						</label>						
					</td>
					<td>
							<?php echo $lists['published'];?>
					</td>
				</tr>
				<tr>
					<td width="20%" class="key">
						<label for="description">
					<?php echo _MBOX_CATEGORIES_DESC;?>:
						</label>						
					</td>
					<td colspan="2">
					<?php
					// parameters : areaname, content, hidden field, width, height, rows, cols
					editorArea( 'editor', $row->description, 'description', '100%;', '350', '75', '20' ) ; ?>
					</td>					
				</tr>
				</table>
			</td>

				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>

		<input type="hidden" name="option" value="com_musicbox" />
		<input type="hidden" name="section" value="categories" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="oldtitle" value="<?php echo $row->title ;?>" />
		<input type="hidden" name="id" value="<?php echo $row->id;?>" />
		<input type="hidden" name="sectionid" value="com_musicbox" />
		<input type="hidden" name="redirect" value="<?php echo $redirect;?>" />
		</form>
	</table>		
		<?php
    }
}




###############################
# CANTANTI
###############################	

class HTML_Auth {

	function showAuth( $option, &$rows, &$clist, &$search, &$pageNav ) {
		global $database, $my, $mainframe;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
		$section = "auth";
?>
		<form action="index2.php" method="post" name="adminForm">
		<table class="adminheading" cellpadding="4" cellspacing="0" border="0" width="100%">
		<tr>
			<th width="100%" class="edit">
			<?php echo _MBOX_AUTHOR_MANAGER; ?>
			</th>
			<td><?php echo _MBOX_FILTER; ?>:</td>
			<td>
				<input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" />
			</td>
			<td width="right">

			</td>
		</tr>
		</table>

			<table class="adminlist">
			<thead>
			<tr>
				<th width="5">
				#
				</th>			
				<th width="20">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
				</th>
				<th width="30%" align="left">
					<?php echo _MBOX_AUTH_NAME; ?>
				</th>
				<th width="70%" align="left">
					<?php echo _MBOX_HTML; ?>
				</th>
			</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="13">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>			
<?php
		$k = 0;
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
			$row = &$rows[$i];
?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
				<?php echo $pageNav->rowNumber( $i ); ?>
				</td>			
				<td width="20">
					<input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" />

				</td>
				<td align="left">
				<a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','edit')">
				<?php echo $row->name; ?>
				</a>
				</td>

				<td align="left">
						<?php echo substr($row->html,0,80); ?>...
				</td>
<?php		$k = 1 - $k; } ?>
			</tr>
		</tbody>
		</table>
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="section" value="<?php echo $section; ?>" />
		<input type="hidden" name="boxchecked" value="0" />
		</form>
		</table>
	</table>	
<?php
	}

###############################
# MODIFICA CANTANTI
###############################	

	function editAuth( $option, &$row, &$lcountry) {
	global $mainframe,$database,$section;
	mosMakeHtmlSafe( $row, ENT_QUOTES, 'description' );
	include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if (form.name.value == ""){
				alert( "<?php echo _MBOX_ALERT_TITLE; ?>" );
			}  
				<?php getEditorContents( 'editorsing', 'html' ) ; ?>
				<?php getEditorContents( 'editorsing2', 'award' ) ; ?>
				submitform( pressbutton );
		}
		</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>		
		<form action="index2.php" method="post" name="adminForm">

		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_AUTHORS; ?>:&nbsp;&nbsp;&nbsp;<?php echo $row->name;?></legend>

				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="name">		
								<?php echo _MBOX_AUTH_NAME; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="name" size="50" maxlength="250" value="<?php echo $row->name;?>" />
						</td>
					</tr>
            <?php

				$foto_piccola=$mainframe->getCfg('live_site')."/images/musicbox_foto/".$row->id."_piccola.jpg";
				$foto_grande=$mainframe->getCfg('live_site')."/images/musicbox_foto/".$row->id."_grande.jpg";
				$Abfoto_piccola=$mainframe->getCfg('absolute_path')."/images/musicbox_foto/".$row->id."_piccola.jpg";
				$Abfoto_grande=$mainframe->getCfg('absolute_path')."/images/musicbox_foto/".$row->id."_grande.jpg"; ?>

          <tr style=" border: 1px solid #cccccc;">
            <td valign="top" class="key">
            <?php if ($row->foto) { 
				echo "<label for=\"name\">";		
				echo  _MBOX_ADM_FRONTIMGPHOTO;
				echo "</label>";
				echo "</td>";				
				echo "<td>";?>
				<table>
				<tr>
					<td valign="top">
                <a style="cursor:pointer" onclick="popupWindow('index2.php?option=<?php echo $option?>&section=auth&task=upload2&no_html=1&idauth=<?php echo $row->id; ?>','win1',400,100,'no');">
				<!--a href="index2.php?option=<?php echo $option?>&section=auth&task=upload2&no_html=1&idauth=<?php echo $row->id; ?>" rel="mediabox[400 100]"-->				
				<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/com_musicbox/images/upload_f2.png" align="absmiddle" height="16" width="16" border="0" /> <?php echo _MBOX_LOAD_PHOTO; ?></a>
					</td>
				</tr>
				<tr>
					<td valign="top" align="center">			 
            <?php
				if (file_exists($Abfoto_piccola)) echo "<img id=\"fotopiccola\" src=\"$foto_piccola\" width=\"60\" height=\"60\" style=\"padding: 3px;\">";
				echo "&nbsp;&nbsp;";
				if (file_exists($Abfoto_grande)) echo "<img id=\"fotogrande\" src=\"$foto_grande\" width=\"90\" height=\"90\" style=\"padding: 3px;\">";
				?>
					</td>
				</tr>
				</table>
            <?php			
			}else{
				echo "<label for=\"name\">";		
				echo  _MBOX_ADM_FRONTIMGPHOTO;
				echo "</label>";
				echo "</td>";				
				echo "<td>";
				echo _MBOX_PHOTO_MSG;
			}	
			?>
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="name">		
								<?php echo _MBOX_ADM_COUNTRY; ?>
							</label>
						</td>
						<td width="80%">
								<?php echo $lcountry; ?>
						</td>
					</tr>					
					<tr>
						<td width="20%" class="key">
							<label for="name">		
								<?php echo _MBOX_ADM_OR; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="country2" size="35" maxlength="250" value="<?php echo $row->country2;?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="name">		
								<?php echo _MBOX_ADM_SINGDOB; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="dborn" size="14" maxlength="30" value="<?php echo $row->dborn;?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="name">		
								<?php echo _MBOX_ADM_SINGCITY; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="city" size="35" maxlength="250" value="<?php echo $row->city;?>" />
						</td>
					</tr>					
					<tr>
						<td width="20%" valign="top" class="key">
							<label for="name">						
								<?php echo _MBOX_HTML ?>
							</label>
						</td>
					<td width="80%">
					<?php
					// parameters : areaname, content, hidden field, width, height, rows, cols
					editorArea( 'editorsing', $row->html, 'html', '100%;', '350', '75', '20' ) ; ?>
					</td>							
					</tr>
					<tr>
						<td width="20%" valign="top" class="key">
							<label for="name">						
								<?php echo _MBOX_ADM_SINGAW; ?>
							</label>
						</td>
					<td width="80%">
					<?php
					// parameters : areaname, content, hidden field, width, height, rows, cols
					editorArea( 'editorsing2', $row->award, 'award', '100%;', '350', '75', '20' ) ; ?>
					</td>							
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="name">		
								<?php echo _MBOX_ADM_SINGNA; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="nalbum" size="8" maxlength="30" value="<?php echo $row->nalbum;?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="name">		
								<?php echo _MBOX_ADM_SINGNS; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="nsingle" size="8" maxlength="30" value="<?php echo $row->nsingle;?>" />
						</td>
					</tr>
					<tr>
		<?php if ($row->galleria ){	?>	
						<td width="20%" valign="top" class="key">
							<label for="authors">
								<?php echo _MBOX_ADM_GALLERIA;?><br />
								<?php echo _MBOX_ADM_IDGALLERY;?> <?php echo $row->name; ?>
							</label>
						</td>
				<?php }else{ ?>		
						<td width="20%" class="key">
							<label for="authors">
								<?php echo _MBOX_ADM_GALLERIA;?>
							</label>
						</td>						
			<?php }  if ($row->galleria ){	
			$inputgallery = str_replace(' ', '_', $row->name);
			?>							
						<td width="80%">				
							<table width="98%">
							<tr>
								<td width="20" align="left" valign="top">&nbsp;&nbsp;&nbsp;&nbsp;
									<img src="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/new_f2.png" border="0">
								</td>
								<td width="100%" align="left" style="font-weight: bold;padding:15px 0px 0px 6px;">
									<a style="cursor:pointer" onclick="popupWindow('index2.php?option=com_media&listdir=/stories/musicbox/<?php echo $inputgallery ?>','win1',850,500,'yes');">
									<?php echo _MBOX_ADM_GALLERIA_DESC; ?></a> &nbsp;&nbsp;&nbsp;<span style="font-size: 9px; color:#1a1a1a;"><?php echo _MBOX_PHOTO_MSG; ?></span>
								</td>
							</tr>
							</table>
						</td>
				<?php }else{ ?>
						<td width="80%">				
								<h4><?php echo _MBOX_IMAGES_MSG; ?></h4>
						</td>
				<?php } ?>						
					</tr>					
				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>
		<input type="hidden" name="foto" value="1" />		
		<input type="hidden" name="galleria" value="1" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="section" value="auth" />
		<input type="hidden" name="task" value="<?php echo $task;?>" />
		</form>
	</table>
<?php
	}

###############################
# CARICA FOTO CANTANTE
###############################	
	
	function viewUploadFoto() {
		global $mainframe, $option;
		?>
		<form action="index2.php" method="post" name="adminForm" enctype="multipart/form-data">
		<table cellpadding="4" cellspacing="0" border="0" width="100%" style="background-color: #fff;">
			<tr>
				<td width="10%" class="sectionname"><img src="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/upload_f2.png"></td>
				<td width="100%" style="text-decoration: none; color: #004080; font-size: 25px;font-weight: bold;"><?php echo _MBOX_LOAD_PHOTO; ?></td>
			</tr>
		</table>
		<table width="100%" border="0" cellpadding="4" cellspacing="2" style="background-color: #fff;">
			<tr align="center" valign="middle">
				<td align="center" valign="top">
					<input type="hidden" name="option" value="<?php echo $option?>" />
					<input type="hidden" name="task" value="uploadhandler2" />
					<input type="hidden" name="idauth" value="<?php echo $_REQUEST['idauth'];?>" />
					<input style="padding: 2px 6px!important;padding: 1px 5px; border-top: 1px solid #999999; border-right: 1px solid #DDDDDD; border-bottom: 1px solid #DDDDDD;border-left: 1px solid #999999;" type="file" name="screenshot" />
					<input type="hidden" name="section" value="auth" />
					<input style="padding: 2px 6px!important;padding: 1px 5px; border-top: 1px solid #999999; border-right: 1px solid #DDDDDD; border-bottom: 1px solid #DDDDDD;border-left: 1px solid #999999;" type="submit" value="<?php echo _MBOX_LOAD_PHOTO?>" />
					<br />
					</td>
			</tr>
		</table>
		<?php
	}

}


class HTML_Editor {

###############################
# CASE DISCOGRAFICHE
###############################	

	function showEditor( $option, &$rows, &$clist, &$search, &$pageNav ) {
		global $database,$my;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<form action="index2.php" method="post" name="adminForm">
		<table class="adminheading" cellpadding="4" cellspacing="0" border="0" width="100%">
		<tr>
			<th width="100%" class="edit">
				<?php echo _MBOX_FIRM_MANAGER; ?>			
			</th>
			<td><?php echo _MBOX_FILTER; ?>:</td>
			<td>
				<input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" />
			</td>
			<td width="right">

			</td>
		</tr>
		</table>

			<table class="adminlist">
			<thead>
				<tr>
					<th width="5">
						#
					</th>					
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
					</th>
					<th class="title" nowrap="nowrap">
						<?php echo _MBOX_FIRM_NAME; ?>
					</th>
					<th class="title" nowrap="nowrap">
						<?php echo _MBOX_HTML; ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="13">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
<?php
		$k = 0;
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
			$row = &$rows[$i];
?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
				<?php echo $pageNav->rowNumber( $i ); ?>
				</td>				
				<td width="20">
					<input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" />
				</td>
				<td align="left">
					<a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','edit')"><?php echo $row->name; ?></a>
				</td>
				<td align="left">
					<?php echo substr($row->html,0,80); ?>
				</td>
<?php		$k = 1 - $k; } ?>
			</tr>
			</tbody>
			</table>
			
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="section" value="editor" />
		<input type="hidden" name="boxchecked" value="0" />
		</form>
	</table>		
<?php
	}

###############################
# MODIFICA CASE DISCOGRAFICHE
###############################	

	function editEditor( $option, &$row) {
		mosMakeHtmlSafe( $row, ENT_QUOTES, 'description' );
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}


			if (form.name.value == ""){
				alert( "<?php echo _MBOX_ALERT_TITLE; ?>" );
			} 
				<?php getEditorContents( 'editorlabel', 'html' ) ; ?>
				submitform( pressbutton );
		}
		</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>		
		<form action="index2.php" method="post" name="adminForm">

		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_FIRM; ?>:&nbsp;&nbsp;&nbsp;<?php echo $row->name;?></legend>

				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="name">		
								<?php echo _MBOX_FIRM_NAME; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="name" size="50" maxlength="250" value="<?php echo $row->name;?>" />
						</td>
					<tr>
						<td width="20%" valign="top" class="key">
							<label for="name">		
								<?php echo _MBOX_HTML; ?>
							</label>
						</td>
					<td width="80%">
					<?php
					// parameters : areaname, content, hidden field, width, height, rows, cols
					editorArea( 'editorlabel', $row->html, 'html', '100%;', '350', '75', '20' ) ; ?>
					</td>						
					</tr>
				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>

		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="section" value="editor" />
		<input type="hidden" name="task" value="" />

		</form>
	</table>		
<?php
	}
} 

###############################
# CANZONI/SONGS
###############################	

class HTML_Canzone {

	function showCanzone( $option, &$rows, &$clist, &$lists, &$search, &$pageNav ) {
		global $database, $my, $task, $value;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<form action="index2.php" method="post" name="adminForm">
		<table class="adminheading" cellpadding="4" cellspacing="0" border="0" width="100%">
		<tr>
			<th width="100%" class="edit"><?php echo _MBOX_SONG_MANAGER; ?></th>
			<td><?php echo _MBOX_FILTER; ?>:</td>
			<td>
				<input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" />
			</td>
			<td>
			<?php echo $lists['album'];?>	
			</td>
		</tr>
		</table>

			<table class="adminlist">
			<thead>
				<tr>
					<th width="5">
						#
					</th>				
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
					</th>
					<th class="title" nowrap="nowrap">
						<?php echo _MBOX_SONG_TITLE; ?>
					</th>
					<th class="title" nowrap="nowrap">
						<?php echo _MBOX_ALBUM; ?>
					</th>				
					<th colspan="2" width="5%">
						<?php echo _MBOX_REORDER; ?>
					</th>
					<th width="5%" nowrap="nowrap">
						<?php echo _MBOX_ADM_AUDIO; ?>
					</th>
					<th width="5%" nowrap="nowrap">
						<?php echo _MBOX_ADM_VIDEO; ?>
					</th>
					<th width="5%" nowrap="nowrap">
						<?php echo _MBOX_ADM_LYR; ?>
					</th>					
					<th width="5%" nowrap="nowrap">
						<?php echo _MBOX_SONG_PUBLISHED; ?>
					</th>				
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="13">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
<?php

		$k = 0;
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
			$row = &$rows[$i];
		
?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
				<?php echo $pageNav->rowNumber( $i ); ?>
				</td>				
				<td width="20">
					<input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" />
				</td>
				<td width="35%" >
					<a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','edit')"><?php echo $row->song; ?></a>
				</td>
				<td>
					<?php echo $row->albumTitle; ?>
				</td>
				<td align="center">
					<?php echo $pageNav->orderUpIcon( $i ); ?>
				</td>
				<td align="center">
		<?php if (isset($_POST['ordering'])) { ?>				
				<?php echo $lists['ordering']; }?>	
				<?php echo $pageNav->orderDownIcon( $i, $n ); ?>
				</td>				
				<td width="5%" align="center">
<?php				
				if ($row->songmp3 | $row->songurl | $row->songext) { ?>
				<img src="images/tick.png">
<?php			}else{	?>
				<img src="images/disabled.png">
<?php			}	?>
				
				</td>
				<td width="5%" align="center">
<?php				
				if ($row->video | $row->videoalternativo) { ?>
				<img src="images/tick.png">
<?php			}else{	?>
				<img src="images/disabled.png">
<?php			}	?>
				</td>
				</td>
				<td width="5%" align="center">
<?php				
				if ($row->liric) { ?>
				<img src="images/tick.png">
<?php			}else{	?>
				<img src="images/disabled.png">
<?php			}	?>
				</td>				
<?php

			$img = $row->published ? 'publish_g.png' : 'publish_x.png';
?>				
				<td width="5%" align="center"><img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="" /></td>			

<?php		$k = 1 - $k; } ?>
			</tr>
			</tbody>
			</table>
			
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="<?php echo $task; ?>" />
		<input type="hidden" name="section" value="canzone" />
		<input type="hidden" name="boxchecked" value="0" />
		</form>
	</table>		
<?php
	}

###############################
# MODIFICA CANZONE
###############################	

	function editCanzone( $option, &$row, &$albumli, &$songli, &$videoli, &$vtypeli, &$lyrlist, &$lists) {
		mosMakeHtmlSafe( $row, ENT_QUOTES, 'description' );
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if (form.name.value == ""){
				alert( "<?php echo _MBOX_ALERT_TITLE; ?>" );
			}  

				submitform( pressbutton );
	}
		</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>		
		<form action="index2.php" method="post" name="adminForm">

		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_SONG; ?>:&nbsp;&nbsp;&nbsp;<?php echo $row->song;?></legend>

				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="album">		
								<?php echo _MBOX_SEL_ALBUM;?>
							</label>
						</td>								
						<td width="80%">
								<?php echo $albumli; ?>				
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="albumsong">	
								<?php echo _MBOX_SONG ; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="song" size="90" maxlength="250" value="<?php echo $row->song; ?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="videoalt">
								<?php echo _MBOX_LYRIC; ?>
							</label>
						</td>								
						<td width="80%">
								<?php echo $lyrlist; ?>				
						</td>
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_SELAUDIO; ?>
						</td>
					</tr>					
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
								<?php echo _MBOX_AUDIO; ?>
							</label>
						</td>
						<td width="80%">
								<?php echo $songli; ?>				
						</td>
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_OR; ?>						
						</td>
					</tr>					
					<tr>
						<td width="20%" class="key">
							<label for="remote">						
								<?php echo _MBOX_REMOTE; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="songurl" size="90" maxlength="250" value="<?php echo htmlspecialchars( $row->songurl, ENT_QUOTES );?>" />				
						</td>
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_OR; ?>						
						</td>
					</tr>						
					<tr>
						<td width="20%" class="key">
							<label for="remote">						
								<?php echo _MBOX_EXTERNAL; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="songext" size="90" maxlength="250" value="<?php echo htmlspecialchars( $row->songext, ENT_QUOTES );?>" />				
						</td>
					</tr>	
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_SELVIDEO; ?>
						</td>
					</tr>					
					<tr>
						<td width="20%" class="key">
							<label for="video">						
								<?php echo _MBOX_VIDEO; ?> <?php echo _MBOX_ADM_FONTE2; ?>:
							</label>
						</td>
						<td width="80%">					
						<?php echo $vtypeli; ?>
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="videoid">
								<?php echo _MBOX_VIDEOID; ?>:
							</label>
						</td>
						<td width="80%">	
								<input class="inputbox" type="text" name="video" size="40" maxlength="180" value="<?php echo htmlspecialchars( $row->video, ENT_QUOTES );?>" />
						</td>
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_OR; ?>						
						</td>
					</tr>					
					<tr>
						<td width="20%" class="key">
							<label for="videoalt">
								<?php echo _MBOX_VIDEO; ?> <?php echo _MBOX_ADM_ALTERNAT;?>
							</label>
						</td>								
						<td width="80%">
								<?php echo $videoli; ?>				
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="order">						
							<?php echo _MBOX_ORDERING; ?>:
							</label>
						</td>
						<td width="80%">
							<?php echo $lists['ordering']; ?>
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="publish">		
						<?php echo _MBOX_PUBLISHED; ?>
							</label>
						</td>
						<td width="80%"><?
						if ($row->id>0) {
						$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', $row->published);
						} else {
						$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', 1);
						}
						echo $published;?>
						</td>
					</tr>
				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>

		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="section" value="canzone" />
		<input type="hidden" name="task" value="<?php echo $task;?>" />

		</form>
	</table>
<?php
	}
	
###############################
# MODIFICA CANZONE 2
###############################	

	function editCanzone2 ( $option, &$row, &$albumli, &$songli, &$videoli, &$vtypeli, &$lyrlist, &$lists) {
		mosMakeHtmlSafe( $row, ENT_QUOTES, 'description' );
?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if (form.name.value == ""){
				alert( "<?php echo _MBOX_ALERT_TITLE; ?>" );
			}  

				submitform( pressbutton );
	}
	</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>	
		<form action="index2.php" method="post" name="adminForm">

		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_SONG; ?>:&nbsp;&nbsp;&nbsp;<?php echo $row->song;?></legend>

				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="album">		
								<?php echo _MBOX_SEL_ALBUM;?>
							</label>
						</td>								
						<td width="80%">
								<?php echo $albumli; ?>				
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="albumsong">	
								<?php echo _MBOX_SONG ; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="song" size="90" maxlength="250" value="<?php echo $row->song; ?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="videoalt">
								<?php echo _MBOX_LYRIC; ?>
							</label>
						</td>								
						<td width="80%">
								<?php echo $lyrlist; ?>				
						</td>
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_SELAUDIO; ?>
						</td>
					</tr>					
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
								<?php echo _MBOX_AUDIO; ?>
							</label>
						</td>
						<td width="80%">
								<?php echo $songli; ?>				
						</td>
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_OR; ?>						
						</td>
					</tr>					
					<tr>
						<td width="20%" class="key">
							<label for="remote">						
								<?php echo _MBOX_REMOTE; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="songurl" size="90" maxlength="250" value="<?php echo htmlspecialchars( $row->songurl, ENT_QUOTES );?>" />				
						</td>
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_OR; ?>						
						</td>
					</tr>						
					<tr>
						<td width="20%" class="key">
							<label for="remote">						
								<?php echo _MBOX_EXTERNAL; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="songext" size="90" maxlength="250" value="<?php echo htmlspecialchars( $row->songext, ENT_QUOTES );?>" />				
						</td>
					</tr>	
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_SELVIDEO; ?>
						</td>
					</tr>					
					<tr>
						<td width="20%" class="key">
							<label for="video">						
								<?php echo _MBOX_VIDEO; ?> <?php echo _MBOX_ADM_FONTE2; ?>:
							</label>
						</td>
						<td width="80%">					
						<?php echo $vtypeli; ?>
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="videoid">
								<?php echo _MBOX_VIDEOID; ?>:
							</label>
						</td>
						<td width="80%">	
								<input class="inputbox" type="text" name="video" size="40" maxlength="180" value="<?php echo htmlspecialchars( $row->video, ENT_QUOTES );?>" />
						</td>
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="audio">	
							</label>
						</td>
						<td width="80%">
								<?php echo _MBOX_OR; ?>						
						</td>
					</tr>					
					<tr>
						<td width="20%" class="key">
							<label for="videoalt">
								<?php echo _MBOX_VIDEO; ?> <?php echo _MBOX_ADM_ALTERNAT;?>
							</label>
						</td>								
						<td width="80%">
								<?php echo $videoli; ?>				
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="order">						
							<?php echo _MBOX_ORDERING; ?>:
							</label>
						</td>
						<td width="80%">
							<?php echo $lists['ordering']; ?>
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="publish">		
						<?php echo _MBOX_PUBLISHED; ?>
							</label>
						</td>
						<td width="80%"><?
						if ($row->id>0) {
						$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', $row->published);
						} else {
						$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', 1);
						}
						echo $published;?>
						</td>
					</tr>
				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>

		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="section" value="canzone" />
		<input type="hidden" name="task" value="<?php echo $task;?>" />

		</form>
	</table>
<?php
	}	
	
}
###############################
# PRIMA PAGINA
###############################	
class HTML_primapagina {

  function showPrimapagina(){
  global $mainframe, $option;
  include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<style>
			#mbox {text-align: center;vertical-align: middle}
			#mbox div.icon {margin: 3px;}
			#mbox div.icon a {display: block;float: left;height: 100px;width: 110px;vertical-align: middle;text-decoration : none;border: 1px solid #DDD;padding: 3px 5px 1px 5px;}
			#mbox div.icon a:link {font-size: 0.9em;color : #808080;}
			#mbox div.icon a:hover {color : #333;background-color: #F1F4FC;border: 1px solid #3E61A0;padding: 2px 4px 0px 6px;}
			#mbox div.icon a:active {color : #808080;}
			#mbox div.icon a:visited {color : #808080;}
			#mbox div.icon img {margin-top: 11px;}
			#mbox div.icon span {display: block; padding-top: 3px;}
		</style>

<table cellpadding="4" cellspacing="1" border="0" width="100%">
	<tr>
		<td width="100%" align="center">								
			<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/com_musicbox/images/logo2.png" border="0" />
		</td>
	</tr>
	<tr>
		<td>
		<div id="tablecell">
			<tr>
				<td width="60%" valign="top">
					<div id="mbox">
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;section=categories">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/music.png"  alt="Img <?php echo _MBOX_HEADERMBOXCAT?>" align="middle" border="0" />				<span><?php echo _MBOX_HEADERMBOXCAT?></span>
								</a>
							</div>
						</div>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;section=auth">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/cantanti.png"  alt="Img <?php echo _MBOX_HEADERMBOXSING?>" align="middle" border="0" />				<span><?php echo _MBOX_HEADERMBOXSING?></span>
								</a>
							</div>
						</div>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;section=editor">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/label.png"  alt="Img <?php echo _MBOX_HEADERMBOXFIRM?>" align="middle" border="0" />				<span><?php echo _MBOX_HEADERMBOXFIRM?></span>
								</a>
							</div>
						</div>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;section=album">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/album.png"  alt="Img <?php echo _MBOX_HEADERMBOXALBUM?>" align="middle" border="0" />				<span><?php echo _MBOX_HEADERMBOXALBUM?></span>
								</a>
							</div>
						</div>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;section=canzone">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/canzoni.png"  alt="Img <?php echo _MBOX_HEADERMBOXCANZONI?>" align="middle" border="0" />				<span><?php echo _MBOX_HEADERMBOXCANZONI?></span>
								</a>
							</div>
						</div>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;section=scheda&amp;task=showlink">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/classifiche.png"  alt="Img <?php echo _MBOX_LINKITEMS?>" align="middle" border="0" />				<span><?php echo _MBOX_LINKITEMS?></span>
								</a>
							</div>
						</div>							
					</td>
					</tr>
					<tr>
					<td width="60%" valign="top">
					<div id="mbox">
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;section=hit">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/hitsong.png"  alt="Img <?php echo _MBOX_ADM_CHARTS?>" align="middle" border="0" />				<span><?php echo _MBOX_ADM_CHARTS?></span>
								</a>
							</div>
						</div>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;section=lyric">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/hit.png"  alt="Img <?php echo _MBOX_HEADERMBOXTESTI?>" align="middle" border="0" />				<span><?php echo _MBOX_HEADERMBOXTESTI?></span>
								</a>
							</div>
						</div>
					<?php 
					$jomcommentfile=$mainframe->getCfg('absolute_path')."/mambots/content/jom_comment_bot.php";
					if (file_exists($jomcommentfile)){ ?>						
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=com_jomcomment">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/recensioni.png"  alt="Img <?php echo _MBOX_REWS?>" align="middle" border="0" />				<span><?php echo _MBOX_REWS?></span>
								</a>
							</div>
						</div>
					<?php }else{ ?>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=com_musicboxcom&task=comments">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/recensioni.png"  alt="Img <?php echo _MBOX_REWS?>" align="middle" border="0" />				<span><?php echo _MBOX_REWS?></span>
								</a>
							</div>
						</div>
					<?php } ?>						
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;task=audio">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/audio.png"  alt="Img <?php echo _MBOX_CARICA_FILE?>" align="middle" border="0" />				<span><?php echo _MBOX_CARICA_FILE?></span>
								</a>
							</div>
						</div>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=<?php echo $option?>&amp;task=video">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/video.png"  alt="Img <?php echo _MBOX_HEADERUPLFLV?>" align="middle" border="0" />				<span><?php echo _MBOX_HEADERUPLFLV?></span>
								</a>
							</div>
						</div>
						<div style="float:left">
							<div class="icon">
								<a href="index2.php?option=com_media&listdir=/stories/musicbox" rel="mediabox[800 460]">
									<img src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/<?php echo $option?>/images/immagini.png"  alt="Img <?php echo _MBOX_HEADERUPLIMG?>" align="middle" border="0" />				<span><?php echo _MBOX_HEADERUPLIMG?></span>
								</a>
							</div>
						</div>
						</div>						
				</td>
		   </tr>
		</table>
		</tr>
	</table>
<?php
	}
}

###############################
# INFORMAZIONI
###############################	 

class HTML_Info {

  function showInfo(){
  global $mainframe, $mosConfig_lang, $option; 
  
			include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
				echo "<table cellpadding=\"4\" cellspacing=\"1\" border=\"0\" width=\"100%\" >";
				echo "<tr><td>";
#			if (file_exists( "components/com_musicbox/language/{$mosConfig_lang}_info.php" )) {
#			include_once ("components/com_musicbox/language/{$mosConfig_lang}_info.php" );
#				echo"</td></tr></table></table>";
		
#			}else {
#				echo "<table cellpadding=\"4\" cellspacing=\"1\" border=\"0\" width=\"100%\" >";
#				echo "<tr><td>";					
			include_once( "components/com_musicbox/language/info.php" );
				echo"</td></tr></table></table>";
#		} 
	}
 } 
 
###############################
# CARICA FILE AUDIO
###############################	 
class HTML_Audio {

  function showAudio(){
  global $mainframe, $option, $directory, $_MAMBOTS, $uploaded_file, $params, $mboxConfig ;
  include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
   		<form action="index2.php" method="post" id="adminForm" name="adminForm" enctype="multipart/form-data" onsubmit="return control();">		
			<th colspan="2"><?php echo _MBOX_HEADERUPLMP3; ?></th>
			<tr>
				<td align="center" valign="top">
					<input type="hidden" name="option" value="<?php echo $option?>" />
					<input type="hidden" name="task" value="audio" />
					<input type="file" name="file1" />
					<input type="submit" value="<?php echo _MBOX_CARICA ; ?>" />
				</td>
			</tr>
		</form>
				<th align="left" nowrap="nowrap"><?php echo _MBOX_MUSICBOX_TITLE; ?></th>
				<th align="center" width="40" nowrap="nowrap"><?php echo _MBOX_ADM_PREVIEW; ?></th>
 <?php
 
	if ($uploaded_file == '') {
		$cartella = mosReadDirectory( $mainframe->getCfg('absolute_path')."/".$mboxConfig['audio']."" );
			if ( count($cartella) > 0 ) {		
			foreach ($cartella as $file) {
				if (eregi( 'mp3|flv', $file )
				&& is_file( $mainframe->getCfg('absolute_path')."/".$mboxConfig['audio']."/$file" )) {
			echo "<table cellpadding=\"1\" cellspacing=\"0\" border=\"0\" width=\"100%\">";		
			echo "<tr>";
			$_MAMBOTS->loadBotGroup( 'mbox' );
				$text01 = $file;
					$currItemsong->text = "{play}".$mboxConfig['audio']."/".$text01."{/play}";
						$results = $_MAMBOTS->trigger( 'onPrepare', array( &$currItemsong, &$params ), true );
			echo "<td align=\"left\" style=\"border-bottom: 1px solid #ccc;\">".$file."</td>";
			echo "<td width=\"200\" align=\"left\" style=\"border-bottom: 1px solid #ccc;\">".$currItemsong->text."</td>" ;			
			echo "</tr>";
			echo "</table>";
			
		
			}
		}
	}
}	
			echo "</table>";
 			echo "</td>";
			echo "</tr>";
 			echo "</table>"; 
 			echo "</table>";
	}
 } 

###############################
# CARICA FILE VIDEO
###############################	 
 
class HTML_Video {

  function showVideo(){
  global $mainframe, $option, $uploaded_file, $mboxConfig ;  
  include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
  ?>
  		<form action="index2.php" method="post" id="adminForm" name="adminForm" enctype="multipart/form-data" onsubmit="return control();">
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<th colspan="2"><?php echo _MBOX_HEADERUPLFLV; ?></th>
			<tr>
				<td align="center" valign="top">
					<input type="hidden" name="option" value="<?php echo $option?>" />
					<input type="hidden" name="task" value="video" />
					<input type="file" name="file2" />
					<input type="submit" value="<?php echo _MBOX_CARICA ; ?>" />
				</td>
			</tr>
		</form>
				<th align="left" nowrap="nowrap"><?php echo _MBOX_MUSICBOX_TITLE; ?></th>
				<th align="center" width="40" nowrap="nowrap"><?php echo _MBOX_ADM_PREVIEW; ?></th>
<?php				
	if ($uploaded_file == '') {
		$cartella2 = mosReadDirectory( $mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."" );
			if ( count($cartella2) > 0 ) {		
			foreach ($cartella2 as $file1) {
				if (eregi( 'flv|swf|wmv|mov', $file1 )
				&& is_file( $mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."/$file1" )) {
			$ima9=$mainframe->getCfg('live_site')."/components/com_musicbox/images/video.png";
			echo "<table cellpadding=\"1\" cellspacing=\"0\" border=\"0\" width=\"100%\">";		
			echo "<tr>";
			echo "<td align=\"left\" style=\"border-bottom: 1px solid #ccc;\">".$file1."</td>";
			echo "<td width=\"80\" align=\"center\" style=\"border-bottom: 1px solid #ccc;\">
			<a href=\"".$mainframe->getCfg('live_site')."/".$mboxConfig['videos']."/".$file1."\" rel=\"mediabox[640 360]\">
			<img id=\"ima2\" src=".$ima9." border=\"0\" alt=". _MBOX_LOOK ." title=". _MBOX_LOOK ."></a></td>" ;			
			echo "</tr>";
			echo "</table>";
			
		
			}
		}
	}
}	
			echo "</table>";
 			echo "</td>";
			echo "</tr>";
 			echo "</table>"; 
 			echo "</table>";
	}
 }  
###############################
# CONFIGURAZIONE
###############################	
 class HTML_set {
 	function showSet ($mboxConfig, $act) {
		global $mainframe, $option;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
			?>
			<script language="javascript" type="text/javascript">
			function submitbutton(pressbutton) {
				var form = document.adminForm;
				if (pressbutton == 'cancel') {
					submitform( pressbutton );
					return;
				}
					submitform( pressbutton );
			}
			</script>
<style type="text/css" media="all">
<!--
.plugin_container {padding:0px 0px 4px 0px;}
ul.jwallvideos {margin:0px;padding:0px;list-style:none;padding:0px;margin:4px 8px;}
ul.jwallvideos li {margin:2px 8px 2px 0px;padding:0px 0px 0px 16px;background:url('<?php echo $mainframe->getCfg('live_site')?>/administrator/components/com_musicbox/images/bullet.png') no-repeat;background-position:0px 2px;border-bottom:1px solid #ccc;}
h1 {clear:both;margin:0px 0px 12px 0px;padding:0px 0px 1px 0px;color:#C64934;font-size:17px;border-bottom:1px dotted #505050;}
.title {margin:4px 0px;font-size:12px;font-weight:bold;}
.star {font-weight:bold;margin:8px 0px;padding:0px 30px 0px 20px;background:url('<?php echo $mainframe->getCfg('live_site')?>/administrator/components/com_musicbox/images/star.png') no-repeat left;background-position:0px 0px;}
.tabbertab {background:#fff;}
-->
</style>
<script type="text/javascript">document.write('<style type="text/css">.tabber{display:none;}<\/style>');</script>
<script type="text/javascript" src="<?php echo $mainframe->getCfg('live_site')?>/administrator/components/com_musicbox/includes/tabs.js"></script>
<style type="text/css" media="all"> 
	@import "<?php echo $mainframe->getCfg('live_site')?>/administrator/components/com_musicbox/includes/css/tabs.css"; 
</style>
		<form action="index2.php" method="post" name="adminForm" >
		<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminheading">
			<tr>
			<tr>
				<th width="100%"><?php echo _MBOX_ADM_CONFIG; ?></th>
			</tr>
			</tr>
		</table>
		<div class="plugin_container">
		<!-- ******************************* INIZIO BACK PAGE ********************************************* -->
  <div class="tabber" id="tab">
    <div class="tabbertab" title="<?php echo _MBOX_ADM_IMAGES; ?>">
      <h2><a name="advtab"><?php echo _MBOX_ADM_IMAGES; ?></a></h2>
      <h1><?php echo _MBOX_ADM_IMAGES2; ?></h1>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_PATHA; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="50" name="mbox_audio" value="<?php echo $mboxConfig['audio']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_PATHA2; ?></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_PATHV; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="50" name="mbox_videos" value="<?php echo $mboxConfig['videos']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_PATHV2; ?></td>
			</tr>			
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_CREZMINIAT; ?></strong></td>
				<td align="left" valign="top">
				<?php
					$thumbcreator[] = mosHTML::makeOption( 'none', _CMN_NONE );
					$thumbcreator[] = mosHTML::makeOption( 'gd1', _MBOX_ADM_GD );
					$thumbcreator[] = mosHTML::makeOption( 'gd2', _MBOX_ADM_GD2 );
					$mc_mbox_thumbcreation = mosHTML::selectList( $thumbcreator, 'mbox_thumbcreation', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['thumbcreation'] );
					echo $mc_mbox_thumbcreation;
				?>
				</td>
				<td align="left" valign="top">
					<?php
						echo _MBOX_ADM_CREZMINIAT2." <br />";
						# GD detection
						$GDfuncList = get_extension_funcs('gd');
						ob_start();
						@phpinfo(INFO_MODULES);
						$output=ob_get_contents();
						ob_end_clean();
						$matches[1]='';
						if (preg_match("/GD Version[ \t]*(<[^>]+>[ \t]*)+([^<>]+)/s",$output,$matches)) {
							$gdversion = $matches[2];
						}
						if ($GDfuncList) {
							echo "<span class='small'>"._MBOX_ADM_FOUNDGD." GD $gdversion</span><br />";
						}
					?>
				</td>
			</tr>
			
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_IMGCOVER; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_imgcover" value="<?php echo $mboxConfig['imgcover']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_ADM_IMGCOVER2; ?></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_IMGPHOTO; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_imgfoto" value="<?php echo $mboxConfig['imgfoto']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_ADM_IMGPHOTO2; ?></td>
			</tr>			
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_QUAL; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_imgquality" value="<?php echo $mboxConfig['imgquality']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_ADM_QUAL2; ?></td>
			</tr>
		</table>
		</div>

		<!-- ******************************* INIZIO CAMPI CUSTOM **************************************** -->		
		
    <div class="tabbertab" title="<?php echo _MBOX_CONF_CUSTOMFLD; ?>">
      <h2><a name="advtab"><?php echo _MBOX_CONF_CUSTOMFLD; ?></a></h2>
      <h1><?php echo _MBOX_CONF_CUSTOMFLDS; ?></h1>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
		
			<tr align="center" valign="middle">
				<td align="left" width="150" valign="top"><strong><?php echo _MBOX_CONF_CUSTOM01; ?></strong></td>
				<td align="left" width="25" valign="top"><?php
					$yesano[] = mosHTML::makeOption( '1',_CMN_YES);
					$yesano[] = mosHTML::makeOption( '0',_CMN_NO);
					$ync_mbox_custom01 = mosHTML::selectList( $yesano, 'mbox_custom01', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['custom01'] );
					echo $ync_mbox_custom01;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CUSTOM01A; ?></td>
			</tr>	
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_CUSTOM02; ?></strong></td>
				<td align="left" valign="top"><?php
					$yesbno[] = mosHTML::makeOption( '1',_CMN_YES);
					$yesbno[] = mosHTML::makeOption( '0',_CMN_NO);
					$ynd_mbox_custom02 = mosHTML::selectList( $yesbno, 'mbox_custom02', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['custom02'] );
					echo $ynd_mbox_custom02;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CUSTOM01A; ?></td>
			</tr>	
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_CUSTOM03; ?></strong></td>
				<td align="left" valign="top"><?php
					$yescno[] = mosHTML::makeOption( '1',_CMN_YES);
					$yescno[] = mosHTML::makeOption( '0',_CMN_NO);
					$yne_mbox_custom03 = mosHTML::selectList( $yescno, 'mbox_custom03', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['custom03'] );
					echo $yne_mbox_custom03;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CUSTOM01A; ?></td>
			</tr>	

			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_CUSTOM04; ?></strong></td>
				<td align="left" valign="top"><?php
					$yesdno[] = mosHTML::makeOption( '1',_CMN_YES);
					$yesdno[] = mosHTML::makeOption( '0',_CMN_NO);
					$ynf_mbox_custom03 = mosHTML::selectList( $yesdno, 'mbox_custom04', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['custom04'] );
					echo $ynf_mbox_custom03;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CUSTOM01A; ?></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_CUSTOM05; ?></strong></td>
				<td align="left" valign="top"><?php
					$yeseno[] = mosHTML::makeOption( '1',_CMN_YES);
					$yeseno[] = mosHTML::makeOption( '0',_CMN_NO);
					$yng_mbox_custom03 = mosHTML::selectList( $yeseno, 'mbox_custom05', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['custom05'] );
					echo $yng_mbox_custom03;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CUSTOM02A; ?></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_CUSTOM06; ?></strong></td>
				<td align="left" valign="top"><?php
					$yesfno[] = mosHTML::makeOption( '1',_CMN_YES);
					$yesfno[] = mosHTML::makeOption( '0',_CMN_NO);
					$ynh_mbox_custom03 = mosHTML::selectList( $yesfno, 'mbox_custom06', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['custom06'] );
					echo $ynh_mbox_custom03;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CUSTOM02A; ?></td>
			</tr>			
		
		</table>
		</div>	  
		<!-- ******************************* INIZIO ARTICOLI ********************************************* -->

    <div class="tabbertab" title="<?php echo _MBOX_ADM_ITEMSEC; ?>">
      <h2><a name="advtab"><?php echo _MBOX_ADM_ITEMSEC; ?></a></h2>
      <h1><?php echo _MBOX_ADM_ITEMSECS; ?></h1>		
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_ADM_DEFINEITEM; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_sezioni" value="<?php echo $mboxConfig['sezioni']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_ADM_DEFINEITEMS; ?></td>
			</tr>		
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_DEFINEITEMW; ?></strong></td>
				<td align="left" valign="top"><?php
					$yesno[] = mosHTML::makeOption( '0',_CMN_YES);
					$yesno[] = mosHTML::makeOption( '1',_CMN_NO);
					$yn_mbox_tipoarticolo = mosHTML::selectList( $yesno, 'mbox_tipoarticolo', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['tipoarticolo'] );
					echo $yn_mbox_tipoarticolo;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_ADM_DEFINEITEMWS; ?></td>
			</tr>
		</table>
		</div>

		<!-- ******************************* INIZIO FRONT PAGE ********************************************* -->

		<div class="tabbertab" title="<?php echo _MBOX_ADM_LAYOUTLAYOUT; ?>">
      <h2><a name="advtab"><?php echo _MBOX_ADM_LAYOUTLAYOUT; ?></a></h2>
      <h1><?php echo _MBOX_ADM_LAYOUTLAYOUT2; ?></h1>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_LAYOUTDEFAULT; ?></th>
			</tr>
			</table>	  
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_FRONT; ?></strong></td>
				<td align="left" valign="top">
				<?php
					$firstpage[] = mosHTML::makeOption( '1', _MBOX_ADM_FRONTTYPE );
					$firstpage[] = mosHTML::makeOption( '0', _MBOX_ADM_FRONTTYPE2 );
					$cc_mbox_firstpage = mosHTML::selectList( $firstpage, 'mbox_firstpage', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['firstpage'] );
					echo $cc_mbox_firstpage;
				?>
				</td>
				<td align="left" valign="top"><?php echo _MBOX_ADM_FRONT2; ?></td>
			</tr>			
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_LOGO; ?></strong></td>
				<td align="left" valign="top"><?php
					$gesno[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$gesno[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$gn_mbox_logo = mosHTML::selectList( $gesno, 'mbox_logo', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['logo'] );
					echo $gn_mbox_logo;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_ADM_LOGOS; ?></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_ACCOLYRIC; ?></strong></td>
				<td align="left" valign="top"><?php
					$lesno[] = mosHTML::makeOption( '0',_MBOX_CONF_ACCOLYRIC);
					$lesno[] = mosHTML::makeOption( '1',_MBOX_CONF_ACCOLYRIC2);
					$ln_mbox_lyricacco = mosHTML::selectList( $lesno, 'mbox_lyricacco', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lyricacco'] );
					echo $ln_mbox_lyricacco;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_ADM_ACCOLYRICS; ?></td>
			</tr>			
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_FRONTIMGCOVER; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_frontimgcover" value="<?php echo $mboxConfig['frontimgcover']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help01.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_ADM_FRONTIMGCOVER2; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_ADM_FRONTIMGPHOTO; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_frontimgfoto" value="<?php echo $mboxConfig['frontimgfoto']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help02.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_ADM_FRONTIMGPHOTO2; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_THUMLSTH; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_thumblist01" value="<?php echo $mboxConfig['thumblist01']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help03.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_THUMLSTH2; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_THUMLSTW; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_thumblist02" value="<?php echo $mboxConfig['thumblist02']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help04.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_THUMLSTW2; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_THUMBLSTH; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_thumblist03" value="<?php echo $mboxConfig['thumblist03']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help05.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_THUMBLSTH2; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_THUMBLSTW; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_thumblist04" value="<?php echo $mboxConfig['thumblist04']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help06.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_THUMBLSTW2; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_THUMBLISTH; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_thumblist05" value="<?php echo $mboxConfig['thumblist05']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help07.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_THUMBLISTH2; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_THUMBLISTW; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="5" name="mbox_thumblist06" value="<?php echo $mboxConfig['thumblist06']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help08.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_THUMBLISTW2; ?></a></td>
			</tr>
		</table>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_LISTROW; ?></th>
			</tr>
			</table>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">					
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_TITLEHIT; ?></strong></td>
				<td align="left" valign="top"><?php
					$ges[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$ges[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$hg_mbox_titlehit = mosHTML::selectList( $ges, 'mbox_titlehit', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['titlehit'] );
					echo $hg_mbox_titlehit;
				?></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_TITLEHIT2; ?></td>
			</tr>		
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW01; ?></strong></td>
				<td align="left" valign="top"><?php
					$tes[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$tes[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$gg_mbox_lista01 = mosHTML::selectList( $tes, 'mbox_lista01', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lista01'] );
					echo $gg_mbox_lista01;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help09.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW011; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW02; ?></strong></td>
				<td align="left" valign="top"><?php
					$tos[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$tos[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$gr_mbox_lista02 = mosHTML::selectList( $tos, 'mbox_lista02', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lista02'] );
					echo $gr_mbox_lista02;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help10.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW021; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW03; ?></strong></td>
				<td align="left" valign="top"><?php
					$tus[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$tus[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$gs_mbox_lista03 = mosHTML::selectList( $tus, 'mbox_lista03', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lista03'] );
					echo $gs_mbox_lista03;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help11.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW031; ?></a></td>
			</tr>	
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW04; ?></strong></td>
				<td align="left" valign="top"><?php
					$tts[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$tts[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$ge_mbox_lista04 = mosHTML::selectList( $tts, 'mbox_lista04', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lista04'] );
					echo $ge_mbox_lista04;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help12.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW041; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW05; ?></strong></td>
				<td align="left" valign="top"><?php
					$tws[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$tws[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$ga_mbox_lista05 = mosHTML::selectList( $tws, 'mbox_lista05', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lista05'] );
					echo $ga_mbox_lista05;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help13.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW051; ?></a></td>
			</tr>

			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW06; ?></strong></td>
				<td align="left" valign="top"><?php
					$tvs[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$tvs[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$go_mbox_lista06 = mosHTML::selectList( $tvs, 'mbox_lista06', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lista06'] );
					echo $go_mbox_lista06;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help14.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW061; ?></a></td>
			</tr>

			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW07; ?></strong></td>
				<td align="left" valign="top"><?php
					$tbs[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$tbs[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$gu_mbox_lista07 = mosHTML::selectList( $tbs, 'mbox_lista07', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lista07'] );
					echo $gu_mbox_lista07;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help15.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW071; ?></a></td>
			</tr>			
			</table>
			<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_LAYOUTOTHER; ?></th>
			</tr>
			</table>			
			<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW08; ?></strong></td>
				<td align="left" valign="top"><?php
					$ret[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$ret[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$mu_mbox_song = mosHTML::selectList( $ret, 'mbox_song', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['song'] );
					echo $mu_mbox_song;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help16.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW081; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW09; ?></strong></td>
				<td align="left" valign="top"><?php
					$met[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$met[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$ru_mbox_gallery = mosHTML::selectList( $met, 'mbox_gallery', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['gallery'] );
					echo $ru_mbox_gallery;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help17.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW091; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_LISTROW10; ?></strong></td>
				<td align="left" valign="top"><?php
					$fet[] = mosHTML::makeOption( '1',_MBOX_CONF_SHOW);
					$fet[] = mosHTML::makeOption( '0',_MBOX_CONF_HIDE);
					$gu_mbox_lyric = mosHTML::selectList( $fet, 'mbox_lyric', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['lyric'] );
					echo $gu_mbox_lyric;
				?></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help18.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_LISTROW100; ?></a></td>
			</tr>			
			</table>		
    </div>
		<!-- ******************************* INIZIO VIDEO ********************************************* -->	
			<div class="tabbertab" title="<?php echo _MBOX_CONF_VIDEOFLD; ?>">
      <h2><a name="advtab"><?php echo _MBOX_CONF_VIDEOFLDS; ?></a></h2>
      <h1><?php echo _MBOX_CONF_VIDEOFLDS; ?></h1>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_VIDEOSCHEDE; ?></th>
			</tr>
		</table>				
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_ARTW; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_videow" value="<?php echo $mboxConfig['videow']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help21.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_VIDW; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_ARTH; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_videoh" value="<?php echo $mboxConfig['videoh']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help22.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_VIDH; ?></a></td>
			</tr>	
		</table>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_VIDEOHIT; ?></th>
			</tr>
		</table>				
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_ARTW; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_hitw" value="<?php echo $mboxConfig['hitw']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help23.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_HITW; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_ARTH; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_hith" value="<?php echo $mboxConfig['hith']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help24.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_HITH; ?></a></td>
			</tr>	
		</table>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_LYRICW; ?></th>
			</tr>
		</table>				
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_LYRICW2; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_lirw" value="<?php echo $mboxConfig['lirw']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_LYRICW3; ?></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_LYRICW4; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_lirh" value="<?php echo $mboxConfig['lirh']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_LYRICW5; ?></td>
			</tr>	
		</table>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_CLICKW; ?></th>
			</tr>
		</table>		
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_CLICKW2; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_clirw" value="<?php echo $mboxConfig['clirw']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CLICKW3; ?></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_CLICKW4; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_clirh" value="<?php echo $mboxConfig['clirh']?>"></td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CLICKW5; ?></td>
			</tr>	
		</table>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_ARTICLEFLDS; ?></th>
			</tr>
		</table>			
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_ARTW; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_articlew" value="<?php echo $mboxConfig['articlew']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help19.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_ARTW1; ?></a></td>
			</tr>
			<tr align="center" valign="middle">
				<td align="left" width="200" valign="top"><strong><?php echo _MBOX_CONF_ARTH; ?></strong></td>
				<td align="left" valign="top"><input type="text" size="3" name="mbox_articleh" value="<?php echo $mboxConfig['articleh']?>"></td>
				<td align="left" valign="top">
				<a href="<?php echo $mainframe->getCfg('live_site');?>/administrator/components/com_musicbox/images/help/help20.jpg" rel="mediabox[380 280]" title="<?php echo _MBOX_CONF_CLICK; ?>"><?php echo _MBOX_CONF_ARTH1; ?></a></td>
			</tr>			
		</table>		
    </div>
	
		<!-- ******************************* INIZIO PLAYER ********************************************* -->	
		<div class="tabbertab" title="<?php echo _MBOX_MP3PLAYER; ?>">
      <h2><a name="advtab"><?php echo _MBOX_MP3PLAYER; ?></a></h2>
      <h1><?php echo _MBOX_MP3PLAYER2; ?></h1>
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr>	
				<th><?php echo _MBOX_CONF_LAYOUTDEFAULT; ?></th>
			</tr>
			</table>	  
		<table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
			<tr align="center" valign="middle">
				<td align="left" valign="top"><strong><?php echo _MBOX_CONF_CHPLAYER; ?></strong></td>
				<td align="left" valign="top">
				<?php
					$players[] = mosHTML::makeOption( '0', 'mediaplayer' );
					$players[] = mosHTML::makeOption( '1', 'mediaplayer + download' );					
					$players[] = mosHTML::makeOption( '2', 'dewplayer + vol' );
					$players[] = mosHTML::makeOption( '3', 'dewplayer standard' );	
					$players[] = mosHTML::makeOption( '4', 'dewplayer mini' );						
					$players[] = mosHTML::makeOption( '5', 'simplemp3player' );	
					$players[] = mosHTML::makeOption( '6', 'simplemp3player + download' );	
					$players[] = mosHTML::makeOption( '7', 'simplemp3player mini' );
					$players[] = mosHTML::makeOption( '8', 'simplemp3player mini + download' );						
					$players[] = mosHTML::makeOption( '9', 'player_mp3' );						
					$mc_mbox_player = mosHTML::selectList( $players, 'mbox_player', 'class="inputbox" size="1"', 'value', 'text', $mboxConfig['player'] );
					echo $mc_mbox_player;
				?>
				</td>
				<td align="left" valign="top"><?php echo _MBOX_CONF_CHPLAYERS; ?></td>
			</tr>
	  </table>
	</div>	
  </div>
</div>

		<input type="hidden" name="option" value="<?php echo $option; ?>">
		<input type="hidden" name="act" value="<?php echo $act; ?>">
		<input type="hidden" name="task" value="">
		<input type="hidden" name="boxchecked" value="0">
	</form>
	<br />
	<br />
	<br />
	</table>	
	<?php
	}
}

###############################
# ARTICOLI COLLEGATI
###############################	

 class HTML_schede {	

	function mostraSchede( &$rows, &$pageNav, $search ){
		global $option, $database;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
	
		$database->setQuery("SELECT id, title FROM #__content ORDER BY title");
		$artrows = $database->loadObjectList();
		foreach ($artrows as $artrow)
			$articles[intval($artrow->id)] = $artrow->title;
		?>

		<form action="index2.php" method="post" name="adminForm">
		<table class="adminheading" cellpadding="4" cellspacing="0" border="0" width="100%">
    	<tr>
				<th width="100%" class="edit"><?php echo _MBOX_HEADERLINKITEMS; ?></th>
				<td nowrap="nowrap"><?php echo _MBOX_LABEL_SEARCH; ?>
					<input type="text" name="search" id="search" value="<?php echo $search;?>" class="inputbox" onSubmit="document.adminForm.submit();" />
				</td>
    	</tr>
  	</table>
			<table class="adminlist">
			<thead>
				<tr>
					<th width="20">
						#
					</th>
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="20">
						<?php echo_MBOX_ADM_ITID; ?>
					</th>
					<th width="35%" class="title" nowrap="nowrap">
						<?php echo _MBOX_ALBUM; ?>
					</th>
					<th width="50%" class="title" nowrap="nowrap">
						<?php echo _MBOX_LINKITEMS; ?>
					</th>
					<th width="15%" nowrap="nowrap">
						<?php echo _MBOX_OPENIN; ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="13">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
				$k = 0;
				for ($i=0, $n=count($rows); $i < $n; $i++)
				{
					$row = $rows[$i];
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $i+1+$pageNav->limitstart; ?>
				</td>
				<td>
					<input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" />
				</td>
				<td>
					<?php echo $row->id; ?>
				</td>
				<td align="left">
					<a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','editlink')"><?php echo $row->albumlink; ?></a>
				</td>
				<td align="left">
				<?php
					if (intval($row->link)) echo $articles[intval($row->link)];
					else echo "-&gt;&nbsp;".$row->link; ?>
				</td>
				<td>
					<?php if ($row->target == "_blank") echo _MBOX_OPENINSAMEWND; else echo _MBOX_OPENINNEWWND;?>
				</td>
			</tr>
    	<?php $k = 1 - $k;
				} ?>
			</tbody>
			</table>
		</div>
		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="showlink" />
		<input type="hidden" name="section" value="scheda" />		
		<input type="hidden" name="boxchecked" value="0" />
		</form>
		</table>		
		<?php
	}

###############################
# MODIFICA ARTICOLI COLLEGATI
###############################		
	
	function modificaScheda( &$row, &$targetslist, &$internallinkslist, &$lists){
		global $option;
		include_once(dirname(__FILE__)."/includes/header.php");		
		mosMakeHtmlSafe( $row, ENT_QUOTES, 'misc' );
		?>
		<script language="javascript" type="text/javascript">
			function submitbutton(pressbutton) {
				var form = document.adminForm;
				if (pressbutton == 'cancel') {
					submitform( pressbutton );
					return;
				}

				// do field validation
				if (form.albumlink.value == ""){
					alert( "<?php echo _MBOX_NAMETITLEALBUMSEL; ?>" );
				} else if ((form.internallink.value == "0") && (form.link.value == "")){
					alert( "<?php echo _MBOX_ENTERORSELECT; ?>" );
				} else {
					submitform( pressbutton );
				}
			}
		</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>		
		
		<form action="index2.php" method="POST" name="adminForm">
		
		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_HEADERLINKITEM; ?></legend>

				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="title">		
								<?php echo _MBOX_TITLEALBUMSEL; ?>
							</label>
						</td>
						<td width="80%">
								<?php echo $lists['album'] ?> <span class="small"> <?php echo _MBOX_NAMETITLEALBUMSEL; ?></span>
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="content">	
								<?php echo _MBOX_LINKTOSTATICCONTENT; ?>
							</label>
						</td>
						<td width="80%">
								<?php echo $internallinkslist; ?><span class="small"> <?php echo _MBOX_SELECTSTATICCONTENT; ?></span>
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="open">
								<?php echo _MBOX_LINKOPENIN2; ?>
							</label>
						</td>
						<td width="80%">								
								<?php echo $targetslist; ?><span class="small"> <?php echo _MBOX_LINKOPENIN3; ?></span>
						</td>
					</tr>
				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>
		
		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="task" value="savelink" />
		<input type="hidden" name="section" value="scheda" />		
		</form>
		</table>
		<?php
	}
}


###############################
#  TOP LIST
###############################	
 class HTML_Hit {

	function mostraHit( &$rows, &$pageNav, $search ){
		global $option, $database;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione	
		?>
		<form action="index2.php" method="post" name="adminForm">
		<table class="adminheading" cellpadding="4" cellspacing="0" border="0" width="100%">
    	<tr>
				<th width="100%" class="edit"><?php echo _MBOX_ADM_HEADCHARTS; ?></th>
				<td nowrap="nowrap"><?php echo _MBOX_LABEL_SEARCH; ?>
					<input type="text" name="search" id="search" value="<?php echo $search;?>" class="inputbox" onSubmit="document.adminForm.submit();" />
				</td>
    	</tr>
  	</table>
			<table class="adminlist">
			<thead>
			<tr>
				<th width="5">
					#
				</th>
				<th align="center">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
				</th>
				<th align="left">
					<?php echo _MBOX_ADM_ITID; ?>
				</th>
				<th width="80%" align="left" nowrap="nowrap">
					<?php echo _MBOX_ADM_CHARTNAME; ?>
				</th>
				<th width="15%" align="center" nowrap="nowrap">
					<?php echo _MBOX_SONG_PUBLISHED; ?>
				</th>				
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="13">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
				$k = 0;
				for ($i=0, $n=count($rows); $i < $n; $i++)
				{
					$row = $rows[$i];
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $pageNav->rowNumber( $i ); ?>
				</td>
				<td width="20">
					<input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" />
				</td>
				<td>
					<?php echo $row->id; ?>
				</td>
				<td width="80%" align="left">
					<a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','edithit')"><?php echo $row->nomehit; ?></a>
				</td>
			<?php $img = $row->published ? 'publish_g.png' : 'publish_x.png';?>				
				<td width="5%" align="center">
					<img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="" />
				</td>	
			</tr>
    	<?php $k = 1 - $k;
				} ?>

			</tbody>
			</table>
		</div>
		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="task" value="showhit" />
		<input type="hidden" name="section" value="hit" />		
		<input type="hidden" name="boxchecked" value="0" />
		</form>
		</table>		
		<?php
	} 
 
###############################
# MODIFICA  TOP LIST
###############################	
 
	function modificaHit(&$row, $lists){
		global $mainframe, $database, $my, $now, $option;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione		
		mosMakeHtmlSafe( $row, ENT_QUOTES, 'misc' );
		$now 		= _CURRENT_SERVER_TIME;
		$nullDate = $database->getNullDate();
		$create_date 	= null;
		
		if ( $row->created != $nullDate  ) {
			$create_date 	= mosFormatDate( $row->created, '%A, %d %B %Y %H:%M', '0' );
		}
		mosCommonHTML::loadOverlib();
		mosCommonHTML::loadCalendar();		
		
		?>
		<script language="javascript" type="text/javascript">
			function submitbutton(pressbutton) {
				var form = document.adminForm;
				if (pressbutton == 'cancel') {
					submitform( pressbutton );
					return;
				}
          if (form.nomehit.value == ""){
				    alert( "<?php echo _MBOX_ALERT_TITLE; ?>" );
			    }
            submitform( pressbutton );
        }				

		</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>		
		<form action="index2.php" method="post" name="adminForm">
		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_ADM_MHITS;?></legend>

				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="title">
								<?php echo _MBOX_ADM_CHARTNAME; ?>
							</label>
						</td>
						<td width="80%">
							<input class="inputbox" type="text" name="nomehit" value="<?php echo $row->nomehit; ?>" size="40" maxlength="120" />
						</td>								
					</tr>
					<tr>					
						<td width="20%" class="key">
							<label for="pubblish">
								<?php echo _MBOX_PUBLISHED; ?>
							</label>
						</td>					
						<td width="80%"><?
							if ($row->id>0) { 
							$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', $row->published);
					} else {
							$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', 1);
					}
						echo $published;?>
					</td>
					<tr>
						<td width="20%" class="key">
							<label for="vid4">	
								<?php echo _MBOX_ORDERING; ?>:
						</label>
						</td>								
						<td width="80%">
								<?php echo $lists['ordering']; ?>
						</td>
					</tr>
					<tr>
						<td valign="top" class="key">
						<label for="date">
							<?php echo _MBOX_ADM_STARTPUB; ?>:
						</label>
						</td>								
						<td width="80%">
							<input type="reset" class="button" value="..." onclick="return showCalendar('publish_up', 'y-mm-dd');" />
							<input class="text_area" type="text" name="publish_up" id="publish_up" size="20" maxlength="19" value="<?php echo $row->publish_up; ?>" />
						</td>
					</tr>
					<tr>
						<td valign="top" class="key">
						<label for="date2">
							<?php echo _MBOX_ADM_ENDPUB; ?>:
						</label>
						</td>								
						<td width="80%">
							<input type="reset" class="button" value="..." onclick="return showCalendar('publish_down', 'y-mm-dd');" />
							<input class="text_area" type="text" name="publish_down" id="publish_down" size="20" maxlength="19" value="<?php echo $row->publish_down; ?>" />
						</td>
					</tr>		  
				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>
		
		<input type="hidden" name="option" value="<?php echo $option; ?>" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="task" value="savehit" />
		<input type="hidden" name="section" value="hit" />		
		</form>
		</table>
		<?php
	}
}

###############################
# CANZONI NELLE TOP LIST
###############################	

class HTML_Hitsong {

	function showHitsong( $option, &$rows, &$clist, &$lists, &$search, &$pageNav ) {
		global $database,$my,$task,$section, $value;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<form action="index2.php" method="post" name="adminForm">
		<table class="adminheading" cellpadding="4" cellspacing="0" border="0" width="100%">
		<tr>
			<th width="100%" class="edit">
				<?php echo _MBOX_ADM_HEADSONGCHARTS; ?>
			</th>
			<td><?php echo _MBOX_FILTER; ?>:</td>
			<td>
				<input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" />
			</td>
			<td width="right">
			<?php echo $lists['hit'];?>	
			</td>
		</tr>
		</table>

			<table class="adminlist">
			<thead>
			<tr>
				<th width="5">
					#
				</th>				
				<th width="20">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
				</th>
				<th width="20"></th>				
				<th nowrap="nowrap" align="left" class="title">
					<?php echo _MBOX_SONG_TITLE; ?>
				</th>
				<th width="20%" align="left" nowrap="nowrap">
					<?php echo _MBOX_AUTHORS; ?>
				</th>				
				<th width="20%" align="left"  nowrap="nowrap">
					<?php echo _MBOX_ADM_MHIT ;?>
				</th>
				<th colspan="2" width="5%">
					<?php echo _MBOX_CATEGORIES_HEADER_ORDER ;?>
				</th>
				<th width="5%" align="center"  nowrap="nowrap">
					<?php echo _MBOX_VIDEO; ?>
				</th>
				<th width="5%" align="center" nowrap="nowrap">
					<?php echo _MBOX_SONG_PUBLISHED; ?>
				</th>				
			</thead>
			<tfoot>
				<tr>
					<td colspan="13">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
<?php

		$k = 0;
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
			$row = &$rows[$i];
			$ima=$mainframe->getCfg('live_site')."/components/com_musicbox/images/".$row->imagehit;?>

			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $pageNav->rowNumber( $i ); ?>
				</td>			
				<td width="20">
					<input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" />
				</td>
				<td>
					<img src="<?php echo $ima; ?>" style="border: 0px;" >
				</td>
				<td width="30%" >
					<a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','edit')"><?php echo $row->songhit; ?></a>
				</td>
				<td width="30%" >
					<?php echo $row->artisthit; ?>
				</td>
				<td>
					<?php echo $row->hitTitle; ?>
				</td>
				<td align="center">
					<?php echo $pageNav->orderUpIcon( $i ); ?>
				</td>
				<td align="center">
					<?php if (isset($_POST['ordering'])) { ?>				
					<?php echo $lists['ordering']; }?>	
					<?php echo $pageNav->orderDownIcon( $i, $n ); ?>
				</td>				
				<td width="5%" align="center">
<?php				
				if ($row->videohit | $row->videoaltenativohit) { ?>
					<img src="images/tick.png">
<?php			}else{	?>
					<img src="images/disabled.png">
<?php			}	?>
				</td>
<?php

			$img = $row->published ? 'publish_g.png' : 'publish_x.png';?>				
				<td width="5%" align="center"><img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="" /></td>			

		<?php $k = 1 - $k; } ?>
			</tr>
			</tbody>
			</table>
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="task" value="<?php echo $task; ?>" />
		<input type="hidden" name="section" value="songhit" />
		<input type="hidden" name="boxchecked" value="0" />
		</form>
	</table>		
<?php
	}

###############################
# MODIFICA CANZONE TOP LIST
###############################	

	function editHitsong( $option, &$row, &$hitli, &$imagehit, &$videohitli, &$videohittypeli, &$lists) {
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
		$ima=$mainframe->getCfg('live_site')."/components/com_musicbox/images/".$row->imagehit;
?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
/*			if (form.songhit.value == ""){
				alert( "<?php echo _MBOX_ALERT_TITLE; ?>" );
			}  */

				submitform( pressbutton );
	}
		</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>
		<form action="index2.php" method="post" name="adminForm" id="adminForm">		
		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_ADM_SONGSHITS;?></legend>

				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="hit">
								<?php echo _MBOX_ADM_SELECTHIT ;?>
							</label>
						</td>
						<td width="80%">
							<?php echo $hitli; ?>				
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="name">
								<?php echo _MBOX_SONG ; ?>
							</label>
						</td>								
						<td width="80%">
								<input class="inputbox" type="text" name="songhit" size="60" maxlength="250" value="<?php echo $row->songhit; ?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="singer">
								<?php echo _MBOX_AUTHORS ; ?>
							</label>
						</td>	
						<td width="80%">
								<input class="inputbox" type="text" name="artisthit" size="60" maxlength="250" value="<?php echo $row->artisthit; ?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" align="right"></td>
						<td width="80%"> --- <b><?php echo _MBOX_ADM_IMGTID; ?></b> ---</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="img">
								<?php echo _MBOX_ADM_IMGID; ?></td>
							</label>
						</td>	
						<td width="80%">
								<?php echo $imagehit; ?>  <img src="<?php echo $ima; ?>" style="border: 0px;" >
						</td>
					</tr>			
					<tr>
						<td width="20%" align="right"></td>
						<td width="80%"> --- <b><?php echo _MBOX_ADM_VITID; ?></b> ---</td>
					</tr>			
					</tr>				
					<tr>
						<td width="20%" class="key">
							<label for="vid">					
								<?php echo _MBOX_VIDEO; ?> <?php echo _MBOX_ADM_FONTE2; ?>:
							</label>
						</td>
						<td width="80%">						
							<?php echo $videohittypeli; ?>
						</td>
					</tr>
					<tr>
					<tr>
						<td width="20%" class="key">
							<label for="vid2">	
								<?php echo _MBOX_VIDEOID; ?>:
						</label>
						</td>								
						<td width="80%">
								<input class="inputbox" type="text" name="videohit" size="40" maxlength="180" value="<?php echo htmlspecialchars( $row->videohit, ENT_QUOTES );?>" />
						</td>
					</tr>			
					<tr>
						<td width="20%" align="right"></td>
						<td width="80%"> --- <b><?php echo _MBOX_ADM_VITIDALT; ?></b> ---</td>
					</tr>		
					<tr>
						<td width="20%" class="key">
							<label for="vid3">	
								<?php echo _MBOX_VIDEO; ?> <?php echo _MBOX_ADM_ALTERNAT; ?>
						</label>
						</td>								
						<td width="80%">
								<?php echo $videohitli; ?>				
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="vid4">	
								<?php echo _MBOX_ORDERING; ?>:
						</label>
						</td>								
						<td width="80%">
								<?php echo $lists['ordering']; ?>
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="vid4">	
								<?php echo _MBOX_PUBLISHED; ?>
						</label>
						</td>								
						<td width="80%">
					<?
						if ($row->id>0) {
							$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', $row->published);
					} else {
							$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', 1);
						}
							echo $published;?>
						</td>
					</tr>
				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>

		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="section" value="songhit" />
		<input type="hidden" name="task" value="<?php echo $task;?>" />
		</form>
	</table>
<?php
	}
}

class HTML_lyric { 

###############################
# LYRIC/TESTI
###############################

	function showLyric( $option, &$rows, &$clist, &$lists, &$search, &$pageNav ) {
		global $database, $my, $task, $value;
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<form action="index2.php" method="post" name="adminForm">
		<table class="adminheading" cellpadding="4" cellspacing="0" border="0" width="100%">
		<tr>
			<th width="100%" class="edit"><?php echo _MBOX_LYRIC_MANAGER; ?></th>
			<td><?php echo _MBOX_FILTER; ?>:</td>
			<td>
				<input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" />
			</td>
			<td>
			<?php echo $lists['cantante'];?>	
			</td>
		</tr>
		</table>


			<table class="adminlist">
				<thead>
					<tr>
						<th width="5">
							#
						</th>						
						<th width="20">
							<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" />
						</th>
						<th width="60%" align="left" nowrap="nowrap">
							<?php echo _MBOX_MUSICBOX_TITLE; ?>
						</th>
						<th width="35%" align="left" nowrap="nowrap">
							<?php echo _MBOX_SINGER; ?>
						</th>							
						<th width="5%" nowrap="nowrap">
							<?php echo _MBOX_PUBLISHED; ?>
						</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="13">
							<?php echo $pageNav->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
				<tbody>
<?php
		$k = 0;
		for ($i=0, $n=count( $rows ); $i < $n; $i++) {
		$row = &$rows[$i];
?>
					<tr class="<?php echo "row$k"; ?>">
						<td>
							<?php echo $pageNav->rowNumber( $i ); ?>
						</td>					
						<td width="20">
							<input type="checkbox" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->id; ?>" onclick="isChecked(this.checked);" />
						</td>
						<td nowrap="nowrap">
							<a href="#edit" onclick="return listItemTask('cb<?php echo $i;?>','edit')"><?php echo $row->titolo; ?></a>
						</td>
						<td nowrap="nowrap">
							<?php echo $row->cantante; ?>
						</td>	
<?php
		$task = $row->published ? 'unpublish' : 'publish';
		$img = $row->published ? 'publish_g.png' : 'publish_x.png';
?>
						<td width="5%" align="center">
							<a href="javascript: void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $task;?>')"><img src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="" /></a>
						</td>

<?php		$k = 1 - $k; } ?>
					</tr>
				</tbody>
			</table>
				<input type="hidden" name="option" value="<?php echo $option;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="section" value="lyric" />
				<input type="hidden" name="boxchecked" value="0" />
			</form>
	
<?php
		echo "</table>";// chiusura inclusione menu navigazione
	}//chiusura funzione  showAlbum
	
	
###############################
# MODIFICA TESTO
###############################	

	function editLyric( $option, &$row, &$albumli, &$lists) {
		mosMakeHtmlSafe( $row, ENT_QUOTES, 'description' );
		include_once(dirname(__FILE__)."/includes/header.php");//inclusione menu navigazione
?>
		<script language="javascript" type="text/javascript">
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if (form.titolo.value == ""){
				alert( "<?php echo _MBOX_ALERT_TITLE; ?>" );
			}  

				submitform( pressbutton );
	}
		</script>
	  <style>
		fieldset {margin-bottom: 10px;border: 1px #ccc solid;padding: 5px;text-align: left;}
		fieldset p {  margin: 10px 0px;  }
		legend    {color: #0B55C4;font-size: 14px;font-weight: bold;}
		table.admintable td 					 { padding: 3px; }
		table.admintable td.key,
		table.admintable td.paramlist_key {
		background-color: #f6f6f6;
		text-align: left;
		width: 190px;
		color: #666;
		font-weight: bold;
		border-bottom: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
		}
		</style>		
		<form action="index2.php" method="post" name="adminForm">

		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo $row->id ? _MBOX_MODIFY : _MBOX_ADD;?> <?php echo _MBOX_A_LYRIC; ?>:&nbsp;&nbsp;&nbsp;<?php echo $row->song;?></legend>

				<table class="admintable">
				<tbody>
					<tr>
						<td width="20%" class="key">
							<label for="album">		
								<?php echo _MBOX_SELECT_SINGER;?>
							</label>
						</td>								
						<td width="80%">
								<?php echo $albumli; ?>				
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="albumsong">	
								<?php echo _MBOX_SONG ; ?>
							</label>
						</td>
						<td width="80%">
								<input class="inputbox" type="text" name="titolo" size="90" maxlength="250" value="<?php echo $row->titolo; ?>" />
						</td>
					</tr>
					<tr>
						<td width="20%" valign="top" class="key">
							<label for="lyric">						
							<?php echo _MBOX_LYRIC; ?>:
							</label>
						</td>							
						<td width="80%">
						<?php
						// parameters : areaname, content, hidden field, width, height, rows, cols
						editorArea( 'editor1',  $row->lyric , 'lyric', '600', '400', '70', '15' ) ;
						?>
						</td>
					</tr>
					<tr>
						<td width="20%" class="key">
							<label for="order">						
							<?php echo _MBOX_ORDERING; ?>:
							</label>
						</td>
						<td width="80%">
							<?php echo $lists['ordering']; ?>
						</td>
					</tr>			
					<tr>
						<td width="20%" class="key">
							<label for="publish">		
						<?php echo _MBOX_PUBLISHED; ?>
							</label>
						</td>
						<td width="80%"><?
						if ($row->id>0) {
						$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', $row->published);
						} else {
						$published = mosHTML::yesnoRadioList('published', 'class="inputbox"', 1);
						}
						echo $published;?>
						</td>
					</tr>
				</tbody>
				</table>
			</fieldset>
		</div>
		<div class="clr"></div>

		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="option" value="<?php echo $option;?>" />
		<input type="hidden" name="section" value="lyric" />
		<input type="hidden" name="task" value="<?php echo $task;?>" />

		</form>
	</table>
<?php
}	
	
}	
?>