<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @paked: install.musicbox.php
* @ Copyright (C) 2007 Vamba
* @ All rights reserved
* @ Fork of booklist by Yann Bouan
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @ Copyright (C) 2005 Jan Schulz-Hofen
* @ All rights reserved
* @ This component is derived from the com_booklist component by Yann Bouan which is derived from the mambo com_weblinks component
**/


defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

function com_install()
{ 
    
    // db operations
    global $database,$mosConfig_absolute_path;
	$database->setQuery("UPDATE #__components SET admin_menu_link='option=com_musicbox&section=musicbox' WHERE name ='MusicBox'");
    $database -> query();		

    chdir("../");
    @mkdir("images/stories/audio", 0755);
    @mkdir("images/stories/videos", 0755);	
    @mkdir("images/stories/musicbox", 0755);		
	require_once($mosConfig_absolute_path . "/administrator/includes/pcl/pclzip.lib.php");
	$archive = new PclZip($mosConfig_absolute_path . "/components/com_musicbox/user.zip");
	$list = $archive->extract(PCLZIP_OPT_PATH, $mosConfig_absolute_path . "/components/com_musicbox/");
	$archive = new PclZip($mosConfig_absolute_path . "/administrator/components/com_musicbox/admin.zip");
	$list = $archive->extract(PCLZIP_OPT_PATH, $mosConfig_absolute_path . "/administrator/components/com_musicbox/");
	$archive = new PclZip($mosConfig_absolute_path . "/components/com_musicbox/musicboxcom_user.zip");
	$list = $archive->extract(PCLZIP_OPT_PATH, $mosConfig_absolute_path . "/components/com_musicboxcom/");
	$archive = new PclZip($mosConfig_absolute_path . "/components/com_musicbox/musicboxcom_admin.zip");
	$list = $archive->extract(PCLZIP_OPT_PATH, $mosConfig_absolute_path . "/administrator/components/com_musicboxcom/");		
	unlink($mosConfig_absolute_path . "/components/com_musicbox/user.zip");
	unlink($mosConfig_absolute_path . "/components/com_musicbox/musicboxcom_user.zip");
	unlink($mosConfig_absolute_path . "/components/com_musicbox/musicboxcom_admin.zip");	
	unlink($mosConfig_absolute_path . "/administrator/components/com_musicbox/admin.zip");	
/////////// start mbox_plugin
		echo '<img src="../administrator/components/com_musicbox/logo.png"><br/>';	
		if(is_file($mosConfig_absolute_path."/mambots/mbox/mbox_plugin.xml")){

		echo '<img src="images/reload_f2.png" width="16" >Mbox Plugin Already Installed<br/>';
		unlink($mosConfig_absolute_path . "/components/com_musicbox/mbox_plugin.zip");			

		}else{
	$archive = new PclZip($mosConfig_absolute_path . "/components/com_musicbox/mbox_plugin.zip");
	$list = $archive->extract(PCLZIP_OPT_PATH, $mosConfig_absolute_path . "/mambots/mbox/");	
	$database->setQuery("INSERT INTO #__mambots SET name='Mbox Plugin', element='mbox_plugin', folder='mbox', ordering='1', published='1'");
    $database -> query();
		echo '<img src="images/apply_f2.png" width="16">Mbox Plugin Installed With Success<br/>';
	unlink($mosConfig_absolute_path . "/components/com_musicbox/mbox_plugin.zip");
	}
	
////////////start mbox_comment
		if(is_file($mosConfig_absolute_path."/mambots/mbox/mbox_comment_bot.xml")){

		echo '<img src="images/reload_f2.png" width="16" >Mbox Comment Already Installed<br/>';
		unlink($mosConfig_absolute_path . "/components/com_musicbox/mbox_comment_bot.zip");			

		}else{
	$archive = new PclZip($mosConfig_absolute_path . "/components/com_musicbox/mbox_comment_bot.zip");
	$list = $archive->extract(PCLZIP_OPT_PATH, $mosConfig_absolute_path . "/mambots/mbox/");	
	$database->setQuery("INSERT INTO #__mambots SET name='Mbox Comment', element='mbox_comment_bot', folder='mbox', ordering='1', published='1'");
    $database -> query();
		echo '<img src="images/apply_f2.png" width="16">Mbox Comment Installed With Success<br/>';
	unlink($mosConfig_absolute_path . "/components/com_musicbox/mbox_comment_bot.zip");		
		}
////////////start mbox_system
		if(is_file($mosConfig_absolute_path."/mambots/system/musicbox_sys_bot.xml")){

		echo '<img src="images/reload_f2.png" width="16" >Mbox Comment Already Installed<br/>';
		unlink($mosConfig_absolute_path . "/components/com_musicbox/musicbox_sys_bot.zip");			

		}else{
	$archive = new PclZip($mosConfig_absolute_path . "/components/com_musicbox/musicbox_sys_bot.zip");
	$list = $archive->extract(PCLZIP_OPT_PATH, $mosConfig_absolute_path . "/mambots/system/");	
	$database->setQuery("INSERT INTO #__mambots SET name='Mbox Comment Sys', element='musicbox_sys_bot', folder='system', ordering='1', published='1'");
    $database -> query();
		echo '<img src="images/apply_f2.png" width="16">Mbox Comment Sys Installed With Success<br/>';
	unlink($mosConfig_absolute_path . "/components/com_musicbox/musicbox_sys_bot.zip");		
		}		
////////////start azrul system
		if(is_file($mosConfig_absolute_path."/mambots/system/mbox_system.php")){

		echo '<img src="images/reload_f2.png" width="16" >Mbox Sys Already Installed<br/>';
		unlink($mosConfig_absolute_path . "/components/com_musicbox/mbox_sys.zip");			

		}else{
	$archive = new PclZip($mosConfig_absolute_path . "/components/com_musicbox/mbox_sys.zip");
	$list = $archive->extract(PCLZIP_OPT_PATH, $mosConfig_absolute_path . "/mambots/system/");	
	$database->setQuery("INSERT INTO #__mambots SET name='Mbox System Mambot For Joomla', element='mbox_system', folder='system', ordering='2', published='1'");
    $database -> query();
		echo '<img src="images/apply_f2.png" width="16">Mbox Sys Installed With Success<br/>';
	unlink($mosConfig_absolute_path . "/components/com_musicbox/mbox_sys.zip");		
		}			
}
?>