<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @Pack musicboxcom
* @Based on
* @package JomComment free edition
* @copyright (C) 2006 by Azrul Rahim - All rights reserved!
* @www.azrul.com
* @NOTE: This features of Musicbox don't support and allow content items comment system but
* @only support musicbox item contents
* @If you need full contents comment system buy a copy of this fantastic component
**/

# Don't allow direct linking
(defined('_VALID_MOS') OR defined('_JEXEC')) or die('Direct Access to this location is not allowed.');
if (defined('_JC_MAINFRAME_CLASS')) {
	return;
} else {
	define('_JC_MAINFRAME_CLASS', 1);
}
global $mosConfig_absolute_path, $mosConfig_live_site, $_JCPROFILER, $_JOMCOMMENT, $_JC_CONFIG, $_JC_UTF8;
if (defined('_JEXEC')) {
	defined('_JEXEC') or die('Direct Access to this location is not allowed.');
	define('JC_BOT_FOLDER', "plugins");
	define('JC_BOT_PATH', $mosConfig_absolute_path . '/components/com_musicboxcom/');
	define('JC_BOT_LIVEPATH', $mosConfig_live_site . '/components/com_musicboxcom/');
	define('JC_LANGUAGE', $mosConfig_absolute_path . '/components/com_musicboxcom/languages/');

} else {
	(defined('_VALID_MOS') OR defined('_JEXEC')) or die('Direct Access to this location is not allowed.');
	define('JC_BOT_FOLDER', "mambots");
	define('JC_BOT_PATH', $mosConfig_absolute_path . '/components/com_musicboxcom/');
	define('JC_BOT_LIVEPATH', $mosConfig_live_site . '/components/com_musicboxcom/');
	define('JC_LANGUAGE', $mosConfig_absolute_path . '/components/com_musicboxcom/languages/');
	include_once ($mosConfig_absolute_path . "/includes/patTemplate/patTemplate.php");
}

define('JC_COM_PATH', $mosConfig_absolute_path . '/components/com_musicboxcom/');
define('JC_ADMIN_COM_PATH', $mosConfig_absolute_path . '/administrator/components/com_musicboxcom/');
define('JC_CONFIG', $mosConfig_absolute_path . '/administrator/components/com_musicboxcom/config.musicboxcom.php');
define('JC_STATUS_BLOCKED', '2');
define('JC_STATUS_OK', '1');
define('JC_STATUS_WARNING', '0');
define('JC_DEBUG', '0');
define('JC_VERSION', '1.8.9');

include_once (JC_CONFIG);
include_once (JC_COM_PATH . 'class.templates.php');
include_once (JC_COM_PATH . 'class.encoding.php');
include_once (JC_COM_PATH . 'profiler.musicboxcom.php');
include_once (JC_COM_PATH . 'functions.musicboxcom.php');
include_once (JC_COM_PATH . 'includes/fogscout/scout.php');
include_once (JC_COM_PATH . 'cms/spframework.php');

/**
 * Main controller class
 */
class JCMainFrame 
{
	var $_language = null;
	var $_utf8 = null;
	var $_viewMgr = null;
	var $_dataMgr = null;
	var $db = null;

	/**
	 * Constructor
	 */
	function JCMainFrame() {
		global $mosConfig_absolute_path;
		include_once (JC_COM_PATH . 'datamanager.musicboxcom.php');
		include_once (JC_COM_PATH . 'views.musicboxcom.php');
		include_once (JC_ADMIN_COM_PATH . 'config.musicboxcom.php');

		# load the config
		$this->_config = new StdClass();

		# set up utf8 object
		$this->_utf8 = new Utf8Helper();

		# set up data manager
		$this->_dataMgr = new JCDataManager();

		# set up view manager
		$this->_viewMgr = new JCView();
		
		$this->db = CMSDb::getInstance();
	}
	
	function getCommentContainer() {
	}

	# Return the formatted comments list
	function getHTML($cid, $option, & $contentObj) {
		$page = mosGetParam($_GET, 'cpage', 0);
		$data = $this->_dataMgr->getAll($cid, $option);
		$html = $this->_viewMgr->prepAll($data, $cid, $option, $contentObj);
		unset($data);
		return $html;
	}
	function tbGetHTML($cid, $option) {
		$data = $this->_dataMgr->tbGetAll($cid, $option);
		$html = $this->_viewMgr->tbPrepAll($data, $cid, $option);
		return $html;
	}
	
	/**
	 * return some default path
	 */
	function getPath($varname) {
		global $mosConfig_absolute_path, $_JC_CONFIG;
		switch ($varname) {
			case 'spamfilter' :
				return JC_COM_PATH . "spamfilter.musicboxcom.php";
			case 'views' :
				return JC_COM_PATH . "views.musicboxcom.php";
			case 'datamanager' :
				return JC_COM_PATH . "datamanager.musicboxcom.php";
			case 'language' :
				return $mosConfig_absolute_path . "/components/com_musicboxcom/languages/" . $_JC_CONFIG->get('language');
		}
	}
	
	/**
	 * Show the captcha image
	 */	 	
	function img() {
		global $my, $mosConfig_absolute_path, $mosConfig_live_site;
		
		$jc_sid = mosGetParam($_GET, 'jc_sid', "x");
		$acceptedChars = 'abcdefghijklmnopqrstuvwxyz';
		$stringlength = 5;
		$max = strlen($acceptedChars) - 1;
		$password = NULL;
		$realPassword = NULL;
		for ($i = 0; $i < $stringlength; $i++) {
			$cnum[$i] = $acceptedChars {
				mt_rand(0, $max)
			};
			$password .= "" . $cnum[$i];
			$realPassword .= $cnum[$i];
		}
		if (rand(1, 10) < 3) {
			$query = "DELETE FROM #__mbox_captcha_session where DATE_SUB(CURDATE(),INTERVAL 1 DAY) <= date;";
			$this->db->query($query);
		}
		$query = "INSERT HIGH_PRIORITY INTO  #__mbox_captcha_session SET sessionid='$jc_sid' , password='$realPassword', date=NOW()";
		$this->db->query($query);
		
		
		$imgBg = imagecreatefrompng("$mosConfig_absolute_path/components/com_musicboxcom/includes/fonts/bg.png");
		$grey = imagecolorallocate($imgBg, 100, 100, 100);
		$font = imageloadfont("$mosConfig_absolute_path/components/com_musicboxcom/includes/fonts/dreamofme.gdf");
		imagestring($imgBg, $font, 15, 10, $password, $grey);
		header('Content-type: image/png');
		imagepng($imgBg);
		exit;
	}
	
	/**
	 * Return the name of current template.
	 * Just a special version of config.
	 */
	function getTemplate() {
		global $_JC_CONFIG;
		return $_JC_CONFIG->get('template');
	}
	function getSecurityImg($sid) {
	}

	/**
	 * Return a unique 32 character unique id
	 */
	function getSid($len = 12) {
		$token = md5(uniqid('a'));
		$sid = md5(uniqid(rand(), true));
		$ret = "";
		
		for($i = 0; $i < $len; $i++){
			$ret .= substr($sid, rand(1, ($len-1)), 1 );
		}
		
		return $ret;
	}

	/**
	 * Need to notify admin and give link to publish/unpublish the comment
	 */
	function notifyAdmin($data) {
		global $database, $mosConfig_live_site, $mosConfig_offset_user, $_JC_CONFIG;
		global $mosConfig_mailfrom, $mosConfig_fromname, $mosConfig_offset, $_JCPROFILER;
		
		# Must make sure that the emai is valid, otherwise, do not send the
		# email				
		$email = $_JC_CONFIG->get('notifyEmail');		
		$regexp = "^([_a-z0-9-]+)(\.[_a-z0-9-]+)*@([a-z0-9-]+)(\.[a-z0-9-]+)*(\.[a-z]{2,4})$";
		if(!empty($email) && eregi($regexp, $email)){
		
		$sid = $this->getSid();
		$date = strftime("%Y-%m-%d %H:%M:%S", time() + ($mosConfig_offset * 60 * 60));
		$database->setQuery("DELETE FROM #__mbox_comment_admin WHERE sid='$sid'");
		$database->query();
		$database->setQuery("INSERT INTO #__mbox_comment_admin 
									SET sid='$sid', action='moderate', commentid=$data->id, date='$date'
									ON DUPLICATE KEY UPDATE date='$date'");
		$database->query();
		$subject = "New comment added. ";
		
		if (!$data->published)
			$subject .= "Moderator approval required.";
			
		$publishLink = sefRelToAbs($mosConfig_live_site . "/index.php?option=com_musicboxcom&task=jomadmin&sid=$sid&do=publish");
		$unpublishLink = sefRelToAbs($mosConfig_live_site . "/index.php?option=com_musicboxcom&task=jomadmin&sid=$sid&do=unpublish");
		$deleteLink = sefRelToAbs($mosConfig_live_site . "/index.php?option=com_musicboxcom&task=jomadmin&sid=$sid&do=delete");
		
		// Need to find the proper Itemid, this isn't right
		$link = sefRelToAbs($mosConfig_live_site . "/index.php?option=com_musicbox&task=view&id=$data->id&Itemid=1");
		
		if(isset($_SERVER['HTTP_REFERER'])){ 
			$link = $_SERVER['HTTP_REFERER'];
		}
		$contentTitle = jcContentTitleGet($data->contentid);
		$comment = jcTextwrap($data->comment);
		$email_msg = "";
		if (!$data->published)
			$email_msg = "
		The following message needs your approval. You can approve it through the 
		backend or simply use the link below to publish/unpublish/delete the comment. This link will
		expires in 7 days.";
		else
			$email_msg = "
		The following message has been published. You can use the link below to publish/unpublish/delete the comment. This link will
		expires in 7 days.";
		$email_msg .= "
	\n
	1. Publish:
	$publishLink
	
	2. Unpublish:
	$unpublishLink
	
	3. To Delete:
	$deleteLink
	
	===========================================================================
	Content Title: $contentTitle
	===========================================================================\n
	Comment Title: $data->title
	Author: $data->name
	Email: $data->email
	Link to content: $link
	
	Comment: 
	$data->comment\n
	\n
	===========================================================================\n
	\n
	\n
	\n
	";
		$mode = 0;
		$cc = NULL;
		$bcc = NULL;
		$attachment = NULL;
		$replyto = NULL;
		$replytoname = NULL;
		if ($data->email)
			$replyto = $data->email;
		if ($data->name)
			$replytoname = $data->name;
		jomMail($mosConfig_mailfrom, $mosConfig_fromname, $_JC_CONFIG->get('notifyEmail'), $subject, $email_msg, $mode, $cc, $bcc, $attachment, $replyto, $replytoname);
		
		}
	}

	/**
	 * Process click from admin's email
	 */
	function processAdminTask() {
		global $database, $mosConfig_live_site;
		$sid = mosGetParam($_GET, 'sid', "");
		if ($sid) {
			$database->setQuery("SELECT commentid FROM #__mbox_comment_admin WHERE sid='$sid'");
			$commentid = $database->loadResult();
			if ($commentid) {
				switch ($_GET['do']) {
					case 'publish' :
						$this->_dataMgr->publish($commentid);
						echo "<p><b><img src=\"$mosConfig_live_site/administrator/images/tick.png\" /> The comment has been published</b></p>";
						break;
					case 'unpublish' :
						$this->_dataMgr->unpublish($commentid);
						echo "<p><b><img src=\"$mosConfig_live_site/administrator/images/tick.png\" /> The comment has been unpublished</b></p>";
						break;
					case 'delete' :
						$this->_dataMgr->delete($commentid);
						echo "<p><b><img src=\"$mosConfig_live_site/administrator/images/tick.png\" /> The comment has been deleted</b></p>";
						break;
				}
				
				return;
			}
		}
		echo "<p><b>The link is invalid. You can use the backend to publish the comment.</b></p>";
	}

	/**
	 * Given the name, email and website, we simply return all of it back, with
	 * updates name and email if user is currently logged in 
	 */
	function ajaxLoadUserInfo($name, $email, $website) {
		global $my, $mosConfig_caching, $_JC_CONFIG;
		while (@ ob_end_clean());
		ob_start();
		if (!isset ($name))
			$name = "";
		if (!isset ($email))
			$email = "";
		if (!isset ($website))
			$website = "";
		if (is_array($name))
			$name = "";
		if (is_array($email))
			$email = "";
		if (is_array($website))
			$website = "";
		if ($my->name) {
			$name = $my->name;
			$email = $my->email;
			
			# name is all but in utf-8 encoding. We need to convert this to utf8
			if (function_exists('mb_convert_encoding') && @ (_ISO)) {
				$iso = explode('=', _ISO);
				$name = mb_convert_encoding($name, "UTF-8", $iso[1]);
			}
		}
		$objResponse = new JAXResponse();
		$objResponse->addAssign('jc_name', 'value', strval($name));
		$objResponse->addAssign('jc_email', 'value', strval($email));
		$objResponse->addAssign('jc_website', 'value', strval($website));
		
		// Need to load new security code picture as well
		if ($_JC_CONFIG->get('useCaptcha') AND $mosConfig_caching) {
			$sidNew = $this->getSid();
			$resultCaptchaImg = sefRelToAbs("index2.php?option=com_musicboxcom&no_html=1&task=img&jc_sid=$sidNew");
			$resultCaptchaSid = $sidNew;
			$objResponse->addAssign('jc_captchaImg', 'src', $resultCaptchaImg);
			$objResponse->addAssign('jc_sid', 'value', $resultCaptchaSid);
		}
		return $objResponse->sendResponse();
	}
	
	/**
	 * Some code that need to be attached to the page <head> section.
	 * There is no need to add this code if the user opt to. 	 
	 */
	function addCustomHeader() {
		global $mosConfig_absolute_path, $mainframe, $option, $mosConfig_live_site, $_JC_CONFIG;
		if (!$this->requireHeaderScript())
			return;
		$jsscript = "";
		$style = $_JC_CONFIG->get('template') . "/comment_style.css";
		if (@ strpos($style, ".html")) {
			$style = substr($_JC_CONFIG->get('template'), 0, -5) . "/comment_style.css";
		}
		$jsscript .= '<link rel="stylesheet" type="text/css" href="' . $mosConfig_live_site . '/' . 'components/com_musicboxcom/style.css"/>' . "\n";
		$jsscript .= '<link rel="stylesheet" type="text/css" href="' . $mosConfig_live_site . '/' . 'components/com_musicboxcom/templates/' . $style . '"/>' . "\n";
		$jsscript .= $this->addCustomScript();
		$jsscript = jcFixLiveSiteUrl($jsscript);
		$mainframe->addCustomHeadTag($jsscript);
		return;
	}
	
	function addCustomScript() {
		global $mosConfig_live_site, $option, $_JC_CONFIG, $my, $mainframe;
		if (!isset ($my))
			$my = $mainframe->getUser();
		$name_field = $_JC_CONFIG->get('username');
		$user_name = isset ($my-> $name_field) ? $my-> $name_field : "";
		$user_email = isset ($my->email) ? $my->email : "";
		$busy_gif = $mosConfig_live_site . '/' . 'components/com_musicboxcom/busy.gif';
		$jsscript = "";
		$jsscript .= '
	<script type=\'text/javascript\'>
	/*<![CDATA[*/
	var jc_option           = "' . $option . '";
	var jc_autoUpdate       = "' . $_JC_CONFIG->get('autoUpdate') . '";
	var jc_update_period    = ' . $_JC_CONFIG->get('updatePeriod') . '*1000;
	var jc_orderBy          = "' . $_JC_CONFIG->get('sortBy') . '";
	var jc_livesite_busyImg = "' . $busy_gif . '";
	var jc_commentForm;
	/*]]>*/
	</script>' . "\n";
		$task = mosGetParam($_GET, 'task', "");
		$jsscript .= '<script src="' . $mosConfig_live_site . '/' . 'components/com_musicboxcom/script.js?' . JC_VERSION . '" type="text/javascript"></script>';
		return $jsscript;
	}
	/**
	 * Add a new comment
	 */
	function ajaxAddComment($xajaxArgs) {
		error_reporting(E_ALL);
		global $_JCPROFILER, $my, $mosConfig_caching, $mosConfig_absolute_path, $_JC_CONFIG, $_JCPROFILER;
		global $database, $mosConfig_fromname;
		include_once ($this->getPath('spamfilter'));
		include_once ($this->getPath('language'));
		$ob_active = ob_get_length() !== FALSE;
		if ($ob_active) {
			while (@ ob_end_clean());
			if (function_exists('ob_clean')) {
				@ ob_clean();
			}
		}
		ob_start();
		$emailAdmin = $_JC_CONFIG->get('notifyAdmin');
		$objResponse = new JAXResponse();
		$responseMsg = "";
		$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_MESSAGE_ADDED);
		$status = JC_STATUS_OK;

		# create a new comment object
		$data = $this->_dataMgr->create($xajaxArgs);
		if ($data == null) {
			# If 'create' fail, there could be some missing info or data not validated
			$resultMsg = $this->_dataMgr->getCreateError();
			$status = JC_STATUS_WARNING;
		}

		# apply filters
		if ($status == JC_STATUS_OK) {
			$filter = new JCSpamFilter($data);
			if ($filter->isSpam()) {
				$resultMsg = $filter->getErrorMsg();
				$status = JC_STATUS_WARNING;
			}
		}
		# @rule: For com_content, do not add the comment if the content are unpublished
		if($data->option == 'com_musicboxcom'){
			if(jcContentPublished($data->contentid) != 1){
				$resultMsg = "Cannot add comment to unpublished content";
				$status = JC_STATUS_WARNING;
			}
		}

		# @rule: hard limit on the number of comment per 30 minutes by the same IP 
		# we block it's IP automatically. and inform admin
		$numcommentByIp = $this->_dataMgr->getNumCommentByIP($data->ip, $data->date);
		if (($status == JC_STATUS_OK) AND ($numcommentByIp > 20)) {
			$_JC_CONFIG->addBlockedIP($data->ip);
			$status = JC_STATUS_WARNING;
			$resultMsg = "Are you trying to spam? Please allow '" . $_JC_CONFIG->get('postInterval') . "' seconds between post.";
		}

		# @rule: block SPAM flood
		if ($_JC_CONFIG->get('postInterval') AND ($status == JC_STATUS_OK)) {
			if ($this->_dataMgr->getFlood($data->name, $data->ip, $data->date, $_JC_CONFIG->get('postInterval'))) {
				$status = JC_STATUS_WARNING;
				$resultMsg = "Are you trying to spam? Please allow '" . $_JC_CONFIG->get('postInterval') . "' seconds between post.";
			}
		}

		# @rule : minimum comment length
		if ($_JC_CONFIG->get('commentMinLen') AND ($status == JC_STATUS_OK)) {
			if ($this->_utf8->strlen($data->comment) < intval(trim($_JC_CONFIG->get('commentMinLen')))) {
				$status = JC_STATUS_WARNING;
				$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_TPL_TOO_SHORT);
			}
		}

		# @rule : maximum comment length
		if (($status == JC_STATUS_OK) AND $_JC_CONFIG->get('commentMaxLen')) {
			if ($this->_utf8->strlen($data->comment) > intval($_JC_CONFIG->get('commentMaxLen'))) {
				$status = JC_STATUS_WARNING;
				$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_TPL_TOO_LONG);
			}
		}

		# @rule: duplicate entry
		if (($status == JC_STATUS_OK) AND $this->_dataMgr->searchSimilarComments($data->contentid, $data->comment, $data->date)) {
			$status = JC_STATUS_WARNING;
			$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_TPL_DUPLICATE);
		}

		# @rule: password must be correct, 
		if ($_JC_CONFIG->get('useCaptcha') AND ($status == JC_STATUS_OK)) {
			$isOk = false;
			if (!$_JC_CONFIG->get('useCaptchaRegistered') AND $my->username) {
				$isOk = true;
			} else {
				$secCode = $this->_dataMgr->getPassword($data->_sid);
				$isOk = (isset ($secCode) AND (strval($secCode) == strval($data->_password)));
				$this->_dataMgr->deletePassword($data->_sid);
			}

			if (!$isOk) {
				$status = JC_STATUS_WARNING;
				$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_CAPTCHA_MISMATCH);
			}
		}
		
		# store the new comment into database
		if ($status == JC_STATUS_OK) {
			$data->store();
		}
		
		# check if we need to unpublish it
		if ($status == JC_STATUS_OK) {
			global $mosConfig_mailfrom;
			
			# @unpublish rule: unpublish if necesary
			if (!$_JC_CONFIG->get('autoPublish')) {
				$this->_dataMgr->unpublish($data->id);
				$data->published = 0;
				$status = JC_STATUS_BLOCKED;
				$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_MESSAGE_NEED_MOD);
			}
			
			# @unpublish rule: moderate guest post
			if (($status == JC_STATUS_OK) AND $_JC_CONFIG->get('modGuest') AND !$my->username) {
				$this->_dataMgr->unpublish($data->id);
				$data->published = 0;
				$status = JC_STATUS_BLOCKED;
				$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_MESSAGE_NEED_MOD);
				$emailAdmin = true;
			}
			
			# @unpublish rule: contain blocked words
			if (($status == JC_STATUS_OK) AND $_JC_CONFIG->get('blockWords')) {
				$words = explode(",", $_JC_CONFIG->get('blockWords'));
				array_walk($words, "jctrim");
				foreach ($words as $word) {
					if (!empty ($word)) {
						if (@ stripos($data->comment, $word) !== FALSE) {
							$this->_dataMgr->unpublish($data->id);
							$data->published = 0;
							$status = JC_STATUS_BLOCKED;
							$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_MESSAGE_NEED_MOD);
							$emailAdmin = true;
						}
					}
				}
			}
			# @unpublish rule: maximum number of link.
			# unfortunately, we need to process the comment first to be able to reliably count
			# the number of links
			$comment = $data->comment;
			if (!class_exists('HTML_BBCodeParser') AND !function_exists('BBCode')) {
				include_once ($mosConfig_absolute_path . "/components/com_musicboxcom/bbcode.php");
			}
		
			$comment = BBCode($comment);
			
			# @rule : maximum comment length
			$urlCount = preg_match_all("/(a href=)/ie", $comment, $matches);
			if (intval($urlCount) > $_JC_CONFIG->get('spamMaxLink')) {
				$this->_dataMgr->unpublish($data->id);
				$data->published = 0;
				$status = JC_STATUS_BLOCKED;
				$resultMsg = $this->_utf8->utf8ToHtmlEntities(_JC_MESSAGE_NEED_MOD);
			}
			
			# send notification to admins if required
			$_JCPROFILER->mark('Sending Email');
			if ($emailAdmin) {
				$this->notifyAdmin($data);
			}
			$_JCPROFILER->mark('Notify Admin');
			
			# send notification to content author
			if ($_JC_CONFIG->get('notifyAuthor') && ($data->option == "com_musicboxcom")) {
				$auid = jcContentAuthorGet($data->contentid);
				$contentTitle = jcContentTitle($data->contentid);
				$database->setQuery("SELECT email FROM #__users WHERE id=$auid");
				$authorEmail = $database->loadResult();
				
				$link = sefRelToAbs($mosConfig_live_site . "/index.php?option=com_musicbox&task=view&id=$data->id&Itemid=1");
				if(isset($_SERVER['HTTP_REFERER'])){
					$link = $_SERVER['HTTP_REFERER'];
				}
				
				$email_msg = "Article title: " . $contentTitle . "\n\nTitle: " . $data->title . "\n\nComment: " . $data->comment . "\n\n\n";
				$mode = 0;
				$cc = NULL;
				$bcc = NULL;
				$attachment = NULL;
				$replyto = NULL;
				$replytoname = NULL;
				if ($data->email)
					$replyto = $data->email;
				if ($data->name)
					$replytoname = $data->name;
				jomMail($mosConfig_mailfrom, $mosConfig_fromname, $authorEmail, "Author notification: New comment posted", $email_msg, $mode, $cc, $bcc, $attachment, $replyto, $replytoname);
			}
			$_JCPROFILER->mark('Notify Author');
			# for joomla 1.0.9 and above, we need to clear content cache
			# also needs to clear up caching for modules
			if ($mosConfig_caching) {
				mosCache :: cleanCache('com_musicboxcom');
			}
		}
		$sidNew = $this->getSid();
		$resultCaptchaImg = sefRelToAbs("index2.php?option=com_musicboxcom&no_html=1&task=img&jc_sid=$sidNew");
		$resultCaptchaSid = $sidNew;
		$responseMsg = '<div class="infolevel1"></div><div class="infolevel2"></div>';
		$responseMsg .= '<div class="infolevel3">' . $resultMsg . '</div>';
		$responseMsg .= '<div class="infolevel2"></div><div class="infolevel1"></div>';
		switch ($status) {
			case JC_STATUS_OK :
				$styles = explode(",", $_JC_CONFIG->get('cycleStyle'));
				array_walk($styles, "jctrim");
				$numStyle = count($styles);
				$styleCount = $this->_dataMgr->getNumComment($data->contentid, $data->option);
				$count = $styleCount;
				$style = $styleCount % $numStyle;
				$newComment = $this->_viewMgr->getCommentsHTML($data);
				$newComment = $this->_viewMgr->_cleaupOutput($newComment);
				$objResponse->addAssign('jc_busyDiv', 'innerHTML', $responseMsg);
				$objResponse->addScriptCall("jc_insertNewEntry", $newComment, "pc_" . $data->id);
				$objResponse->addClear('jc_comment', 'value');
				$objResponse->addClear('jc_title', 'value');
				$objResponse->addAssign('jc_numComment', 'innerHTML', $this->_dataMgr->getNumComment($data->contentid, $data->option));
				break;
			case JC_STATUS_BLOCKED :
				$objResponse->addClear('jc_title', 'value');
				$objResponse->addClear('jc_comment', 'value');
				break;
			case JC_STATUS_WARNING :
				break;
		}
		$objResponse->addAssign('mos_profiler', 'innerHTML', $_JCPROFILER->getHTML());
		$objResponse->addAssign('jc_captchaImg', 'src', $resultCaptchaImg);
		$objResponse->addAssign('jc_sid', 'value', $resultCaptchaSid);
		$objResponse->addAssign('jc_busyDiv', 'innerHTML', $responseMsg);
		$objResponse->addClear('jc_password', 'value');
		$objResponse->addScriptCall("jc_enableForm");
		$objResponse->addScriptCall("jcOpacity", "jc_busyDiv", 0, 100);
		$objResponse->addScriptCall("jc_fadeMessage");
		
		# technically, the output buffering should be empty. If it is not, send a bug report
		$ob_content = ob_get_contents();
		if (!empty ($ob_content)) {
		}
		return $objResponse->sendResponse();
	}
	
	function notifySubscribers($contentid, $option, $newcomment) {
		global $database;
		$sql = "SELECT * FROM `#__musicboxalbum` WHERE `id`='$contentid'";
		$database->loadQuery($sql);
		$mailq = new JCMailQueue();
		$mailq->mail($email, $subject, $content);
	}
	
	function jcxUpdateComment($cid, $com, $num) {
		global $mosConfig_absolute_path, $_JCPROFILER;
		$contentid = intval($cid);
		$com = strval($com);
		$currentNum = $this->_dataMgr->getNumComment($cid, $com);
		while (@ ob_end_clean());
		ob_start();
		$objResponse = new JAXResponse();
		if ($num != $currentNum) {
			$comments = $this->getHTML($cid, $com, 0);
			$objResponse->addAssign('jc_commentsDiv', 'innerHTML', $comments);
			$objResponse->addAssign('jc_numComment', 'innerHTML', $currentNum);
		}
		$objResponse->addScriptCall("setTimeout", "jc_update()", strval($_JC_CONFIG->get('updatePeriod')));
		return $objResponse->sendResponse();
	}
	
	function jcxUnpublish($postid, $com) {
		global $database, $my;
		$allowedUser = array (
			'Editor',
			'Publisher',
			'Manager',
			'Administrator',
			'Super Administrator'
		);
		$isAdmin = in_array($my->usertype, $allowedUser);
		$objResponse = new JAXResponse();
		if ($isAdmin) {
			$id = substr($postid, 3);
			$database->setQuery("UPDATE #__mbox_comment SET published=0 WHERE id=$id AND `option`='$com'");
			$database->query();
			$database->setQuery("SELECT contentid FROM #__mbox_comment WHERE id=$id");
			$contentid = $database->loadResult();
			$objResponse->addAssign('jc_numComment', 'innerHTML', jcCommentGetNum($contentid, $com));
		} else {
			$objResponse->addAlert("Permission Error. You might have been logged-out.");
		}
		return $objResponse->sendResponse();
	}
	
	function jcxEdit($postid) {
		global $database, $my;
		$allowedUser = array (
			'Editor',
			'Publisher',
			'Manager',
			'Administrator',
			'Super Administrator'
		);
		$isAdmin = in_array($my->usertype, $allowedUser);
		$objResponse = new JAXResponse();
		if ($isAdmin) {
			$id = substr($postid, 3);
			$database->setQuery("SELECT comment  FROM #__mbox_comment WHERE id=$postid");
			$comment = $database->loadResult();
			$text = '<div id="pc_{id}" name="pc_{id}">
								                <form id="form-edit-{id}" name="form-edit-{id}" method="post" action="">
								                                    <label>
								                                    <textarea name="comment" rows="8" id="comment" style="width:98%">{comment}</textarea>
								                                    </label>
								                    <input name="id" type="hidden" id="id" value="{id}" />
								                                    <label>
								                                    <input name="Save" type="button" value="Save" onclick="jax.call(\'musicboxcom\', \'jcxSave\', jax.getFormValues(\'form-edit-{id}\'), true);" />
								                                    </label>
								                                    <label>
								                                    <input name="Discard" type="button" value="Discard"  onclick="jax.call(\'musicboxcom\',\'jcxSave\', jax.getFormValues(\'form-edit-{id}\'), false);"/>
								                                    </label>
								                </form>
								                </div>';
			$text = str_replace('{id}', $postid, $text);
			$text = str_replace('{comment}', $comment, $text);
			$objResponse->addAssign('pc_edit_' . $postid, 'innerHTML', $text);
		} else {
			$objResponse->addAlert("Permission Error. You might have been logged-out.");
		}
		return $objResponse->sendResponse();
	}
	
	function requireHeaderScript() {
		global $option, $_JC_CONFIG;
		
		if($_JC_CONFIG->get('enable')){
			return true;
		}
		
		return ($option == 'com_musicbox' );
	}

	/**
	 * Saving the data from front-end editing
	 */
	function jcxSave($xajaxArgs, $saveit) {
		global $database, $my, $_JC_CONFIG, $_JOMCOMMENT;
		$allowedUser = array (
			'Editor',
			'Publisher',
			'Manager',
			'Administrator',
			'Super Administrator'
		);
		$isAdmin = in_array($my->usertype, $allowedUser);
		$objResponse = new JAXResponse();
		if ($isAdmin) {
			require (JC_CONFIG);
			$comment = isset ($xajaxArgs['comment']) ? $xajaxArgs['comment'] : "";
			$id = isset ($xajaxArgs['id']) ? $xajaxArgs['id'] : 0;
			if (version_compare(phpversion(), "4.3.0") < 0) {
				$comment = mysql_escape_string(strip_tags($comment, $_JC_CONFIG->get('allowedTags')));
			} else {
				$comment = mysql_real_escape_string(strip_tags($comment, $_JC_CONFIG->get('allowedTags')));
			}
			if (true) {
				$database->setQuery("UPDATE #__mbox_comment SET comment='$comment' WHERE id=$id");
				$database->query();
			}
			$query = "SELECT * FROM #__mbox_comment WHERE id=$id";
			$database->setQuery($query);
			$dbRes = $database->query();
			$item = mysql_fetch_object($dbRes);
			$this->_viewMgr->prepData($item, 0, "none", false);
			$objResponse->addAssign('comment-text-container-' . $id, 'innerHTML', $item->comment);
			$objResponse->addAssign('pc_edit_' . $id, 'innerHTML', "");
		} else {
			$objResponse->addAlert("Permission Error. You might have been logged-out.");
		}
		
		# Clear the cache, otherwise it won't show after refresh
		global $mosConfig_cachepath;		
		$file_list = mosReadDirectory($mosConfig_cachepath, "");
		foreach ($file_list as $val) {
			if (strstr($val, "cache_")) {
				@ unlink($mosConfig_cachepath . "/" . $val);
			}
		}
		return $objResponse->sendResponse();
	}
	
	/**
	 * Display RSS feed
	 */	 	
	function rss($contentid){
		header('Content-type: application/xml');
		
		global $mainframe, $mosConfig_absolute_path, $mosConfig_live_site, $_JC_CONFIG;
		global $mosConfig_cachetime;
		require_once ($mosConfig_absolute_path . '/includes/feedcreator.class.php');
		if (file_exists($mosConfig_absolute_path . '/components/com_sef/sef.php')) {
			require_once ($mosConfig_absolute_path . '/components/com_sef/sef.php');
		} else {
			require_once ($mosConfig_absolute_path . '/includes/sef.php');
		}
		if (!$_JC_CONFIG->get('useRSSFeed')) {
			echo "<error>RSS feed not enabled</error>";
			return;
		}
		$tpl = new JXCachedTemplate('rsscache' . $_SERVER['QUERY_STRING']);
		if (file_exists($tpl->cache_id)) {
			if (($mtime = filemtime($tpl->cache_id))) {
				if (($mtime + $mosConfig_cachetime) > time()) {
					$fp = @ fopen($tpl->cache_id, 'r');
					if ($fp) {
						$filesize = filesize($tpl->cache_id);
						if ($filesize > 0) {
							$contents = fread($fp, $filesize);
							echo $contents;
							exit;
						}
					}
				}
			}
		}
		$rss = new RSSCreator20();
		$iId = $mainframe->getItemid($contentid);
		$iId = !empty ($iId) ? $iId : 1;
		$opt = isset ($_REQUEST['opt']) ? $_REQUEST['opt'] : "com_musicboxcom";
		$cid = isset ($_REQUEST['contentid']) ? " AND contentid='$contentid' " : " ";
		$title = "Latest comments";
		
		if (isset ($_REQUEST['contentid']) && !(isset ($_REQUEST['opt']) && $_REQUEST['opt'] != 'com_musicboxcom')) {
			$query = "SELECT title FROM #__musicboxalbum WHERE id='$contentid' AND state='1';";
			$this->db->query($query);
			$title = $this->db->get_value();
			if (function_exists('mb_convert_encoding')) {
				$iso = explode('=', _ISO);
				$title = mb_convert_encoding($title, "UTF-8", "$iso[1], auto");
			}
			$rss->title = $title;
			$rss->description = "Comments for " . $rss->title . " at $mosConfig_live_site";
		} else {
			$rss->title = $title;
			$rss->description = "Latest comments for $mosConfig_live_site";
		}
		
		$optWhere = "";
		if (isset ($_REQUEST['opt'])) {
			$opt = mosGetParam($_GET, 'opt', '');
			$optWhere = " AND `option`='$opt' ";
		}
		$optWhere .= $cid;
		$rss->encoding = "utf-8";
		$rss->link = $mosConfig_live_site;
		$rss->cssStyleSheet = NULL;
		$query = "SELECT * ,  UNIX_TIMESTAMP(date) AS created_ts FROM #__mbox_comment WHERE published='1' $optWhere ORDER BY `date` DESC LIMIT 0, 20 ;";
		$this->db->query($query);
		$rows = $this->db->get_object_list();
		
		foreach ($rows as $row) {
			$item = new FeedItem();
			$row->comment = jcStripBBCodeTag($row->comment);
			$item->title = !empty ($row->title) ? $row->title : "...";
			$item->link = $mosConfig_live_site . "/index.php?option=com_musicbox&task=view&id=$contentid&Itemid=$iId#pc_$row->id";
			$item->description = $row->comment . " - $row->name";
			$item->date = date('r', $row->created_ts);
			$rss->addItem($item);
		}
		if (count($rows) > 0) {
			$query = "SELECT count(*) FROM #__mbox_comment WHERE published='1' AND `option`='$opt' $cid";
			$this->db->query($query);
			$rss->description = $rss->description . " , comment 0 to " . count($rows) . " out of " . $this->db->get_value() . " comments";
		}
		$rssContent = $rss->createFeed();
		if (file_exists($tpl->cache_id)) {
			@ unlink($tpl->cache_id);
		}
		$tpl->set('rss', $rssContent);
		$tpl->fetch_cache(JC_COM_PATH . "rsscache.php");
		echo $rssContent;
		exit;
	}
	
	function trackbackGetHTML($cid, $option) {
	}
	
	/**
	 * User report a post to admin. Send an email to the admin
	 */	 	
	function ajaxReport($id, $com, $referrer){
		include_once ($this->getPath('language'));
		$objResponse = new JAXResponse();
		$objResponse->addAlert("Site admin has been notified!");
		return $objResponse->sendResponse();
	}
}
$_JC_CONFIG = new JCConfig();
$_JOMCOMMENT = new JCMainFrame();
$_JCPROFILER = new JomProfiler('Mbox Comment');
$_JC_UTF8 = new Utf8Helper();
