<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @paked: admin.musicbox.html.php
* @ Copyright (C) 2007 Vamba
* @ All rights reserved
* @ Fork of booklist by Yann Bouan
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @ Copyright (C) 2005 Jan Schulz-Hofen
* @ All rights reserved
* @ This component is derived from the com_booklist component by Yann Bouan which is derived from the mambo com_weblinks component
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
global $database, $mosConfig_offset, $mosConfig_live_site, $mainframe, $Itemid;
$count 		   = intval( $params->get( 'count', 5 ) );
$displayLen    = intval( $params->get( 'displayLen', 50 ) );
$titleLen       = intval( $params->get( 'titleLen', 50 ) );

# determino l'Itemid della componente
$query_id = "SELECT id FROM #__menu WHERE link='index.php?option=com_musicbox' AND published='1'";
$database->setQuery($query_id);
$Itemid = $database->loadResult();
$option="com_musicbox";

$query = "
    SELECT a.contentid, a.comment, b.title
    FROM #__mbox_comment as a , #__musicboxalbum as b
    WHERE a.published=1
    AND b.id=a.contentid
    ORDER BY a.id DESC
    LIMIT 0, $count";

$database->setQuery($query);
$rows = $database->loadObjectList();
?>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<?php
    $jomLatestMod = new JomLatestMod;
    if($rows)
		{
			foreach($rows as $row)
			{
					$link = sefRelToAbs('index.php?option=com_musicbox&amp;task=view&amp;id='.$row->contentid.'&amp;Itemid='.$Itemid.'')."#jc_allComments";
					$row->comment = $jomLatestMod->stripBBCodeTag($row->comment);
					$comment = $jomLatestMod->wrapItUp($row->comment, $displayLen);
					$comment = $jomLatestMod->transformText($comment);
					$comment = $jomLatestMod->censorText($comment);
					$comment = $jomLatestMod->getSmileys($comment);
					echo "<tr><td>";
					echo "<a href='$link'>". $jomLatestMod->wrapItUp($row->title, $titleLen) . "</a>";
					echo "<br/><span class='small' style='overflow: hidden;'>$comment</span>";
					echo "</td></tr>";
			}
		}
?>
</table>
<?php
class JomLatestMod
{
	# Apply the word censor to the given text
	function censorText($text){
		global $_JC_CONFIG;

		if ($_JC_CONFIG->get('censoredWords')) {
			$censoredWords = explode(",", $_JC_CONFIG->get('censoredWords'));
			array_walk($censoredWords, "jctrim");
			$replaceWords = $censoredWords;
			$count = 0;
			foreach ($replaceWords as $word) {
				$cword = "";
				$word = trim($word);

				// Only word longer than 2 character wil be censored
				if(isset($word) && strlen($word) > 2){
					for ($i = 0; $i < @strlen($word); $i++)
						$cword .= "*";

					$cword[0] = @$word[0];
					$cword[strlen($word) - 1] = @$word[strlen($word) - 1];
					$replaceWords[$count] = $cword;
					$count++;
				}
			}

			$count = 0;
			foreach ($censoredWords as $word) {
				$word = trim($word);

				// Only word longer than 2 character wil be censored
				if(isset($word) && @strlen($word) > 2){
					$censoredWords[$count] = $word;
					$count++;
				}
			}

			if(is_array($text)){
			    for($i=0;$i < count($text); $i++){
				    if(is_array($censoredWords) || is_array($replaceWords)){
						for($b = 0; $b < count($censoredWords); $b++){
						    $text[$i] = jcstr_ireplace($censoredWords[$b], $replaceWords[$b] , $text[$i]);
						}
            		}else
						$text[$i] = jcstr_ireplace($censoredWords, $replaceWords, $text[$i] );
				}
			}else {
			    if(is_array($censoredWords) || is_array($replaceWords)){
					for($b = 0; $b < count($censoredWords); $b++){
					    $text = jcstr_ireplace($censoredWords[$b], $replaceWords[$b] , $text);
					}
	    		}else
					$text = jcstr_ireplace($censoredWords, $replaceWords, $text );
			}
		}

		return $text;
	}

	function getSmileys($comment){

		global $_JC_CONFIG, $mosConfig_live_site;
		$path     = $mosConfig_live_site . '/components/com_musicboxcom';
		$smilies  = array (
			":)",
			";)",
			":D",
			";D",
			">:(",
			":(",
			":o",
			"8)",
			":P",
			/*":-\\" => $path.'/smilies/undecided-toolbar.gif',*/
			":-*",
			":'("
		);
		
		$smilies_src = array (
		                        '<img border="0" src="' . $path . '/smilies/smiley.gif" alt="smiley">',
		                        '<img border="0" src="' . $path . '/smilies/wink.gif" alt="wink">',
		                        '<img border="0" src="' . $path . '/smilies/cheesy.gif">',
		                        '<img border="0" src="' . $path . '/smilies/grin.gif">',
		                        '<img border="0" src="' . $path . '/smilies/angry.gif">',
		                        '<img border="0" src="' . $path . '/smilies/sad.gif">',
		                        '<img border="0" src="' . $path . '/smilies/shocked.gif">',
		                        '<img border="0" src="' . $path . '/smilies/cool.gif">',
		                        '<img border="0" src="' . $path . '/smilies/tongue.gif">',
		                        '<img border="0" src="' . $path . '/smilies/kiss.gif">',
		                        '<img border="0" src="' . $path . '/smilies/cry.gif">'
							);
		return str_replace($smilies,$smilies_src,$comment);
	}

	function stripBBCodeTag($comment) {
		global $mosConfig_absolute_path;
	
		$patterns = array (
			'/\[b\](.*?)\[\/b\]/i',
			'/\[u\](.*?)\[\/u\]/i',
			'/\[code\](.*?)\[\/code\]/i',
			'/\[quote\](.*?)\[\/quote\]/i',
			'/\[s\](.*?)\[\/s\]/i',
			'/\[i\](.*?)\[\/i\]/i',
			'/\[url=(.*?)\](.*?)\[\/url\]/i',
			'/\[url\](.*?)\[\/url\]/i',
			'/\[color=(.*?)\](.*?)\[\/color\]/i',
			'/\[font=(.*?)\](.*?)\[\/font\]/i',
			'/\[size=(.*?)\](.*?)\[\/size\]/i',
			'/\[img\](.*?)\[\/img\]/i'
		);
		$replacements = array (
			'<b>\\1</b>',  			# [b][/b]
			'<u>\\1</u>',  	 		# [u][/u]
			'\\1',        	  		# [code][/code]
			'\\1',      		    # [quote][/quote]
			'<strike>\\1</strike>', # [s][/s]
			'<i>\\1</i>', 			# [i][/i]
			'\\1',         			# [url=][/url]
			'\\1',					# [url][/url]
			'\\1',          		# [color=][/color]
			'\\1',          		# [font][/font]
			'\\1',          		# [size=][/size]
			'\\1'           		# [img=][/img]
		);
		$comment = preg_replace($patterns, $replacements, $comment);
		return $comment;
	}
	
    function wrapItUp($text, $width = 20){
        if (strlen($text) > $width) return (substr($text, 0, $width)."..."); else return $text;
    }

    ///////////////////////////////////////////////////////////////////////////////
    function transformText ($source)
		{
       // array used to figure what number to decrement from character order value
       // according to number of characters used to map unicode to ascii by utf-8
       $decrement[4] = 240;
       $decrement[3] = 224;
       $decrement[2] = 192;
       $decrement[1] = 0;
      
       // the number of bits to shift each charNum by
       $shift[1][0] = 0;
       $shift[2][0] = 6;
       $shift[2][1] = 0;
       $shift[3][0] = 12;
       $shift[3][1] = 6;
       $shift[3][2] = 0;
       $shift[4][0] = 18;
       $shift[4][1] = 12;
       $shift[4][2] = 6;
       $shift[4][3] = 0;
      
       $pos = 0;
       $len = strlen ($source);
       $encodedString = '';
       while ($pos < $len)
			 {
            $asciiPos = ord (substr ($source, $pos, 1));
            
            // we must skip standard ascii cahracter from being unicode encoded!
            if($asciiPos > 31 && $asciiPos <= 127)
						{
                $encodedString .= substr ($source, $pos, 1);
                $pos++;
            } 
            else 
            {
            
           
           if (($asciiPos >= 240) && ($asciiPos <= 255)) {
               // 4 chars representing one unicode character
               $thisLetter = substr ($source, $pos, 4);
               $pos += 4;
           }
           else if (($asciiPos >= 224) && ($asciiPos <= 239)) {
               // 3 chars representing one unicode character
               $thisLetter = substr ($source, $pos, 3);
               $pos += 3;
           }
           else if (($asciiPos >= 192) && ($asciiPos <= 223)) {
               // 2 chars representing one unicode character
               $thisLetter = substr ($source, $pos, 2);
               $pos += 2;
           }
           else {
               // 1 char (lower ascii)
               $thisLetter = substr ($source, $pos, 1);
               $pos += 1;
           }
    
           // process the string representing the letter to a unicode entity
           $thisLen = strlen ($thisLetter);
           $thisPos = 0;
           $decimalCode = 0;
           while ($thisPos < $thisLen) {
               $thisCharOrd = ord (substr ($thisLetter, $thisPos, 1));
               if ($thisPos == 0) {
                   $charNum = intval ($thisCharOrd - $decrement[$thisLen]);
                   $decimalCode += ($charNum << $shift[$thisLen][$thisPos]);
               }
               else {
                   $charNum = intval ($thisCharOrd - 128);
                   $decimalCode += ($charNum << $shift[$thisLen][$thisPos]);
               }
    
               $thisPos++;
           }
    
           if ($thisLen == 1)
               $encodedLetter = "&#". str_pad($decimalCode, 3, "0", STR_PAD_LEFT) . ';';
           else
               $encodedLetter = "&#". str_pad($decimalCode, 5, "0", STR_PAD_LEFT) . ';';
    
           $encodedString .= $encodedLetter;      
           
           }
       }
       return $encodedString;
    }
}
