<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @paked: admin.musicbox.php
* @ Copyright (C) 2007 Vamba
* @ All rights reserved
* @ Fork of booklist by Yann Bouan
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @ Copyright (C) 2005 Jan Schulz-Hofen
* @ All rights reserved
* @ This component is derived from the com_booklist component by Yann Bouan which is derived from the mambo com_weblinks component
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

	if (!($acl->acl_check( 'administration', 'edit', 'users', $my->usertype, 'components', 'all' )
		| $acl->acl_check( 'administration', 'edit', 'users', $my->usertype, 'components', 'com_musicbox' ))) {
		
		mosRedirect( 'index2.php', _NOT_AUTH );
	}


	if (file_exists( $mainframe->getCfg('absolute_path')."/administrator/components/com_musicbox/language/{$mosConfig_lang}.php" )) {
			include_once( $mainframe->getCfg('absolute_path')."/administrator/components/com_musicbox/language/{$mosConfig_lang}.php" );
		} else {
			include_once( $mainframe->getCfg('absolute_path')."/administrator/components/com_musicbox/language/english.php" );
		}

	$section = mosGetParam( $_REQUEST, 'section', 'album' );
	require_once( $mainframe->getCfg('absolute_path')."/administrator/components/".$option."/config.musicbox.php" );
	require_once( $mainframe->getPath( 'admin_html' ) );
	require_once( $mainframe->getPath( 'class' ) );
	//This is Joomla 
	$cid 		= josGetArrayInts( 'cid' );
	//decomment this for mambo and comment the row above
#	$id = mosGetParam($_REQUEST,"id",NULL);
#	$cid = mosGetParam( $_REQUEST, 'cid', array(0) );
#	if (!is_array( $cid )) {
#	$cid = array(0);
#	}



if ($section=='categories') { 
// task sezione categorie
switch ($task) {
    case "edit" :
        editCategory($option, intval( $cid[0] ) );
        break;
	case "new":
        editCategory($option, 0);
        break;
	case "cancel":
        cancelCategory();
        break;
    case "save":
        saveCategory();
        break;
    case "remove":
        removeCategories($option, $cid);
        break;
    case "publish":
        publishCategories("com_musicbox", $id, $cid, 1);
        break;
    case "unpublish":
        publishCategories("com_musicbox", $id, $cid, 0);
        break;
    case "orderup":
        orderCategory(intval( $cid[0] ), -1);
        break;
    case "orderdown":
        orderCategory( intval( $cid[0] ), 1);
        break;
    case "accesspublic":
        accessCategory( intval( $cid[0] ), 0);
        break;
    case "accessregistered":
        accessCategory( intval( $cid[0] ), 1);
        break;
    case "accessspecial":
        accessCategory( intval( $cid[0] ), 2);
        break;
    case "show":
    default :
        showCategories();
	}
}

  
  
if ($section=='album') {
// task sezione album
switch ($task) {
	case "new":
		editAlbum( $option, 0 );		
		break;
	case "edit":
		editAlbum( $option, intval( $cid[0] ) );
		break;
	case "editA": 
		editAlbum ( $option, $id ); 
		break;
	case "apply":		
	case "save":	
		saveAlbum( $option, $task );  
		break;
	case "remove":
		removeAlbum( $cid, $option );
		break;
	case "publish":
		publishAlbum( $cid, 1, $option );
		break;
	case "unpublish":
		publishAlbum( $cid, 0, $option );
		break;
	case "cancel":
		cancelAlbum( $option );
		break;
	case "orderup":
		orderAlbum( intval( $cid[0] ), -1, $option );
		break;
	case "orderdown":
		orderAlbum( intval( $cid[0] ), 1, $option );
		break;
	case "upload": 
  		viewUploadCover(); 
		break;
	case "uploadhandler": 
  		uploadCover(); 
		break;
	case "uploadhandlerwget": 
  		uploadCoverWget(); 
		break;
	case "settings": 
		showSet(); 
		break;
	case "savesettings": 
		saveSet(); 		
	case "audio": 
  		showAudio(); 
		break;
	case "video": 
  		showVideo(); 
		break;		
	case "upload3": 
  		viewUploadimmagine(); 
		break;
	case "uploadhandler3": 
  		uploadimmagine(); 
		break;
	case 'accesspublic':
		accessMenu( intval( $cid[0] ), 0, $option );
		break;
	case 'accessregistered':
		accessMenu( intval( $cid[0] ), 1, $option );
		break;
	case 'accessspecial':
		accessMenu( intval( $cid[0] ), 2, $option );
		break;		
	default:
		showAlbum( $option );
		break;
		
	}
}
  
if ($section=='auth') {
// task sezione cantanti
switch ($task) {
	case "new":
		editAuth( $option, 0 );
		break;
	case "edit":
		editAuth( $option, intval( $cid[0] ) );
		break;
	case "editA": 
		editAuth( $option, $id );
		break;		
	case "apply":		
	case "save":
		saveAuth( $option, $task );
		break;
	case "remove":
		removeAuth( $cid, $option );
		break;
	case "cancel":
		cancelAuth( $option );
		break;
	default:
		showAuth( $option );
		break;
	case "upload2": 
  		viewUploadFoto(); 
		break;
	case "uploadhandler2": 
  		uploadFoto(); 
		break;
	case "uploadhandlerwget2": 
  		uploadFotoWget(); 
		break;		
	}
}
  
if ($section=='editor') {
// task sezione casediscografiche
switch ($task) {
	case "new":
		editEditor( $option, 0 );
		break;
	case "edit":
		editEditor( $option, intval( $cid[0] ) );
		break;
	case "save":
		saveEditor( $option );
		break;
	case "remove":
		removeEditor( $cid, $option );
		break;
	case "cancel":
		cancelEditor( $option );
		break;
	default:
		showEditor( $option );
		break;
 }
}

if ($section=='canzone') {
	global $albumid;
// task sezione canzoni	
switch ($task) {
	case "new":
		editCanzone( $option, 0 );
		break;
	case "edit":
		editCanzone( $option, intval( $cid[0] ) );
		break;
	case "edit2":
		editCanzone2 ( $option, intval( $cid[0] ) );
		break;
	case "editA": 
		editCanzone ( $option, $id ); 
		break;
	case "apply":		
	case "save":
		saveCanzone( $option, $task );
		break;
	case "save2":
		saveCanzone2 ( $option, $task );
		break;		
	case "remove":
		removeCanzone( $cid, $option );
		break;
	case "cancel":
		cancelCanzone( $option );
		break;
	default:
		showCanzone( $option , $albumid );
		break;
	case "orderup":
		orderCanzone ( intval( $cid[0] ), -1, $option );
		break;
	case "orderdown":
		orderCanzone ( intval( $cid[0] ), 1, $option );
		break;		
 }
}

if ($section=='musicbox') {
// task sezione pannello di controllo 
switch ($task) {
    default :
        showPrimapagina();
		break;
	}		
}

if ($section=='info') { 
// task sezione info
switch ($task) {
    default :
        showInfo();
		break;
  }		
}

if ($section=='scheda') {
// task sezione articoli collegati
switch ($task) {
	case "showlink": 
		mostraSchede(); 
		break;
	case "newlink": 
		modificaScheda( '0' ); 
		break;
	case "editlink": 
		modificaScheda( intval( $cid[0] ) ); 
		break;
	case "savelink": 
		salvaScheda( ); 
		break;
	case "removelink": 
		rimuoviSchede( $cid ); 
		break;
    default :
		mostraSchede(); 
		break;	
  }		
}

if ($section=='hit') { 
// task sezione classifiche
switch ($task) {
	case "showhit": 
		mostraHit(); 
		break;
	case "newhit": 
		modificaHit( '0' ); 
		break;
	case "edithit": 
		modificaHit( intval( $cid[0] ) ); 
		break;
	case "savehit": 
		salvaHit($option); 
		break;
	case "removehit": 
		rimuoviHit( $cid ); 
		break;
    default :
		mostraHit();
		break;
  }		  
}

if ($section=='songhit') { 
global $hitid;
// task sezione canzoni nelle classifiche
switch ($task) {
	case "new":
		editHitsong( $option, 0 );
		break;
	case "edit":
		editHitsong( $option, intval( $cid[0] ) );
		break;
	case "save":
		saveHitsong( $option );
		break;
	case "save2":
		saveHitsong2 ( $option );
		break;		
	case "remove":
		removeHitsong( $cid, $option );
		break;
	case "cancel":
		cancelHitsong( $option );
		break;
	default:
		showHitsong( $option , $hitid);
		break;
	case "orderup":
		orderHitsong ( intval( $cid[0] ), -1, $option );
		break;
	case "orderdown":
		orderHitsong ( intval( $cid[0] ), 1, $option );
		break;		
 }	  
}

if ($section=='lyric') { 
// task sezione testi
switch ($task) {
	case "new":
		editLyric( $option, 0 );		
		break;
	case "edit":
		editLyric( $option, intval( $cid[0] ) );
		break;
	case "editA": 
		editLyric ( $option, $id ); 
		break;
	case "apply":		
	case "save":	
		saveLyric( $option, $task );  
		break;
	case "remove":
		removeLyric( $cid, $option );
		break;
	case "publish":
		publishLyric( $cid, 1, $option );
		break;
	case "unpublish":
		publishLyric( $cid, 0, $option );
		break;
	case "cancel":
		cancelLyric( $option );
		break;
	case "orderup":
		orderLyric( intval( $cid[0] ), -1, $option );
		break;
	case "orderdown":
		orderLyric( intval( $cid[0] ), 1, $option );
		break;
	default:
		showLyric( $option );
		break;
	}
}

###############################
# ALBUM
###############################

//funzione visualizza album
function showAlbum( $option ) {
	global $database, $mainframe;

	$catid 		= $mainframe->getUserStateFromRequest( "catid{$option}", 'catid', 0 );
	$limit 		= $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
	$search 	= $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
	$search 	= $database->getEscaped( trim( strtolower( $search ) ) );

	$where = array();

	if ($catid > 0) {
		$where[] = "a.catid='$catid'";
	}
	if ($search) {
		$where[] = "LOWER(a.title) LIKE '%$search%'";
	}

	$database->setQuery( "SELECT count(*) FROM #__musicboxalbum AS a"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
	);
	$total = $database->loadResult();
	echo $database->getErrorMsg();

	include_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );

	$database->setQuery( "SELECT a.*, cc.name AS category, ee.name AS editor, g.name AS groupname, u.name AS creator"
		. "\nFROM #__musicboxalbum AS a"
		. "\nLEFT JOIN #__categories AS cc ON cc.id = a.catid"
		. "\nLEFT JOIN #__musicboxfirm AS ee ON ee.id = a.etichetta"
		. "\n LEFT JOIN #__users AS u ON u.id = a.checked_out"
		. "\n LEFT JOIN #__groups AS g ON g.id = a.access"		
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\n ORDER BY a.catid, a.ordering"
		. "\nLIMIT $pageNav->limitstart,$pageNav->limit"
	);

	$rows = $database->loadObjectList();


	if ($database->getErrorNum()) {
		echo $database->stderr();
		return false;
	}

	foreach ($rows as $key => $value) {
	$database->setQuery( "SELECT a.*"
		. "\nFROM #__musicboxsinger AS a"
		. "\nLEFT JOIN #__musicbox AS ba ON ba.idauth = a.id"
		. "\nWHERE ba.idalbum=$value->id"
		. "\nORDER BY a.name"
	);
	//echo $database->getQuery();
	$authorList = $database->loadObjectList();
	$authors='';
	foreach ($authorList as $name) $authors.=$name->name.", ";
	$authors=trim($authors,", ");
	$rows[$key]->authors=$authors;
	}


	foreach ($rows as $key => $value) {
	$database->setQuery( "SELECT a.*"
		. "\nFROM #__musicboxsong AS a"
		. "\nWHERE a.albumid=$value->id"
		. "\nORDER BY a.song"
	);
	//echo $database->getQuery( );
	$canzList = $database->loadObjectList();
	$canz='';
	foreach ($canzList as $song) $canz.=$song->song.", ";
	$canz=trim($canz,", ");
	$rows[$key]->canz=$canz;
	}	

    $options 	= array();
    $options[] 	= HTML::makeOption('0', _MBOX_SELECT_CAT);
    $options[] 	= HTML::makeOption('-1', _MBOX_ALL_CATS);
    $clist 		= HTML::categoryList($catid, "document.adminForm.submit();", $options);



	HTML_album::showAlbum( $option, $rows, $clist, $search, $pageNav );
}

//funzione modifica album
function editAlbum( $option, $uid ) {
	global $database, $mainframe, $my, $file, $uploaded_file;

	$row = new mosAlbum( $database );
	$row->load( (int)$uid );	

	$categories[] = mosHTML::makeOption( '0', _MBOX_SEL_CATEGORIES );
	$database->setQuery( "SELECT id AS value, name AS text FROM #__categories"
		. "\nWHERE section='$option' ORDER BY name ASC" );
	$categories = array_merge( $categories, $database->loadObjectList() );

	if (count( $categories ) < 1) {
		mosRedirect( "index2.php?option=categories&section=$option",
			_MBOX_MUST_CAT );
	}

	$clist = mosHTML::selectList( $categories, 'catid', 'class="inputbox" size="1"',
		'value', 'text', intval( $row->catid ) );

	$editors[] = mosHTML::makeOption( '0', _MBOX_SELECT_FIRM );
	$database->setQuery( "SELECT id AS value, name AS text FROM #__musicboxfirm"
		. "\n ORDER BY name" );
	$editors = array_merge( $editors, $database->loadObjectList() );

	if (count( $editors ) < 1) {
		mosRedirect( "index2.php?option=categories&section=$option",
			_MBOX_MUST_FIRM );
	}

	$elist = mosHTML::selectList( $editors, 'etichetta', 'class="inputbox" size="1"',
		'value', 'text', intval( $row->etichetta ) );


	if ($uid) {
		$row->checkout( $my->id );
	} else {

		$row->published = 0;
		$row->approved = 0;
	}


	$yesno[] = mosHTML::makeOption( '0', _CMN_NO );
	$yesno[] = mosHTML::makeOption( '1', _CMN_YES );

	   $database->setQuery( "SELECT id AS value, name AS text FROM #__musicboxsinger"
        . "\n ORDER BY name" );
        $authorsAll = $database->loadAssocList("value") ;
       
       $database->setQuery( "SELECT a.id as value, a.name AS text"
        . "\nFROM #__musicboxsinger AS a"
        . "\nLEFT JOIN #__musicbox AS ba ON ba.idauth = a.id"
        . "\nWHERE ba.idalbum=$uid"
        . "\nORDER BY a.name" );
        $authorList = $database->loadAssocList("value");
	
        $database->setQuery( "SELECT *"
        . "\nFROM #__musicboxsong "
		. "\nWHERE albumid=$uid"
        . "\nORDER BY ordering" );
		$canzList = $database->loadObjectList();	
	
		//select list formats
		$support = array(
			mosHTML::makeOption( '0', _MBOX_SELECT_ONE ),	
			mosHTML::makeOption( _MBOX_FORM_LP, _MBOX_FORM_LP ),
			mosHTML::makeOption( _MBOX_FORM_EP, _MBOX_FORM_EP ),
			mosHTML::makeOption( _MBOX_FORM_12LP, _MBOX_FORM_12LP ),
			mosHTML::makeOption( _MBOX_FORM_K7CASS, _MBOX_FORM_K7CASS ),
			mosHTML::makeOption( _MBOX_FORM_MD, _MBOX_FORM_MD ),
			mosHTML::makeOption( _MBOX_FORM_12MS, _MBOX_FORM_12MS ),	
			mosHTML::makeOption( _MBOX_FORM_5MS, _MBOX_FORM_5MS ),					
			mosHTML::makeOption( _MBOX_FORM_7SING, _MBOX_FORM_7SING ),
			mosHTML::makeOption( _MBOX_FORM_5SING, _MBOX_FORM_5SING ),
			mosHTML::makeOption( _MBOX_FORM_3SING, _MBOX_FORM_3SING ),					
			mosHTML::makeOption( _MBOX_FORM_K7SING, _MBOX_FORM_K7SING ),
			mosHTML::makeOption( _MBOX_FORM_AASI, _MBOX_FORM_AASI ),
			mosHTML::makeOption( _MBOX_FORM_OSS, _MBOX_FORM_OSS ),					
			mosHTML::makeOption( _MBOX_FORM_DSS, _MBOX_FORM_DSS ),						
			);		
	
		$formatli = mosHTML::selectList( $support, 'support', 'class="inputbox" size="1"', 'value', 'text', ($row->support ) );	
		
		//select list boxes
		$typebox = array(
			mosHTML::makeOption( '0', _MBOX_SELECT_ONE ),	
			mosHTML::makeOption( _MBOX_TBOX_GS, _MBOX_TBOX_GS ),
			mosHTML::makeOption( _MBOX_TBOX_SJC, _MBOX_TBOX_SJC ),
			mosHTML::makeOption( _MBOX_TBOX_SJD, _MBOX_TBOX_SJD ),
			mosHTML::makeOption( _MBOX_TBOX_SCC, _MBOX_TBOX_SCC ),
			mosHTML::makeOption( _MBOX_TBOX_CSC, _MBOX_TBOX_CSC ),
			mosHTML::makeOption( _MBOX_TBOX_DCC, _MBOX_TBOX_DCC ),			
			mosHTML::makeOption( _MBOX_TBOX_HCCC, _MBOX_TBOX_HCCC ),					
			mosHTML::makeOption( _MBOX_TBOX_CS, _MBOX_TBOX_CS ),
			mosHTML::makeOption( _MBOX_TBOX_HEV, _MBOX_TBOX_HEV ),
			mosHTML::makeOption( _MBOX_TBOX_SJCC, _MBOX_TBOX_SJCC ),					
			mosHTML::makeOption( _MBOX_TBOX_BS, _MBOX_TBOX_BS ),
			mosHTML::makeOption( _MBOX_TBOX_LB, _MBOX_TBOX_LB ),
			mosHTML::makeOption( _MBOX_TBOX_PIC, _MBOX_TBOX_PIC ),					
			);		
	
		$formatsup = mosHTML::selectList( $typebox, 'box', 'class="inputbox" size="1"', 'value', 'text', ($row->box ) );	
		
		//select list types
		$typedisc = array(
			mosHTML::makeOption( '0', _MBOX_SELECT_ONE ),	
			mosHTML::makeOption( _MBOX_TDISC_CS, _MBOX_TDISC_CS ),
			mosHTML::makeOption( _MBOX_TDISC_PS, _MBOX_TDISC_PS ),
			mosHTML::makeOption( _MBOX_TDISC_ACE, _MBOX_TDISC_ACE ),
			mosHTML::makeOption( _MBOX_TDISC_ADV, _MBOX_TDISC_ADV ),
			);		
	
		$formatdisc = mosHTML::selectList( $typedisc, 'typedisc', 'class="inputbox" size="1"', 'value', 'text', ($row->typedisc ) );	

	HTML_album::editAlbum( $option, $row, $clist, $elist, $authorsAll, $authorList, $canzList, $formatli ,$formatsup ,$formatdisc);
}

//funzione applica e salva album
function saveAlbum( $option, $task )  {
	global $database,$mainframe, $my;

	$row = new mosAlbum( $database );
	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->checkin();
	$row->updateOrder( "catid='$row->catid'" );
	
	$sql="DELETE FROM #__musicbox WHERE idalbum=$row->id";
		$database->setQuery( $sql);
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	foreach ($_REQUEST['authors'] as $authorid) {
	  $sql="INSERT INTO #__musicbox (idalbum,idauth) VALUES ($row->id,$authorid);";
		$database->setQuery( $sql);
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}

	$redirect = mosGetParam( $_POST, 'redirect');

	//switch per Save e Apply
	switch ( $task ) {
		case 'apply':
			if ($row->galleria){
				chdir("../");
				@mkdir("images/stories/musicbox/".$row->galleria."", 0755);
			}			
			$msg = _MBOX_APPLY . ': '. $row->title; 
			mosRedirect( 'index2.php?option=com_musicbox&section=album'. $redirect .'&task=editA&hidemainmenu=1&id='. $row->id, $msg );
			break;

		case 'save':
		default:
			if ($row->galleria){
				chdir("../");
				@mkdir("images/stories/musicbox/".$row->galleria."", 0755);
			}			
			$msg = _MBOX_ADM_SAVECO . ': '. $row->title;
			mosRedirect( 'index2.php?option=com_musicbox&section=album'. $redirect, $msg );

			break;
	}		
		
}
//funzione rimozione album
function removeAlbum( $cid, $option ) {
	global $database;

	if (!is_array( $cid ) || count( $cid ) < 1) {
		echo "<script> alert('Select an item to delete'); window.history.go(-1);</script>\n";
		exit;
	}
	if (count( $cid )) {
		$cids = implode( ',', $cid );
		$database->setQuery( "DELETE FROM #__musicboxalbum WHERE id IN ($cids)" );
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}

	mosRedirect( "index2.php?option=$option&section=album" );
}

//funzione pubblicazione album
function publishAlbum( $cid=null, $publish=1,  $option ) {
	global $database, $my;

	$catid = mosGetParam( $_POST, 'catid', array(0) );


	if (!is_array( $cid ) || count( $cid ) < 1) {
		$action = $publish ? 'publish' : 'unpublish';
		echo "<script> alert('Select an item to $action'); window.history.go(-1);</script>\n";
		exit;
	}

	$cids = implode( ',', $cid );

	$database->setQuery( "UPDATE #__musicboxalbum SET published='$publish'"
		. "\nWHERE id IN ($cids) "
	);
	if (!$database->query()) {
		echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (count( $cid ) == 1) {
		$row = new mosAlbum( $database );
		$row->checkin( $cid[0] );
	}
	mosRedirect( "index2.php?option=$option&section=album" );
}

//funzione ordinamento album
function orderAlbum( $uid, $inc, $option ) {
	global $database;
	$row = new mosAlbum( $database );
	$row->load( (int) $uid );
	$row->move( $inc, "published >= 0" );

	mosRedirect( "index2.php?option=$option&section=album" );
}

//funzione cancella album
function cancelAlbum( $option ) {
	global $database;
	$row = new mosAlbum( $database );
	$row->bind( $_POST );
	$row->checkin();
	mosRedirect( "index2.php?option=$option&section=album" );
}


###############################
# GENERI/CATEGORIE
###############################

//funzione visualizza categorie
function showCategories(){
    global $database, $my, $option, $menutype, $mainframe, $mosConfig_list_limit;

    $section = "com_musicbox";

    $sectionid = $mainframe->getUserStateFromRequest("sectionid{$section}{$section}", 'sectionid', 0);
    $limit 		= $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
    $limitstart = $mainframe->getUserStateFromRequest("view{$section}limitstart", 'limitstart', 0);
    $levellimit = $mainframe->getUserStateFromRequest("view{$option}limit$menutype", 'levellimit', 10);

    $query = "SELECT  c.*, c.checked_out as checked_out_contact_category, c.parent_id as parent, g.name AS groupname, u.name AS editor"
     . "\n FROM #__categories AS c"
     . "\n LEFT JOIN #__users AS u ON u.id = c.checked_out"
     . "\n LEFT JOIN #__groups AS g ON g.id = c.access"
     . "\n WHERE c.section='$section'"
     . "\n AND c.published != -2"
     . "\n ORDER BY parent_id, ordering" ;
     
    $database->setQuery($query);
    $rows = $database->loadObjectList();

	foreach ($rows as $k => $v) {
	  $rows[$k]->nalbum=0;
	  $sql="SELECT COUNT(id) AS cc FROM #__musicboxalbum WHERE catid=".$v->id;
	  $database->setQuery($sql);
	  $aa = $database->loadObjectList();
      $rows[$k]->nalbum=($aa[0]->cc==0)?"-":"<a href=\"?option=com_musicbox&section=album&catid=".$v->id."\">".($aa[0]->cc)."</a>";
	  
	}


    if ($database->getErrorNum()) {
        echo $database->stderr();
        return false;
    } 

    $children = array(); 

    foreach ($rows as $v) {
        $pt = $v->parent;
        $list = @$children[$pt] ? $children[$pt] : array();
        array_push($list, $v);
        $children[$pt] = $list;
    } 

    $list = mosTreeRecurse(0, '', array(), $children, max(0, $levellimit-1));

    $total = count($list);

    require_once($mainframe->getCfg('absolute_path'). '/administrator/includes/pageNavigation.php');
    $pageNav = new mosPageNav($total, $limitstart, $limit);

    $levellist = mosHTML::integerSelectList(1, 20, 1, 'levellimit', 'size="1" onchange="document.adminForm.submit();"', $levellimit); 

    $list = array_slice($list, $pageNav->limitstart, $pageNav->limit);

    $count = count($list); 

    for ($i = 0; $i < $count; $i++) {
        $query = "SELECT COUNT( d.id )"
         . "\n FROM #__musicboxalbum AS d"
         . "\n WHERE d.catid = " . $list[$i]->id; 

        $database->setQuery($query);
        $active = $database->loadResult();
        $list[$i]->documents = $active;
    } 

    $javascript = 'onchange="document.adminForm.submit();"';
    $lists['sectionid'] = mosAdminMenus::SelectSection('sectionid', $sectionid, $javascript);

	
    HTML_Categories::show($list, $my->id, $pageNav, $lists, 'other');
} 

//funzione modifica categorie
function editCategory($section = '', $uid = 0){
    global $database, $my;
    global $mainframe;

    $type = mosGetParam($_REQUEST, 'type', '');
    $redirect = mosGetParam($_POST, 'section', '');;

    $row = new mosCategories($database);
	$row->load( (int)$uid );
	
    if ($row->checked_out && $row->checked_out <> $my->id) {
        mosRedirect('index2.php?option=com_musicbox&task=categories', 'The category ' . $row->title . ' is currently being edited by another administrator');
    } 

    if ($uid) {

        $row->checkout($my->id); 

    } else {

        $row->section = $section;
        $row->published = 1;
    } 

    $order = array();

    $database->setQuery("SELECT COUNT(*) FROM #__categories WHERE section='$row->section'");
    $max = intval($database->loadResult()) + 1;

    for ($i = 1; $i < $max; $i++) {
        $order[] = mosHTML::makeOption($i);
    } 

    $query = "SELECT ordering AS value, title AS text"
     . "\n FROM #__categories"
     . "\n WHERE section = '$row->section'"
     . "\n ORDER BY ordering" ;

    $lists['ordering'] = mosAdminMenus::SpecificOrdering($row, $uid, $query);

    $active = ($row->image_position ? $row->image_position : 'left');
    $lists['image_position'] = mosAdminMenus::Positions('image_position', $active, null, 0, 0); 

    $lists['image'] = HTML::imageList('image', $row->image); 

    $lists['access'] = mosAdminMenus::Access($row); 

    $lists['published'] = mosHTML::yesnoRadioList('published', 'class="inputbox"', $row->published); 

    $options = array();
    $options[] = mosHTML::makeOption('0', _MBOX_SELECT_TOP);


    $lists['parent'] = HTML::categoryParentList($row->id, "", $options);


    HTML_Categories::edit($row, $section, $lists, $redirect);
} 

//funzione salva categorie
function saveCategory(){
    global $database;
    $row = new mosCategories($database);
    if (!$row->bind($_POST)) {
        echo "<script> alert('" . $row->getError() . "'); window.history.go(-1); </script>\n";
        exit();
    } 
    $row->section='com_musicbox'; 
$row->parent_id=$_REQUEST['parent_id'];

    if (!$row->check()) {
        echo "<script> alert('" . $row->getError() . "'); window.history.go(-1); </script>\n";
        exit();
    } 
    if (!$row->store()) {
        echo "<script> alert('" . $row->getError() . "'); window.history.go(-1); </script>\n";
        exit();
    } 

    $row->checkin();
    $row->updateOrder("section='com_musicbox' AND parent_id='$row->parent_id'");

    if ($oldtitle = mosGetParam($_POST, 'oldtitle', null)) {
        if ($oldtitle != $row->title) {
             $database->setQuery("UPDATE #__categories " . "\n SET name='$row->title' " . "\n WHERE name='$oldtitle' " . "\n    AND section='com_musicbox'");

            $database->query();
        } 
    } 
    mosRedirect('index2.php?option=com_musicbox&section=categories');
} 

//funzione rimuovi categorie
function removeCategories($section, $cid){
    global $database;

    if (count($cid) < 1) {
        echo "<script> alert('Select a category to delete'); window.history.go(-1);</script>\n";
        exit;
    } 

    $cids = implode(',', $cid);

    $query = "SELECT c.id AS numcat, c.name, COUNT(s.catid ) AS numkids"
     . "\n FROM #__categories AS c"
     . "\n LEFT JOIN #__musicboxalbum AS s ON s.catid=c.id"
     . "\n WHERE c.id IN ($cids)"
     . "\n GROUP BY c.id" ;
    

    $database->setQuery($query);
    if (!($rows = $database->loadObjectList())) {
        echo "<script> alert('" . $database->getErrorMsg() . "'); window.history.go(-1); </script>\n";
        return ;
      }
    
    $err = array();
    $new_cid = array();
    
    foreach ($rows as $row) {
        if ($row->numkids == 0) {
            $new_cid[] = $row->numcat;
        } else {
            $err[] = $row->name;
        }
    } 

    if (count($new_cid)) {
        $new_cids = implode(',', $new_cid);
        $sql="DELETE FROM #__categories WHERE id IN ($new_cids)";
        $database->setQuery($sql);

        if (!$database->query()) {
            echo "<script> alert('" . $database->getErrorMsg() . "'); window.history.go(-1); </script>\n";
            return ;
        } 
    } 

    if (count($err)) {
        if (count($err) > 1) {
            $new_cids = implode(', ', $err);
            $msg = _MBOX_MSG_CATEGORY . $new_cids ;
        } else {
            $msg = _MBOX_MSG_CATEGORY . $err[0] ;
        } 
        $msg .= _MBOX_MSG_MSG ;
        mosRedirect('index2.php?option=com_musicbox&section=categories&mosmsg=' . $msg);
    } 

    $msg = (count($err) > 1 ? "Categories " : _MBOX_CATEGORY_NAME . " ") . _MBOX_DELETED;
    mosRedirect('index2.php?option=com_musicbox&section=categories&mosmsg=' . $msg) ;
} 


//funzione pubblica categorie
function publishCategories($section, $categoryid = null, $cid = null, $publish = 1){
    global $database, $my;

    if (!is_array($cid)) {
        $cid = array();
    } 
    if ($categoryid) {
        $cid[] = $categoryid;
    } 

    if (count($cid) < 1) {
        $action = $publish ? _PUBLISH : _DML_UNPUBLISH;
        echo "<script> alert('" . _DML_SELECTCATTO . " $action'); window.history.go(-1);</script>\n";
        exit;
    } 

    $cids = implode(',', $cid);

    $query = "UPDATE #__categories SET published='$publish'"
     . "\nWHERE id IN ($cids) AND (checked_out=0 OR (checked_out='$my->id'))" ;
    $database->setQuery($query);
    if (!$database->query()) {
        echo "<script> alert('" . $database->getErrorMsg() . "'); window.history.go(-1); </script>\n";
        exit();
    } 

    if (count($cid) == 1) {
        $row = new mosCategories($database);
        $row->checkin($cid[0]);
    } 

    mosRedirect('index2.php?option=com_musicbox&section=categories');
} 

//funzionecancella categorie
function cancelCategory(){
    global $database;

    $row = new mosCategories($database);
    $row->bind($_POST);
    $row->checkin();
    mosRedirect('index2.php?option=com_musicbox&section=categories');
} 

//funzione ordinamento categorie
function orderCategory($uid, $inc){
    global $database;

    $row = new mosCategories($database);
    $row->load( (int) $uid);
    $row->move($inc, "section='$row->section'");
    mosRedirect('index2.php?option=com_musicbox&section=categories');
} 

//funzione accesso categorie
function accessCategory($uid, $access){
    global $database;

    $row = new mosCategories($database);
    $row->load( (int) $uid);
    $row->access = $access;

    if (!$row->check()) {
        return $row->getError();
    } 
    if (!$row->store()) {
        return $row->getError();
    } 

    mosRedirect('index2.php?option=com_musicbox&section=categories');
} 


###############################
# CANTANTI
###############################

//funzione visualizza autori
function showAuth( $option ) {
	global $database, $mainframe;

	$catid = $mainframe->getUserStateFromRequest( "catid{$option}", 'catid', 0 );
	$limit = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
	$search = $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
	$search = $database->getEscaped( trim( strtolower( $search ) ) );
	$section = mosGetParam( $_REQUEST, 'section', 'auth' );
	$where = array();

	if ($search) {
		$where[] = "LOWER(a.name) LIKE '%$search%'";
	}


	$database->setQuery( "SELECT count(*) FROM #__musicboxsinger AS a"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
	);
	$total = $database->loadResult();
	echo $database->getErrorMsg();

	include_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );

	$database->setQuery( "SELECT a.*"
		. "\nFROM #__musicboxsinger AS a"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY name"
		. "\nLIMIT $pageNav->limitstart,$pageNav->limit"
	);

	$rows = $database->loadObjectList();


	if ($database->getErrorNum()) {
		echo $database->stderr();
		return false;
	}

	HTML_Auth::showAuth( $option, $rows, $clist, $search, $pageNav );
}

//funzione modifica autori
function editAuth( $option, $uid ) {
	global $mainframe, $database, $my;
	
	$row = new mosAuth( $database );
	$row->load( (int)$uid );	


		//select list countries
		$country = array(
			mosHTML::makeOption( '0', _MBOX_SELECT_ONE ),					
			mosHTML::makeOption( _MBOX_COUNTRY_001, _MBOX_COUNTRY_001 ),
			mosHTML::makeOption( _MBOX_COUNTRY_002, _MBOX_COUNTRY_002 ),
			mosHTML::makeOption( _MBOX_COUNTRY_003, _MBOX_COUNTRY_003 ),
			mosHTML::makeOption( _MBOX_COUNTRY_004, _MBOX_COUNTRY_004 ),
			mosHTML::makeOption( _MBOX_COUNTRY_005, _MBOX_COUNTRY_005 ),
			mosHTML::makeOption( _MBOX_COUNTRY_006, _MBOX_COUNTRY_006 ),
			mosHTML::makeOption( _MBOX_COUNTRY_007, _MBOX_COUNTRY_007 ),
			mosHTML::makeOption( _MBOX_COUNTRY_008, _MBOX_COUNTRY_008 ),
			mosHTML::makeOption( _MBOX_COUNTRY_009, _MBOX_COUNTRY_009 ),
			mosHTML::makeOption( _MBOX_COUNTRY_010, _MBOX_COUNTRY_010 ),
			mosHTML::makeOption( _MBOX_COUNTRY_011, _MBOX_COUNTRY_011 ),
			mosHTML::makeOption( _MBOX_COUNTRY_012, _MBOX_COUNTRY_012 ),
			mosHTML::makeOption( _MBOX_COUNTRY_013, _MBOX_COUNTRY_013 ),
			mosHTML::makeOption( _MBOX_COUNTRY_014, _MBOX_COUNTRY_014 ),
			mosHTML::makeOption( _MBOX_COUNTRY_015, _MBOX_COUNTRY_015 ),
			mosHTML::makeOption( _MBOX_COUNTRY_016, _MBOX_COUNTRY_016 ),
			mosHTML::makeOption( _MBOX_COUNTRY_017, _MBOX_COUNTRY_017 ),
			mosHTML::makeOption( _MBOX_COUNTRY_018, _MBOX_COUNTRY_018 ),
			mosHTML::makeOption( _MBOX_COUNTRY_019, _MBOX_COUNTRY_019 ),
			mosHTML::makeOption( _MBOX_COUNTRY_020, _MBOX_COUNTRY_020 ),				
			mosHTML::makeOption( _MBOX_COUNTRY_021, _MBOX_COUNTRY_021 ),
			mosHTML::makeOption( _MBOX_COUNTRY_022, _MBOX_COUNTRY_022 ),
			mosHTML::makeOption( _MBOX_COUNTRY_023, _MBOX_COUNTRY_023 ),
			mosHTML::makeOption( _MBOX_COUNTRY_024, _MBOX_COUNTRY_024 ),
			mosHTML::makeOption( _MBOX_COUNTRY_025, _MBOX_COUNTRY_025 ),
			mosHTML::makeOption( _MBOX_COUNTRY_026, _MBOX_COUNTRY_026 ),					
			);		
	
		$lcountry = mosHTML::selectList( $country, 'country', 'class="inputbox" size="1"', 'value', 'text', ($row->country ) );		

	HTML_Auth::editAuth( $option, $row, $lcountry);
}

//funzione salva e applica autori
function saveAuth( $option, $task ) {
	global $database, $my;

	$row = new mosAuth( $database );
	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->checkin();
	
	//switch per Save e Apply
	switch ( $task ) {
		case 'apply':
			$msg = _MBOX_APPLY . ': '. $row->name; 
			$inputgallery = str_replace(' ', '_', $row->name);			
			chdir("../");
			@mkdir("images/stories/musicbox/".$inputgallery."", 0755);			
			mosRedirect( 'index2.php?option=com_musicbox&section=auth'. $redirect .'&task=editA&hidemainmenu=1&id='. $row->id, $msg );
			break;

		case 'save':
		default:
			$msg = _MBOX_ADM_SAVECO . ': '. $row->name;
			$inputgallery = str_replace(' ', '_', $row->name);				
			chdir("../");
			@mkdir("images/stories/musicbox/".$inputgallery."", 0755);			
			mosRedirect( 'index2.php?option=com_musicbox&section=auth'. $redirect, $msg );

			break;
	}		
}
//funzione rimuovi autori
function removeAuth( $cid, $option ) {
	global $database;
	if (!is_array( $cid ) || count( $cid ) < 1) {
		echo "<script> alert('Select an item to delete'); window.history.go(-1);</script>\n";
		exit;
	}
	if (count( $cid )) {
		$cids = implode( ',', $cid );
		$database->setQuery( "DELETE FROM #__musicboxsinger WHERE id IN ($cids)" );
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}

	mosRedirect( "index2.php?option=$option&section=auth" );
}


//funzionecancella autori
function cancelAuth( $option ) {
	global $database;
	$row = new mosAuth( $database );
	$row->bind( $_POST );
	$row->checkin();
	mosRedirect( "index2.php?option=$option&section=auth" );
}

###############################
# CASE DISCOGRAFICHE
###############################

function showEditor( $option ) {
	global $database, $mainframe;

	$catid = $mainframe->getUserStateFromRequest( "catid{$option}", 'catid', 0 );
	$limit = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
	$search = $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
	$search = $database->getEscaped( trim( strtolower( $search ) ) );

	$where = array();

	if ($search) {
		$where[] = "LOWER(a.name) LIKE '%$search%'";
	}


	$database->setQuery( "SELECT count(*) FROM #__musicboxfirm AS a"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
	);
	$total = $database->loadResult();
	echo $database->getErrorMsg();

	include_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );

	$database->setQuery( "SELECT a.*"
		. "\nFROM #__musicboxfirm AS a"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY name"
		. "\nLIMIT $pageNav->limitstart,$pageNav->limit"
	);

	$rows = $database->loadObjectList();


	if ($database->getErrorNum()) {
		echo $database->stderr();
		return false;
	}
	HTML_Editor::showEditor( $option, $rows, $clist, $search, $pageNav );
}


function editEditor( $option, $uid ) {
	global $mainframe, $database, $my;
	
	$row = new mosEditor( $database );
	$row->load( (int)$uid );	

	HTML_Editor::editEditor( $option, $row);
}



function saveEditor( $option ) {
	global $database, $my;

	$row = new mosEditor( $database );
	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->checkin();

	mosRedirect( "index2.php?option=$option&section=editor" );
}

function removeEditor( $cid, $option ) {
	global $database;
	if (!is_array( $cid ) || count( $cid ) < 1) {
		echo "<script> alert('Select an item to delete'); window.history.go(-1);</script>\n";
		exit;
	}
	if (count( $cid )) {
		$cids = implode( ',', $cid );
		$database->setQuery( "DELETE FROM #__musicboxfirm WHERE id IN ($cids)" );
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}

	mosRedirect( "index2.php?option=$option&section=editor" );
}


function cancelEditor( $option ) {
	global $database;
	$row = new mosEditor( $database );
	$row->bind( $_POST );
	$row->checkin();
	mosRedirect( "index2.php?option=$option&section=editor" );
}


###############################
# CANZONI/SONGS
###############################

function showCanzone( $option, $albumid  ) {
	global $database, $mainframe, $row;

	$catid = $mainframe->getUserStateFromRequest( "catid{$option}", 'catid', 0 );
	$limit = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
	$search = $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
	$search = $database->getEscaped( trim( strtolower( $search ) ) );
	$filter_albumid	= intval( $mainframe->getUserStateFromRequest( "filter_albumid{$option}{$albumid}", 'filter_albumid', 0 ) );	
	$where = array();

	if($filter_albumid){
		$where[] = "al.id=".$filter_albumid;
	}

	if ($search) {
		$where[] = "LOWER(a.song) LIKE '%$search%'";
	}


	$database->setQuery( "SELECT count(*) FROM #__musicboxsong AS a"
		. "\nLEFT JOIN #__musicboxalbum AS al ON a.albumid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
	);
	$total = $database->loadResult();
	echo $database->getErrorMsg();

	include_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );

	$database->setQuery( "SELECT a.*, al.title as albumTitle"
		. "\nFROM #__musicboxsong AS a"
		. "\nLEFT JOIN #__musicboxalbum AS al ON a.albumid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY a.albumid, a.ordering"
		. "\nLIMIT $pageNav->limitstart,$pageNav->limit"
	);

	$rows = $database->loadObjectList();


	if ($database->getErrorNum()) {
		echo $database->stderr();
		return false;
	}


	$query = "SELECT a.*, a.id , a.title"
	. "\n FROM #__musicboxalbum AS a"
	. "\nLEFT JOIN #__musicboxsong AS b ON b.id = a.id"
	. "\n GROUP BY a.id"
	. "\n ORDER BY a.title ASC"
	;
	$lista[] = mosHTML::makeOption( '0', _MBOX_SEL_ALBUM2 , 'id', 'title' );
	$database->setQuery( $query );
	$lista = array_merge( $lista, $database->loadObjectList() );
	$lists['album']	= mosHTML::selectList( $lista, 'filter_albumid', 'class="inputbox" size="1" onchange="document.adminForm.submit( );"', 'id', 'title', $filter_albumid  );
	
	
	HTML_Canzone::showCanzone( $option, $rows, $clist, $lists, $search, $pageNav );
}

function editCanzone( $option, $uid ) {
	global $mainframe, $database, $my, $uploaded_file, $where, $mboxConfig;

	$row = new mosCanzone( $database );
	$row->load( (int)$uid );	
	
	
	$album[] = mosHTML::makeOption( '0', _MBOX_SEL_ALBUM2 );
	$database->setQuery( "SELECT a.*, a.id AS value, a.title AS text FROM #__musicboxalbum AS a"
	. "\nLEFT JOIN #__musicboxsong AS b ON b.id = a.id"
	. "\nORDER BY title ASC" );
	$album = array_merge( $album, $database->loadObjectList() );

	$albumli = mosHTML::selectList( $album, 'albumid', 'class="inputbox" size="1"', 'value', 'text', intval( $row->albumid ) );
	
	
	
	
					if ($uploaded_file == '') {
					$cartella = mosReadDirectory( $mainframe->getCfg('absolute_path')."/".$mboxConfig['audio']."" );
					$canzoni = array(mosHTML::makeOption('', ''));
					if ( count($cartella) > 0 ) {		
					foreach ($cartella as $file) {
						if (eregi( 'mp3|flv', $file )
								&& is_file( $mainframe->getCfg('absolute_path')."/".$mboxConfig['audio']."/$file" )) {
								$canzoni[] = mosHTML::makeOption( "$file" );
						}
					}
				}
			}	

				$songli = mosHTML::selectList( $canzoni, 'songmp3', 'class="inputbox" size="1"', 'value', 'text', ($row->songmp3 ) );		


			
					if ($uploaded_file == '') {
					$cartella2 = mosReadDirectory( $mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."" );
					$video = array(mosHTML::makeOption('', ''));
					if ( count($cartella) > 0 ) {		
					foreach ($cartella2 as $file1) {
						if (eregi( 'flv|mov|swf|wmv', $file1 )
								&& is_file( $mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."/$file1" )) {
								$video[] = mosHTML::makeOption( "$file1" );
						}
					}
				}
			}	
				$videoli = mosHTML::selectList($video, 'videoalternativo', 'class="inputbox" size="1"', 'value', 'text', $row->videoalternativo);			
			
	
					$video = array(
					mosHTML::makeOption( '', '' ),
					mosHTML::makeOption( 'http://www.youtube.com/watch?v=', 'Youtube' ),					
					mosHTML::makeOption( 'http://video.google.com/videoplay?docid=', 'Google' ),
					mosHTML::makeOption( 'http://www.ifilm.com/video/', 'iFilm' ),
			);		
	
				$vtypeli = mosHTML::selectList( $video, 'videosfonte', 'class="inputbox" size="1"', 'value', 'text', ($row->videosfonte ) );					


	$lyriclist[] = mosHTML::makeOption( '0', _MBOX_ADM_LYRIC );
	$database->setQuery( "SELECT id AS value, titolo AS text FROM #__musicboxlyric"
		. "\nORDER BY titolo ASC" );
	$lyriclist = array_merge( $lyriclist, $database->loadObjectList() );

	$lyrlist = mosHTML::selectList( $lyriclist, 'liric', 'class="inputbox" size="1"',
		'value', 'text', intval( $row->liric ) );

				
	$query = "SELECT a.ordering AS value, a.song AS text"
		. "\nFROM #__musicboxsong AS a"
		. "\nLEFT JOIN #__musicboxalbum AS al ON a.albumid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY a.ordering"
	;
	$lists['ordering'] 			= stripslashes( mosAdminMenus::SpecificOrdering( $row, $uid, $query ));

	
	
	
	HTML_Canzone::editCanzone( $option, $row, $albumli, $songli, $videoli, $vtypeli, $lyrlist, $lists);
}


function editCanzone2 ( $option, $uid ) {
	global $mainframe, $database, $my, $uploaded_file, $where, $mboxConfig;

	$row = new mosCanzone( $database );
	$row->load( (int)$uid );	
	
	
	$album[] = mosHTML::makeOption( '0', _MBOX_SEL_ALBUM2 );
	$database->setQuery( "SELECT a.*, a.id AS value, a.title AS text FROM #__musicboxalbum AS a"
	. "\nLEFT JOIN #__musicboxsong AS b ON b.id = a.id"
	. "\nORDER BY title ASC" );
	$album = array_merge( $album, $database->loadObjectList() );

	$albumli = mosHTML::selectList( $album, 'albumid', 'class="inputbox" size="1"', 'value', 'text', intval( $row->albumid ) );
	
	
	
	
					if ($uploaded_file == '') {
					$cartella = mosReadDirectory( $mainframe->getCfg('absolute_path')."/".$mboxConfig['audio']."" );
					$canzoni = array(mosHTML::makeOption('', ''));
					if ( count($cartella) > 0 ) {		
					foreach ($cartella as $file) {
						if (eregi( 'mp3|flv', $file )
								&& is_file( $mainframe->getCfg('absolute_path')."/".$mboxConfig['audio']."/$file" )) {
								$canzoni[] = mosHTML::makeOption( "$file" );
						}
					}
				}
			}	

				$songli = mosHTML::selectList( $canzoni, 'songmp3', 'class="inputbox" size="1"', 'value', 'text', ($row->songmp3 ) );		


			
					if ($uploaded_file == '') {
					$cartella2 = mosReadDirectory( $mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."" );
					$video = array(mosHTML::makeOption('', ''));
					if ( count($cartella) > 0 ) {		
					foreach ($cartella2 as $file1) {
						if (eregi( 'flv|mov|swf|wmv', $file1 )
								&& is_file( $mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."/$file1" )) {
								$video[] = mosHTML::makeOption( "$file1" );
						}
					}
				}
			}	
				$videoli = mosHTML::selectList($video, 'videoalternativo', 'class="inputbox" size="1"', 'value', 'text', $row->videoalternativo);			
			
	
					$video = array(
					mosHTML::makeOption( '', '' ),
					mosHTML::makeOption( 'http://www.youtube.com/watch?v=', 'Youtube' ),					
					mosHTML::makeOption( 'http://video.google.com/videoplay?docid=', 'Google' ),
					mosHTML::makeOption( 'http://www.ifilm.com/video/', 'iFilm' ),
			);		
	
				$vtypeli = mosHTML::selectList( $video, 'videosfonte', 'class="inputbox" size="1"', 'value', 'text', ($row->videosfonte ) );					

	$lyriclist[] = mosHTML::makeOption( '0', _MBOX_ADM_LYRIC );
	$database->setQuery( "SELECT id AS value, titolo AS text FROM #__musicboxlyric"
		. "\nORDER BY titolo ASC" );
	$lyriclist = array_merge( $lyriclist, $database->loadObjectList() );

	$lyrlist = mosHTML::selectList( $lyriclist, 'liric', 'class="inputbox" size="1"',
		'value', 'text', intval( $row->liric ) );				
				
	$query = "SELECT a.ordering AS value, a.song AS text"
		. "\nFROM #__musicboxsong AS a"
		. "\nLEFT JOIN #__musicboxalbum AS al ON a.albumid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY a.ordering"
	;
	if (isset($POST['$where']))
	$lists['ordering'] 			= stripslashes( mosAdminMenus::SpecificOrdering( $row, $uid, $query ));

	
	HTML_Canzone::editCanzone2( $option, $row, $albumli, $songli, $videoli, $vtypeli, $lyrlist, $lists);
}


function saveCanzone( $option, $task ) {
	global $database, $my;

	$row = new mosCanzone( $database );
			if (!$row->bind( $_POST )) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

			if (!$row->check()) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

			if (!$row->store()) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->updateOrder( "albumid=".$row->albumid );	
		
	$row->checkin();

	$redirect = mosGetParam( $_POST, 'redirect');	
	//switch per Save e Apply
	switch ( $task ) {
		case 'apply':
			$msg = _MBOX_APPLY . ': '. $row->song; 
			mosRedirect( 'index2.php?option=com_musicbox&section=canzone'. $redirect .'&task=editA&hidemainmenu=1&id='. $row->id, $msg );
			break;

		case 'save':
		default:
			$msg = _MBOX_ADM_SAVECO . ': '. $row->song;
			mosRedirect( 'index2.php?option=com_musicbox&section=canzone'. $redirect, $msg );

			break;	

	}
}
function saveCanzone2 ( $option, $task ) {
	global $database, $my;

	$row = new mosCanzone( $database );
	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->updateOrder( "albumid=".$row->albumid );			
		
	$row->checkin(); ?>
			
	<script type="text/javascript" language="javascript">
	window.close();
	</script>
<?php	
}

function removeCanzone( $cid, $option ) {
	global $database;
	if (!is_array( $cid ) || count( $cid ) < 1) {
		echo "<script> alert('Select an item to delete'); window.history.go(-1);</script>\n";
		exit;
	}
	if (count( $cid )) {
		$cids = implode( ',', $cid );
		$database->setQuery( "DELETE FROM #__musicboxsong WHERE id IN ($cids)" );
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}

	mosRedirect( "index2.php?option=$option&section=canzone" );
}



function cancelCanzone( $option ) {
	global $database;
	$row = new mosCanzone( $database );
	$row->bind( $_POST );
	$row->checkin();
	mosRedirect( "index2.php?option=$option&section=canzone" );
}


function orderCanzone( $uid, $inc, $option ) {
	global $database;
		
	$row = new mosCanzone( $database );
	$row->load( (int) $uid );
	$row->move( $inc, "published >= 0 and albumid=".$row->albumid );

	mosRedirect( "index2.php?option=$option&section=canzone" );
}

###############################
# CARICAMENTO COPERTINA
###############################

function viewUploadCover() {
  HTML_album::viewUploadCover();
}


function uploadCover() {
	global $mainframe, $option, $mboxConfig;
	$Abscover_s=$mainframe->getCfg('absolute_path')."/images/musicbox_cover/".$_REQUEST['albumid']."_s.jpg";
	$Abscover_l=$mainframe->getCfg('absolute_path')."/images/musicbox_cover/".$_REQUEST['albumid']."_l.jpg";
	if (!file_exists(dirname($Abscover_l))) mkdir(dirname($Abscover_l));
	
	$file = $_FILES['screenshot'];
	
	if (strlen($_FILES['screenshot']['tmp_name']) > 0 and $_FILES['screenshot']['name'] != "none"){
		if (move_uploaded_file($file['tmp_name'], $Abscover_l)){
			resize_image($Abscover_l, $Abscover_s, 70);		
			resize_image($Abscover_l, $Abscover_l, $mboxConfig['imgcover']); 
		}
	}
	$cover_s=$mainframe->getCfg('live_site')."/images/musicbox_cover/".$_REQUEST['albumid']."_s.jpg";
	$cover_l=$mainframe->getCfg('live_site')."/images/musicbox_cover/".$_REQUEST['albumid']."_l.jpg";
?>
<script>			
			window.close();
</script>
				<script type="text/javascript" language="javascript">
					window.opener.adminForm.covers.src =  '<?php echo $cover_s; ?>';
					window.opener.adminForm.coverl.src =  '<?php echo $cover_l; ?>';
					window.close();
				</script>

	<?php
}


function uploadCoverWget() {
	global $mainframe, $option, $mboxConfig;
	$Abscover_s=$mainframe->getCfg('absolute_path')."/images/musicbox_cover/".$_REQUEST['albumid']."_s.jpg";
	$Abscover_l=$mainframe->getCfg('absolute_path')."/images/musicbox_cover/".$_REQUEST['albumid']."_l.jpg";
	if (!file_exists(dirname($Abscover_l))) mkdir(dirname($Abscover_l));
	
	
	$fileData=file_get_contents($_REQUEST['screenshot']);
	$handle = fopen($Abscover_l, 'w');
	$chk=fwrite($handle, $fileData);
	fclose($handle);
	
	resize_image($Abscover_l, $Abscover_s, 70);		
	resize_image($Abscover_l, $Abscover_l, $mboxConfig['imgcover']);		

	$cover_s=$mainframe->getCfg('live_site')."/images/musicbox_cover/".$_REQUEST['albumid']."_s.jpg";
	$cover_l=$mainframe->getCfg('live_site')."/images/musicbox_cover/".$_REQUEST['albumid']."_l.jpg";

	?>
				<script type="text/javascript" language="javascript">
					window.opener.adminForm.covers.src =  '<?php echo $cover_s; ?>';
					window.opener.adminForm.coverl.src =  '<?php echo $cover_l; ?>';

					window.close();
				</script>

	<?php
}

###############################
# CARICAMENTO FOTO CANTANTE
###############################

function viewUploadFoto() {
  HTML_Auth::viewUploadFoto();
}


function uploadFoto() {
	global $mainframe, $option, $mboxConfig;
	$Abfoto_piccola=$mainframe->getCfg('absolute_path')."/images/musicbox_foto/".$_REQUEST['idauth']."_piccola.jpg";
	$Abfoto_grande=$mainframe->getCfg('absolute_path')."/images/musicbox_foto/".$_REQUEST['idauth']."_grande.jpg";
	if (!file_exists(dirname($Abfoto_grande))) mkdir(dirname($Abfoto_grande));
	
	$file = $_FILES['screenshot'];
	
	if (strlen($_FILES['screenshot']['tmp_name']) > 0 and $_FILES['screenshot']['name'] != "none"){
		if (move_uploaded_file($file['tmp_name'], $Abfoto_grande)){
			resize_image($Abfoto_grande, $Abfoto_piccola, 70);		
			resize_image($Abfoto_grande, $Abfoto_grande, $mboxConfig['imgfoto']); 
		}
	}
	$cover_piccola=$mainframe->getCfg('live_site')."/images/musicbox_foto/".$_REQUEST['idauth']."_piccola.jpg";
	$cover_grande=$mainframe->getCfg('live_site')."/images/musicbox_foto/".$_REQUEST['idauth']."_grande.jpg";
?>
<script>			
			window.close();
</script>
				<script type="text/javascript" language="javascript">
					window.opener.adminForm.fotopiccola.src =  '<?php echo $foto_piccola; ?>';
					window.opener.adminForm.fotogrande.src =  '<?php echo $foto_grande; ?>';
					window.close();
				</script>

	<?php
}


function uploadFotoWget() {
	global $mainframe, $option, $mboxConfig;
	$Abfoto_piccola=$mainframe->getCfg('absolute_path')."/images/musicbox_foto/".$_REQUEST['idauth']."_piccola.jpg";
	$Abfoto_grande=$mainframe->getCfg('absolute_path')."/images/musicbox_foto/".$_REQUEST['idauth']."_grande.jpg";
	if (!file_exists(dirname($Abfoto_grande))) mkdir(dirname($Abfoto_grande));
	
	
	$fileData=file_get_contents($_REQUEST['screenshot']);
	$handle = fopen($Abfoto_grande, 'w');
	$chk=fwrite($handle, $fileData);
	fclose($handle);
	
		resize_image($Abfoto_grande, $Abfoto_piccola, 70);		
		resize_image($Abfoto_grande, $Abfoto_grande, $mboxConfig['imgfoto']); 		

	$foto_piccola=$mainframe->getCfg('live_site')."/images/musicbox_foto/".$_REQUEST['idauth']."_piccola.jpg";
	$foto_grande=$mainframe->getCfg('live_site')."/images/musicbox_foto/".$_REQUEST['idauth']."_grande.jpg";

	?>
				<script type="text/javascript" language="javascript">
					window.opener.adminForm.fotopicola.src =  '<?php echo $foto_piccola; ?>';
					window.opener.adminForm.fotogrande.src =  '<?php echo $foto_grande; ?>';

					window.close();
				</script>

	<?php
}


###############################
# CARICAMENTO FOTO
###############################

function viewUploadimmagine() {
  HTML_album::viewUploadimmagine();
}


function uploadimmagine() {
	global $mainframe, $option, $mboxConfig, $id, $_REQUEST;
	
		$file = $_FILES['screenshot'];
		$file['name'] = str_replace(" ","_",$file['name']);
		$esiste=false;
		$mainframe->getCfg('absolute_path')."/images/stories/musicbox/".$_REQUEST['albumid']."/".strtolower($file['name']);
			if (strlen($_FILES['screenshot']['tmp_name']) > 0 and $_FILES['screenshot']['name'] != "none"){
			if(!is_file($mainframe->getCfg('absolute_path')."/images/stories/musicbox/".$_REQUEST['albumid']."/".strtolower($file['name'])))
			copy ($file['tmp_name'], $mainframe->getCfg('absolute_path')."/images/stories/musicbox/".$_REQUEST['albumid']."/".strtolower($file['name']));
			else $esiste=true;
?>
				<script type="text/javascript" language="javascript">
					window.close();
				</script>
<?php				
    }		

}



function resize_image($src_file, $dest_file, $new_size){
	global $mboxConfig;
  $imagetype = array( 1 => 'GIF', 2 => 'JPG', 3 => 'PNG', 4 => 'SWF', 5 => 'PSD', 6 => 'BMP', 7 => 'TIFF', 8 => 'TIFF', 9 => 'JPC', 10 => 'JP2', 11 => 'JPX', 12 => 'JB2', 13 => 'SWC', 14 => 'IFF');
  $imginfo = getimagesize($src_file);

  if ($imginfo == null) die("ERRORE: Source file not found!");

  $imginfo[2] = $imagetype[$imginfo[2]];


  if ($imginfo[2] != 'JPG' && $imginfo[2] != 'PNG' && ($method == 'gd1' || $method == 'gd2')) die("ERROR: GD can only handle JPG and PNG files!");


  $srcWidth = $imginfo[0];
  $srcHeight = $imginfo[1];

  echo "Creating thumbnail from $imginfo[2], $imginfo[0] x $imginfo[1]...<br>";

  $ratio = max($srcWidth, $srcHeight) / $new_size;
  $ratio = max($ratio, 1.0);
  $destWidth = (int)($srcWidth / $ratio);
  $destHeight = (int)($srcHeight / $ratio);


    if (function_exists('imagecreatefromjpeg') AND  
		function_exists('imagecreatetruecolor')) 
    {
    if ($imginfo[2] == 'JPG')
      $src_img = imagecreatefromjpeg($src_file);
    else
      $src_img = imagecreatefrompng($src_file);
    if (!$src_img){
      $ERROR = $lang_errors['invalid_image'];
      return false;
    }
    $dst_img = imagecreatetruecolor($destWidth, $destHeight);
    imagecopyresampled($dst_img, $src_img, 0, 0, 0, 0, $destWidth, (int)$destHeight, $srcWidth, $srcHeight);
    imagejpeg($dst_img, $dest_file, $mboxConfig['imgquality']);
    imagedestroy($src_img);
    imagedestroy($dst_img);
  } else {

    if (!function_exists('imagecreatefromjpeg')) {
        die('GD image library not installed!');
    }
    if ($imginfo[2] == 'JPG')
      $src_img = imagecreatefromjpeg($src_file);
    else
      $src_img = imagecreatefrompng($src_file);
    if (!$src_img){
      $ERROR = $lang_errors['invalid_image'];
      return false;
    }
    $dst_img = imagecreate($destWidth, $destHeight);
    imagecopyresized($dst_img, $src_img, 0, 0, 0, 0, $destWidth, (int)$destHeight, $srcWidth, $srcHeight);
    imagejpeg($dst_img, $dest_file, $dest_qual);
    imagedestroy($src_img);
    imagedestroy($dst_img);
    
}


  chmod($dest_file, octdec('755'));

  $imginfo = getimagesize($dest_file);
  if ($imginfo == null){
    return false;
  } else {
    return true;
  }
}

function showPrimapagina(){
	HTML_primaPagina::showPrimaPagina( );	
}	

function showInfo(){
global $mainframe, $mosConfig_lang;
	HTML_Info::showInfo( );	
}
	

function showAudio(){
global $mainframe, $mosConfig_lang, $mboxConfig;

$dimensione_massima=2093056; //dimensione massima consentita per file in byte -> 1024 byte = 1 Kb
$dimensione_massima_Kb=$dimensione_massima/1024;
$cartella_upload=$mainframe->getCfg('absolute_path')."/".$mboxConfig['audio']."/"; //cartella in cui eseguire l'upload (controllare permessi scrittura)
// percorso cartella relativo $cartella_upload="../public/";
$filtrare=1; //filtrare x estensioni ammesse? 1=si 0=no
$array_estensioni_ammesse=array('.mp3','.flv'); //estensioni ammesse

if(!isset($_FILES['file1']) || $_FILES['file1']['size']==0){ ?>

		<div class="center" style="padding-left: 175px;font-size:large;font-weight:bold;color:#CCCCCC;font-family: Helvetica, sans-serif;">
			<?php echo _MBOX_ADM_SELECTFILE; ?>
		</div>
<?php				
}elseif($_FILES['file1']['size']>$dimensione_massima){ ?>
<div class="center" style="padding-left: 175px;font-size:medium;font-weight:bold;color:#CCCCCC;font-family: Helvetica, sans-serif;">
	<?php echo _MBOX_ADM_SIZE; ?><?php echo $dimensione_massima_Kb ; ?> Kb <br /><span style="font-size:small;font-weight:bold;color:#1a1a1a;font-family: Helvetica, sans-serif;"><?php echo _MBOX_ADM_SIZE2; ?></span>
	</div>
<?php	
}else{
	$nome_file=$_FILES['file1']['name'];
	$errore="";
	if($filtrare==1){
		$estensione = strtolower(substr($nome_file, strrpos($nome_file, "."), strlen($nome_file)-strrpos($nome_file, ".")));
		if(!in_array($estensione,$array_estensioni_ammesse)){?>
		<div class="center" style="padding-left: 175px;font-size:normal;font-weight:bold;color:#800000;font-family: Helvetica, sans-serif;">
<?php			$errore.= ""._MBOX_ADM_NOTALW.": ".implode(", ",$array_estensioni_ammesse)."</div>";
				
		}
	}
	if(!file_exists($cartella_upload)){?>
		<div class="center" style="padding-left: 175px;font-size:normal;font-weight:bold;color:#800000;font-family: Helvetica, sans-serif;">
<?php		$errore.=""._MBOX_ADM_NOTFLD."";
	}
	
	if($errore==""){
		if(move_uploaded_file($_FILES['file1']['tmp_name'], $cartella_upload.$_FILES['file1']['name'])){
			chmod($cartella_upload.$_FILES['file1']['name'],0755); //permessi per poter sovrascrivere/scaricare?>
		<div class="center" style="font-size:large;font-weight:bold;color:#CCCCCC;font-family: Helvetica, sans-serif;">
<?php		echo _MBOX_ADM_ULPOK ;
			echo "</div>" ;
		}else{
			echo _MBOX_ADM_ULPNOOK;
			echo "</div>" ;
		}
	}else{
		echo $errore;
	}
}

	HTML_Audio::showAudio( );	
}
	
function showVideo(){
global $mainframe, $mosConfig_lang, $mboxConfig ;

$dimensione_massima=2093056; //dimensione massima consentita per file in byte -> 1024 byte = 1 Kb
$dimensione_massima_Kb=$dimensione_massima/1024;
$cartella_upload=$mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."/"; //cartella in cui eseguire l'upload (controllare permessi scrittura)
// percorso cartella relativo $cartella_upload="../public/";
$filtrare=1; //filtrare x estensioni ammesse? 1=si 0=no
$array_estensioni_ammesse=array('.flv','.swf','.wmv','.mov'); //estensioni ammesse

if(!isset($_FILES['file2']) || $_FILES['file2']['size']==0){?>
		<div class="center" style="padding-left: 175px;font-size:large;font-weight:bold;color:#CCCCCC;font-family: Helvetica, sans-serif;">
			<?php echo _MBOX_ADM_SELECTFILE; ?>
		</div>
<?php				
}elseif($_FILES['file2']['size']>$dimensione_massima){?>
<div class="center" style="padding-left: 175px;font-size:medium;font-weight:bold;color:#CCCCCC;font-family: Helvetica, sans-serif;">
	<?php echo _MBOX_ADM_SIZE; ?><?php echo $dimensione_massima_Kb ; ?> Kb <br /><span style="font-size:small;font-weight:bold;color:#1a1a1a;font-family: Helvetica, sans-serif;"><?php echo _MBOX_ADM_SIZE2; ?></span>
	</div>
<?php	
}else{
	$nome_file=$_FILES['file2']['name'];
	$errore="";
	if($filtrare==1){
		$estensione = strtolower(substr($nome_file, strrpos($nome_file, "."), strlen($nome_file)-strrpos($nome_file, ".")));
		if(!in_array($estensione,$array_estensioni_ammesse)){?>
		<div class="center" style="padding-left: 175px;font-size:normal;font-weight:bold;color:#800000;font-family: Helvetica, sans-serif;">
<?php			$errore.= ""._MBOX_ADM_NOTALW.": ".implode(", ",$array_estensioni_ammesse)."</div>";
		}
	}
	if(!file_exists($cartella_upload)){?>
		<div class="center" style="padding-left: 175px;font-size:normal;font-weight:bold;color:#800000;font-family: Helvetica, sans-serif;">
<?php		$errore.=""._MBOX_ADM_NOTFLD."";
	}
	
	if($errore==""){
		if(move_uploaded_file($_FILES['file2']['tmp_name'], $cartella_upload.$_FILES['file2']['name'])){
			chmod($cartella_upload.$_FILES['file2']['name'],0755); //permessi per poter sovrascrivere/scaricare?>
		<div class="center" style="font-size:large;font-weight:bold;color:#CCCCCC;font-family: Helvetica, sans-serif;">
<?php		echo _MBOX_ADM_ULPOK ;
			echo "</div>" ;
		}else{
			echo _MBOX_ADM_ULPNOOK;
			echo "</div>" ;
		}
	}else{
		echo $errore;
	}
}	


	HTML_Video::showVideo( );	
}	


function showSet() {
	global $act, $mboxConfig, $option, $database;

	HTML_set::showSet ($mboxConfig, $act);
}

function saveSet() {
	global $option;
  $configfile = "components/".$option."/config.musicbox.php";
  @chmod ($configfile, 0766);
  $permission = is_writable($configfile);
  if (!$permission) {
    $mosmsg = _MBOX_ADM_FILECONFNONSC;
    mosRedirect("index2.php?option=".$option."&act=config",$mosmsg);
    break;
  }

	$txt = "<?php\n";	
	$txt .= "/*********************************************\n";
	$txt .= "* Joomla MusicBox  - Joomla! Component       \n";
	$txt .= "* Copyright (C) 2007 by Marco Bertolini aka Vamba     \n";
	$txt .= "* --------- All Rights Reserved ------------ \n";  
	$txt .= "* Homepage   : www.joomlaitalia.com          \n";
	$txt .= "* Version    : " . _MBOX_ADM_VERSION . "     \n";
	$txt .= "* License    : GNU/GPL License               \n";
	$txt .= "*********************************************/\n";
	$txt .= "\n";
	$txt .= "defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );\n";
	$txt .= "\n";
	
  foreach ($_POST as $k=>$v) {
  	if (is_array($v)) $v = implode("|*|", $v);
    	if (strpos( $k, 'mbox_' ) === 0) {
         if (!get_magic_quotes_gpc()) {
            $v = addslashes( $v );
         }
         $txt .= "\$mboxConfig['".substr( $k, 5 )."']='$v';\n";
      }
	}
  $txt .= "?>";
  
	if ($fp = fopen( $configfile, "w")) {
      fputs($fp, $txt, strlen($txt));
      fclose ($fp);
      mosRedirect( "index2.php?option=".$option."&task=settings", _MBOX_ADM_SAVECONF );
   } else {
      mosRedirect( "index2.php?option=".$option, "FATAL ERROR: File could not be opened." );
   }
}


###############################
# SCHEDE
###############################

function mostraSchede() {
	global $database, $mainframe, $option;
	$limit = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
	$search = $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
	$search = $database->getEscaped( trim( strtolower( $search ) ) );
	$where = $search ? " WHERE albumlink LIKE '%$search%'" : "";

	// get the total number of records
	$database->setQuery( "SELECT COUNT(*) FROM #__musicboxlinks $where" );
	$total = $database->loadResult();
	require_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );

	$quer = "SELECT * FROM #__musicboxlinks $where ORDER BY albumlink ASC LIMIT $pageNav->limitstart, $pageNav->limit";
	$database->setQuery($quer);
	$rows = $database->loadObjectList();
	HTML_schede::mostraSchede( $rows, $pageNav, $search );
}



/**
* Creates a new or edits and existing user record
* @param int The id of the record, 0 if a new entry
* @param string The current GET/POST option
*/
function modificaScheda( $id ) {
	global $database, $my, $option, $mainframe, $mboxConfig;
	
	$row = new mosMusicboxlinks( $database );
	// load the row from the db table
	$row->load( (int)$id );

	if ($id) {
		// do stuff for existing records
	} else {
		// do stuff for new records
		$row->target = '';
		$row->counter = 0;
	}
	$targets[] = mosHTML::makeOption('', _MBOX_OPENINSAMEWND);
	$targets[] = mosHTML::makeOption('_blank', _MBOX_OPENINNEWWND);
	$targetslist = mosHTML::selectList( $targets, 'target', 'class="inputbox" size="1"', 'value', 'text', $row->target );

	$query = "SELECT a.*, a.id , a.title"
	. "\n FROM #__musicboxalbum AS a"
	. "\nLEFT JOIN #__musicboxlinks AS b ON b.id = a.id"	
	. "\n ORDER BY a.title ASC"
	;
	$lista[] = mosHTML::makeOption( '0', _MBOX_SEL_ALBUM2 , 'id', 'title' );
	$database->setQuery( $query );
	$lista = array_merge( $lista, $database->loadObjectList() );
	$lists['album']	= mosHTML::selectList( $lista, 'albumlink', 'class="inputbox" size="1"', 'title', 'title', $row->albumlink  );	
	
	
	$internals[] = mosHTML::makeOption(0, _MBOX_SELECTCONTENT);
	$database->setQuery("SELECT id, title FROM #__content"
	. "\nWHERE state='1'"
	. "\nAND sectionid='".$mboxConfig['sezioni']."'"
	. "\nORDER BY title ASC" );
	$artrows = $database->loadObjectList();
	foreach ($artrows as $artrow)
	{	$internals[] = mosHTML::makeOption(intval($artrow->id), $artrow->title);
	}
	$internalnumber = intval($row->link);
	$internallinkslist = mosHTML::selectList($internals, 'internallink', 'class="inputbox" size="1" onChange="document.adminForm.link.value=\'\';"', 'value', 'text', $internalnumber);

	HTML_schede::modificaScheda($row, $targetslist, $internallinkslist, $lists);
}



/**
* Saves the cinemalink record to the database from an edit or new form submit
* @param string The current GET/POST option
*/
function salvaScheda() {
	global $database, $my, $option;
	if ($_POST[link] == "")
		$_POST[link] = $_POST[internallink];
	$row = new mosMusicboxlinks( $database );
	$row->counter = 0;
	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
	// pre-save checks
	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
	// save the changes
	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
	$row->checkin();
	mosRedirect( "index2.php?option=".$option."&section=scheda&task=showlink" );
}



/**
* Removes cinemalink records from the database
* @param array An array of id keys to remove
* @param string The current GET/POST option
*/
function rimuoviSchede( &$cid ) {
	global $database, $option;
	if (count( $cid )) {
		$cids = implode( ',', $cid );
		$database->setQuery( "DELETE FROM #__musicboxlinks WHERE id IN ($cids)" );
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}
	mosRedirect( "index2.php?option=".$option."&section=scheda&task=showlink" );
}

###############################
# Top HIts
###############################

function mostraHit() {
	global $database, $mainframe, $option;
	$limit = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
	$search = $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
	$search = $database->getEscaped( trim( strtolower( $search ) ) );
	$where = $search ? " WHERE nomehit LIKE '%$search%'" : "";
	// get the total number of records
	$database->setQuery( "SELECT * FROM #__musicboxhit $where" );
	$total = $database->loadResult();
	require_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );
	$query = "SELECT * FROM #__musicboxhit $where ORDER BY ordering LIMIT $pageNav->limitstart, $pageNav->limit";
	$database->setQuery($query);
	$rows = $database->loadObjectList();
	HTML_Hit::mostrahit( $rows, $pageNav, $search );
}


function modificaHit( $id ) {
	global $database, $my, $option, $mainframe;
	
	$row = new mosHit( $database );
	// load the row from the db table
	$row->load( (int)$id );

	$query = "SELECT ordering AS value, nomehit AS text"
		. "\nFROM #__musicboxhit"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY ordering"
	;
	$lists['ordering'] 			= stripslashes( mosAdminMenus::SpecificOrdering( $row, $id, $query ));	

	HTML_Hit::modificaHit($row, $lists);
}


function salvaHit ( $option ) {
	global $database, $my;

	$row = new mosHit( $database );
	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->checkin();

	mosRedirect( "index2.php?option=".$option."&section=hit&task=showhit" );
}

function rimuoviHit( &$cid ) {
	global $database, $option;
	if (count( $cid )) {
		$cids = implode( ',', $cid );
		$database->setQuery( "DELETE FROM #__musicboxhit WHERE id IN ($cids)" );
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}
	mosRedirect( "index2.php?option=".$option."&section=hit&task=showhit" );
}



###############################
# Top HIts Song
###############################

function showHitsong( $option, $hitid  ) {
	global $database, $mainframe, $row;

	$catid = $mainframe->getUserStateFromRequest( "catid{$option}", 'catid', 0 );
	$limit = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
	$search = $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
	$search = $database->getEscaped( trim( strtolower( $search ) ) );
	$filter_hitid	= intval( $mainframe->getUserStateFromRequest( "filter_hitid{$option}{$hitid}", 'filter_hitid', 0 ) );	
	$where = array();

	if($filter_hitid){
		$where[] = "al.id=".$filter_hitid;
	}

	if ($search) {
		$where[] = "LOWER(a.songhit) LIKE '%$search%'";
	}


	$database->setQuery( "SELECT count(*) FROM #__musicboxsonghit AS a"
		. "\nLEFT JOIN #__musicboxhit AS al ON a.hitid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
	);
	$total = $database->loadResult();
	echo $database->getErrorMsg();

	include_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );

	$database->setQuery( "SELECT a.*, al.nomehit as hitTitle"
		. "\nFROM #__musicboxsonghit AS a"
		. "\nLEFT JOIN #__musicboxhit AS al ON a.hitid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY a.hitid, a.ordering"
		. "\nLIMIT $pageNav->limitstart,$pageNav->limit"
	);

	$rows = $database->loadObjectList();


	if ($database->getErrorNum()) {
		echo $database->stderr();
		return false;
	}


	$query = "SELECT a.*, a.id , a.nomehit"
	. "\n FROM #__musicboxhit AS a"
	. "\nLEFT JOIN #__musicboxsonghit AS b ON b.id = a.id"
	. "\n GROUP BY a.id"
	. "\n ORDER BY a.nomehit ASC"
	;
	$lista[] = mosHTML::makeOption( '0', _MBOX_SLC_TOPLIST , 'id', 'nomehit' );
	$database->setQuery( $query );
	$lista = array_merge( $lista, $database->loadObjectList() );
	$lists['hit']	= mosHTML::selectList( $lista, 'filter_hitid', 'class="inputbox" size="1" onchange="document.adminForm.submit( );"', 'id', 'nomehit', $filter_hitid  );
	
	
	HTML_Hitsong::showHitsong ( $option, $rows, $clist, $lists, $search, $pageNav );
}

function editHitsong( $option, $uid ) {
	global $mainframe, $database, $my, $uploaded, $where, $uploaded_file, $mboxConfig;
	$row = new mosSonghit( $database );
	$row->load( (int)$uid );
	
	
	
	$hit[] = mosHTML::makeOption( '0', _MBOX_SLC_TOPLIST );
	//query top list
	$database->setQuery( "SELECT a.*, a.id AS value, a.nomehit AS text FROM #__musicboxhit AS a"
	. "\nLEFT JOIN #__musicboxsonghit AS b ON b.id = a.id"
	. "\nORDER BY nomehit ASC" );
	$hit = array_merge( $hit, $database->loadObjectList() );

	$hitli = mosHTML::selectList( $hit, 'hitid', 'class="inputbox" size="1"', 'value', 'text', intval( $row->hitid ) );

		if ($uploaded_file == '') {
			$cartella3 = mosReadDirectory( $mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."" );
			$videohit = array(mosHTML::makeOption('', ''));
			if ( count($cartella3) > 0 ) {		
			foreach ($cartella3 as $file3) {
			if (eregi( 'flv|mov|swf|wmv', $file3 )
				&& is_file( $mainframe->getCfg('absolute_path')."/".$mboxConfig['videos']."/$file3" )) {
				$videohit[] = mosHTML::makeOption( "$file3" );
					}
				}
			}
		}	
	$videohitli = mosHTML::selectList($videohit, 'videoaltenativohit', 'class="inputbox" size="1"', 'value', 'text', $row->videoaltenativohit);			
		
	
			$videofonte = array(
			mosHTML::makeOption( '', '' ),
			mosHTML::makeOption( 'http://www.youtube.com/watch?v=', 'Youtube' ),					
			mosHTML::makeOption( 'http://video.google.com/videoplay?docid=', 'Google' ),
			mosHTML::makeOption( 'http://www.ifilm.com/video/', 'iFilm' ),
		);		
	
	$videohittypeli = mosHTML::selectList( $videofonte, 'videofontehit', 'class="inputbox" size="1"', 'value', 'text', ($row->videofontehit ) );					

			$immagine = array(
			mosHTML::makeOption( 'hitup.png', _MBOX_ADM_HITU ),
			mosHTML::makeOption( 'hitdown.png', _MBOX_ADM_HITD ),					
			mosHTML::makeOption( 'hitequal.png', _MBOX_ADM_HITQ ),
			mosHTML::makeOption( 'hitnew.png', _MBOX_ADM_HITNE ),
		);		
	
	$imagehit = mosHTML::selectList( $immagine, 'imagehit', 'class="inputbox" size="1"', 'value', 'text', ($row->imagehit ) );
	
	$query = "SELECT a.ordering AS value, a.songhit AS text"
		. "\nFROM #__musicboxsonghit AS a"
		. "\nLEFT JOIN #__musicboxhit AS al ON a.hitid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY a.ordering"
	;
	$lists['ordering'] 			= stripslashes( mosAdminMenus::SpecificOrdering( $row, $uid, $query ));

	
	HTML_Hitsong::editHitsong( $option, $row, $hitli, $imagehit, $videohitli, $videohittypeli, $lists);
}


function saveHitsong( $option ) {
	global $database, $my;

	$row = new mosSonghit( $database );
	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->updateOrder( "hitid=".$row->hitid );	
		
	$row->checkin();

	mosRedirect( "index2.php?option=$option&section=songhit" );
}

function saveHitsong2 ( $option ) {
	global $database, $my;

	$row = new mosSonghit ( $database );
	if (!$row->bind( $_POST )) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->check()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

	if (!$row->store()) {
		echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->updateOrder( "hitid=".$row->hitid );			
		
	$row->checkin(); ?>
	<script type="text/javascript" language="javascript">
	window.close();
	</script>
<?php	
}

function removeHitsong( $cid, $option ) {
	global $database;
	if (!is_array( $cid ) || count( $cid ) < 1) {
		echo "<script> alert('Select an item to delete'); window.history.go(-1);</script>\n";
		exit;
	}
	if (count( $cid )) {
		$cids = implode( ',', $cid );
		$database->setQuery( "DELETE FROM #__musicboxsonghit WHERE id IN ($cids)" );
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}

	mosRedirect( "index2.php?option=$option&section=songhit" );
}



function cancelHitsong( $option ) {
	global $database;
	$row = new mosSonghit ( $database );
	$row->bind( $_POST );
	$row->checkin();
	mosRedirect( "index2.php?option=$option&section=songhit" );
}


function orderHitsong( $uid, $inc, $option ) {
	global $database;
		
	$row = new mosSonghit( $database );
	$row->load( (int) $uid );
	$row->move( $inc, "published >= 0 and hitid=".$row->hitid );

	mosRedirect( "index2.php?option=$option&section=songhit" );
}

###############################
# LYRICS
###############################

//funzione visualizza album
function showLyric( $option ) {
	global $database, $mainframe, $row;

	$limit = $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', 10 );
	$limitstart = $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 );
	$search = $mainframe->getUserStateFromRequest( "search{$option}", 'search', '' );
	$search = $database->getEscaped( trim( strtolower( $search ) ) );
	$filter_albumid	= intval( $mainframe->getUserStateFromRequest( "filter_albumid{$option}{$albumid}", 'filter_albumid', 0 ) );	
	$where = array();

	if($filter_albumid){
		$where[] = "al.id=".$filter_albumid;
	}

	if ($search) {
		$where[] = "LOWER(a.titolo) LIKE '%$search%'";
	}


	$database->setQuery( "SELECT count(*) FROM #__musicboxlyric AS a"
		. "\nLEFT JOIN #__musicboxsinger AS al ON a.albumid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
	);
	$total = $database->loadResult();
	echo $database->getErrorMsg();	

	include_once( "includes/pageNavigation.php" );
	$pageNav = new mosPageNav( $total, $limitstart, $limit  );


	$database->setQuery( "SELECT a.*, al.name as cantante"
		. "\nFROM #__musicboxlyric AS a"
		. "\nLEFT JOIN #__musicboxsinger AS al ON a.albumid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY a.albumid, a.ordering"
		. "\nLIMIT $pageNav->limitstart,$pageNav->limit"
	);

	$rows = $database->loadObjectList();	

	if ($database->getErrorNum()) {
		echo $database->stderr();
		return false;
	}


	$query = "SELECT a.*, a.id , a.name"
	. "\n FROM #__musicboxsinger AS a"
	. "\nLEFT JOIN #__musicboxlyric AS b ON b.id = a.id"
	. "\n GROUP BY a.id"
	. "\n ORDER BY a.name ASC"
	;
	$lista[] = mosHTML::makeOption( '0', _MBOX_SELECT_SINGER , 'id', 'name' );
	$database->setQuery( $query );
	$lista = array_merge( $lista, $database->loadObjectList() );
	$lists['cantante']	= mosHTML::selectList( $lista, 'filter_albumid', 'class="inputbox" size="1" onchange="document.adminForm.submit( );"', 'id', 'name', $filter_albumid  );


	HTML_lyric::showLyric( $option, $rows, $clist, $lists, $search, $pageNav );
}

function editLyric( $option, $uid ) {
	global $mainframe, $database, $my, $where, $mboxConfig;

	$row = new mosLyric( $database );
	$row->load( (int)$uid );	

	//recupero i dati della lista a tendina
	$album[] = mosHTML::makeOption( '0', _MBOX_SELECT_SINGER );
	$database->setQuery( "SELECT a.*, a.id AS value, a.name AS text FROM #__musicboxsinger AS a"
	. "\nLEFT JOIN #__musicboxlyric AS b ON b.id = a.id"
	. "\nORDER BY name ASC" );
	$album = array_merge( $album, $database->loadObjectList() );

	$albumli = mosHTML::selectList( $album, 'albumid', 'class="inputbox" size="1"', 'value', 'text', intval( $row->albumid ) );

	//recupero l'ordinamento
	$query = "SELECT a.ordering AS value, a.titolo AS text"
		. "\nFROM #__musicboxlyric AS a"
		. "\nLEFT JOIN #__musicboxsinger AS al ON a.albumid=al.id"
		. (count( $where ) ? "\nWHERE " . implode( ' AND ', $where ) : "")
		. "\nORDER BY a.ordering"
	;
	$lists['ordering'] 			= stripslashes( mosAdminMenus::SpecificOrdering( $row, $uid, $query ));



	HTML_lyric::editLyric( $option, $row, $albumli, $lists);
}


function saveLyric( $option, $task ) {
	global $database, $my;

	$row = new mosLyric( $database );
			if (!$row->bind( $_POST )) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

			if (!$row->check()) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}

			if (!$row->store()) {
				echo "<script> alert('".$row->getError()."'); window.history.go(-1); </script>\n";
		exit();
	}
		
	$row->updateOrder( "id=".$row->id );	
		
	$row->checkin();

	$redirect = mosGetParam( $_POST, 'redirect');	
	//switch per Save e Apply
	switch ( $task ) {
		case 'apply':
			$msg = _MBOX_APPLY . ': '. $row->titolo; 
			mosRedirect( 'index2.php?option=com_musicbox&section=lyric'. $redirect .'&task=editA&hidemainmenu=1&id='. $row->id, $msg );
			break;

		case 'save':
		default:
			$msg = _MBOX_ADM_SAVECO . ': '. $row->titolo;
			mosRedirect( 'index2.php?option=com_musicbox&section=lyric'. $redirect, $msg );

			break;	

	}
}

function removeLyric( $cid, $option ) {
	global $database;
	if (!is_array( $cid ) || count( $cid ) < 1) {
		echo "<script> alert('Select an item to delete'); window.history.go(-1);</script>\n";
		exit;
	}
	if (count( $cid )) {
		$cids = implode( ',', $cid );
		$database->setQuery( "DELETE FROM #__musicboxlyric WHERE id IN ($cids)" );
		if (!$database->query()) {
			echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		}
	}

	mosRedirect( "index2.php?option=$option&section=lyric" );
}



function cancelLyric( $option ) {
	global $database;
	$row = new mosLyric( $database );
	$row->bind( $_POST );
	$row->checkin();
	mosRedirect( "index2.php?option=$option&section=lyric" );
}


function orderLyric( $uid, $inc, $option ) {
	global $database;
		
	$row = new mosLyric( $database );
	$row->load( $uid );
	$row->move( $inc, "published >= 0 and id=".$row->id );

	mosRedirect( "index2.php?option=$option&section=lyric" );
}

function accessMenu( $uid, $access, $option ) {
	global $database;

	$row = new mosAlbum( $database );
	$row->load( (int)$uid );
	$row->access = $access;

	if ( !$row->check() ) {
		return $row->getError();
	}
	if ( !$row->store() ) {
		return $row->getError();
	}

	// clean any existing cache files
	mosCache::cleanCache( 'com_musicbox' );
	mosRedirect( "index2.php?option=$option&section=album" );
}

?>