<?php
/**
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @Pack musicboxcom
* @Based on
* @package JomComment free edition
* @copyright (C) 2006 by Azrul Rahim - All rights reserved!
* @www.azrul.com
* @NOTE: This features of Musicbox don't support and allow content items comment system but
* @only support musicbox item contents
* @If you need full contents comment system buy a copy of this fantastic component
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

function jcAdminUtf8_to_unicode( $str ) {
    $temp = jcUtf8_to_unicode($source);
	$result = jcUnicode_to_entities($temp);
	return $result;
} // utf8_to_unicode
    
function transformDbText ($source) {
	// if mbstring is available, use it instead
	
	 
    // array used to figure what number to decrement from character order value
    // according to number of characters used to map unicode to ascii by utf-8
    $decrement[4] = 240;
    $decrement[3] = 224;
    $decrement[2] = 192;
    $decrement[1] = 0;
    
    // the number of bits to shift each charNum by
    $shift[1][0] = 0;
    $shift[2][0] = 6;
    $shift[2][1] = 0;
    $shift[3][0] = 12;
    $shift[3][1] = 6;
    $shift[3][2] = 0;
    $shift[4][0] = 18;
    $shift[4][1] = 12;
    $shift[4][2] = 6;
    $shift[4][3] = 0;
    
    $pos = 0;
    $len = strlen ($source);
    $encodedString = '';
    while ($pos < $len) {
        $asciiPos = ord (substr ($source, $pos, 1));
        
        // we must skip standard ascii cahracter from being unicode encoded!
        if($asciiPos > 31 && $asciiPos <= 127){
            $encodedString .= substr ($source, $pos, 1);
            $pos++;
        } 
        else 
        {
        
       
       if (($asciiPos >= 240) && ($asciiPos <= 255)) {
           // 4 chars representing one unicode character
           $thisLetter = substr ($source, $pos, 4);
           $pos += 4;
       }
       else if (($asciiPos >= 224) && ($asciiPos <= 239)) {
           // 3 chars representing one unicode character
           $thisLetter = substr ($source, $pos, 3);
           $pos += 3;
       }
       else if (($asciiPos >= 192) && ($asciiPos <= 223)) {
           // 2 chars representing one unicode character
           $thisLetter = substr ($source, $pos, 2);
           $pos += 2;
       }
       else {
           // 1 char (lower ascii)
           $thisLetter = substr ($source, $pos, 1);
           $pos += 1;
       }
    
       // process the string representing the letter to a unicode entity
       $thisLen = strlen ($thisLetter);
       $thisPos = 0;
       $decimalCode = 0;
       while ($thisPos < $thisLen) {
           $thisCharOrd = ord (substr ($thisLetter, $thisPos, 1));
           if ($thisPos == 0) {
               $charNum = intval ($thisCharOrd - $decrement[$thisLen]);
               $decimalCode += ($charNum << $shift[$thisLen][$thisPos]);
           }
           else {
               $charNum = intval ($thisCharOrd - 128);
               $decimalCode += ($charNum << $shift[$thisLen][$thisPos]);
           }
    
           $thisPos++;
       }
    
       if ($thisLen == 1)
           $encodedLetter = "&#". str_pad($decimalCode, 3, "0", STR_PAD_LEFT) . ';';
       else
           $encodedLetter = "&#". str_pad($decimalCode, 5, "0", STR_PAD_LEFT) . ';';
    
       $encodedString .= $encodedLetter;      
       
       }
    }
    return $encodedString;
}


class HTML_comment 
{
  function showComments( $option, &$rows, &$search, &$pageNav ) {
    $commentlenght = "40";
    global $mainframe, $database, $mosConfig_live_site;

    $limitOption = mosGetParam($_GET, 'limitOption', '');
    
    $database->setQuery("SELECT distinct `option` FROM #__mbox_comment");
    $results = $database->loadObjectList();
    $limitComOptions = "";
    foreach($results as $res){
    	if($res->option == $limitOption)
    		$limitComOptions .= "<option value=\"$res->option\" selected>$res->option</option>";
    	else
    		$limitComOptions .= "<option value=\"$res->option\">$res->option</option>";
	}
   

    # Table header
    ?>
    
<div id="popupWindowContainer" style="visibility:hidden; position:absolute" >
		<div class="dropshadowBox">
		<div class="innerbox">
		<div id="popupWindowHandle"></div>
			<div id="popupWindowEditable" >
				<h4>Mbox Comment Edit</h4>
			</div>
		</div>
		</div>
	</div>
	
<style type="text/css">
<!-- 
.dropshadowBox{float:left;clear:left; background: url(components/com_musicboxcom/images/shadowAlpha.png) no-repeat right bottom!important; background: url(components/com_musicboxcom/images/shadow.gif) no-repeat bottom right;margin: 10px 0 10px 10px !important;margin: 10px 0 10px 5px;width: 500px;padding: 0px;}
.innerbox{position:relative;bottom:6px;right: 6px;border: 1px solid #000;padding:4px;margin: 0px 0px 0px 0px;background-color: #fff;}
.innerbox{/* IE5 hack */\margin: 0px 0px -3px 0px;ma\rgin:  0px 0px 0px 0px;}
.innerbox p{font-size:14px;margin: 3px;} 
 -->
</style>

<script language="javascript">

function getScrollXY() {
  var scrOfX = 0, scrOfY = 0;
  if( typeof( window.pageYOffset ) == 'number' ) {
    //Netscape compliant
    scrOfY = window.pageYOffset;
    scrOfX = window.pageXOffset;
  } else if( document.body && ( document.body.scrollLeft || document.body.scrollTop ) ) {
    //DOM compliant
    scrOfY = document.body.scrollTop;
    scrOfX = document.body.scrollLeft;
  } else if( document.documentElement && ( document.documentElement.scrollLeft || document.documentElement.scrollTop ) ) {
    //IE6 standards compliant mode
    scrOfY = document.documentElement.scrollTop;
    scrOfX = document.documentElement.scrollLeft;
  }
  return [ scrOfX, scrOfY ];
}

// The data is JSON string
function showFloatingDialog(data){
	var html = "";
	// Attach onclick event to capture click outside the window
	 
	 
	// Fill up container with the main window
	//eval("html = \"" + data + "\";");
	//$('popupWindowContainer').innerHTML = html;
	
	// Show it
	var sc = getScrollXY();
	var w = 400;
	var h = 400;
	w += 32;
	h += 96;
	var wleft = 310; //((770 - w) / 2) + $('mainListingTable').getLeft();
  	var wtop = (screen.height - h) / 2 + sc[1];
	$('popupWindowEditable').innerHTML = data;
	//$('popupWindowContainer').setStyle('background-color', '#F8F8F3');
	$('popupWindowContainer').setStyle('width',  w +'px');
	$('popupWindowContainer').setStyle('height', h +'px');
	$('popupWindowContainer').setStyle('top', wtop +'px');
	$('popupWindowContainer').setStyle('left', wleft +'px');
	$('popupWindowContainer').makeDraggable({
    	handle: 'popupWindowHandle'
	});
	$('popupWindowContainer').setStyle('visibility', "visible");
}

</script>
    
<style type="text/css">
<!--	
.infolevel1, .infolevel2 , .infolevel3 { background-color: #FAD163;display: block;}
.infolevel1, .infolevel2 { height: 1px;font-size: 1px}
.infolevel1 {margin-right: 3px;margin-left: 3px;}
 .infolevel2 {margin-right: 1px;margin-left: 1px;}
 .infolevel3 {color: #000000;font-weight: bold;text-align: center;vertical-align: middle;height: 15px;}
 #powered_jc {text-align: center;display: block;text-decoration: none;font-size: xx-small;}  
 -->
</style>

	<script type="text/javascript" src="<?php echo $mosConfig_live_site ;?>/components/com_musicboxcom/js/mootools.release.83.js"></script>
<script type="text/javascript">
function contentSlide(csSlide, csHide, csToggle) {
	$$(csSlide).each(function(div){
		var link = div.getElement(csToggle);
		var hide = div.getElement(csHide);
		var fx = new Fx.Slide(hide, {duration: 240, mode: 'vertical'});
		fx.hide();

		link.addEvent('click', function(){
			fx.toggle();
		});
	});
}

window.addEvent('domready', function(){
	contentSlide('.slide', '.hide', '.toggle');	// (click) shows / hides content [.hide] within [.slide] via toggle [.toggle]
});
</script>	
   
    <form action="index2.php?option=com_musicboxcom&task=comments" method="post" name="adminForm"  id="adminForm" >
    <table class="adminheading" cellpadding="4" cellspacing="0" border="0">
    <tr>
          <th width="10%" class="edit">            
			<?php echo _MBOX_REW_MANAGER; ?>
          </th>
			<td nowrap="nowrap"> 
			<?php echo _MBOX_NUM_REWS_DISPLAY; ?>
			</td>
			<td>
				<?php echo $pageNav->writeLimitBox(); ?>      
			</td>
			<td nowrap="nowrap">
				<?php echo _MBOX_LABEL_SEARCH; ?>
			</td>
			<td>
				<input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" />      
	  </td>
    </tr>
	</table>

    <table class="adminlist" cellpadding="4" cellspacing="0" border="0">
    <tbody>
      <tr>
        <th width="2%" class="title"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
        <th class="title" width="25%" align="left"><?php echo _MBOX_HEADERMBOXALBUM ;?></th>		
        <th class="title" width="40%" align="left"><?php echo _MBOX_REWS ;?></th>
        <th class="title" width="25%" align="left"><?php echo _MBOX_ADM_INFORMAZIONI ;?></th>		
        <th class="title" align="center"><?php echo _MBOX_PUBLISHED ;?></th>
      </tr>
      <?php
    $k = 0;
    $entrylenght = 64;
    $viewObj = new JCView();
    
    // Drawing the rows
  	
    for ($i=0, $n=count( $rows ); $i < $n; $i++) {
		

        $row = &$rows[$i];
     
			$query = "SELECT title FROM #__musicboxalbum WHERE id='$row->contentid' ;";
			$database->setQuery( $query );
			$contentTitle = $database->loadResult();
		
        echo "<tr class='row$k'>";
        echo "<td width='1%'><input type='checkbox' id='cb$i' name='cid[]' value='$row->id' onclick='isChecked(this.checked);' /></td>";
		$row->comment  = transformDbText($row->comment);
		$row->comment = $viewObj->shortenURL($row->comment);
		if(strlen($row->comment) > 300) {
			$row->comment  = stripslashes(substr($row->comment,0,300-3));
			$row->comment .= "...";
		}
		$row->comment 	= strip_tags($row->comment); 
	      
      ?>
	<td>
      	<div class="comment-info">
			<span class="tinyaction" onclick="jax.call('musicboxcom','jcxEditComment', <?php echo $row->id; ?>);"><strong><?php echo $contentTitle;?></strong></span> 
	    </div>		
	</td>	  
      	
      	<td class="comment" style="text-align:left" id="comment-<?php echo $row->id; ?>">
      		<?php echo $row->comment; ?>
      	</td>
		<td>
		<div class="slide">		
      	<a class="toggle"><strong><?php echo _MBOX_REW_CLICK ;?></strong></a>
		<div class="hide">
      		<strong><?php echo _MBOX_REW_NAME ;?> </strong><?php echo $row->name; ?> <br /> 
			<strong><?php echo _MBOX_REW_EMAIL ;?> </strong><?php echo $row->email;?> <br /> 
			<strong><?php echo _MBOX_REW_URL ;?> </strong><?php echo $row->website;?> <br />
			<strong><?php echo _MBOX_REW_DATE ;?> </strong> <span id="date-<?php echo $row->id; ?>"><?php echo $row->date;?></span> <br />
			<strong><?php echo _MBOX_REW_IP ;?> </strong><?php echo $row->ip;?> <br />
      	<div class="comment-info">
			<span class="tinyaction" onclick="jax.call('musicboxcom','jcxEditComment', <?php echo $row->id; ?>);"><?php echo _MBOX_REW_EDIT ;?></span> | 
		    <span class="tinyaction" onClick="jax.call('musicboxcom','jcxBanUserName','<?php echo $row->name; ?>');"><?php echo _MBOX_REW_BANUSER ;?></span> |
		    <span class="tinyaction" onClick="jax.call('musicboxcom','jcxBanUserIP','<?php echo $row->ip; ?>');"><?php echo _MBOX_REW_BANIP ;?></span>
	    </div>
		</div>
		</div>			
	
	</td>
      <?php
      if(strlen($row->comment) > 64) {
        $row->comment  = substr($row->comment,0,64);
        $row->comment .= "...";
      }

      $task = $row->published ? 'unpublish' : 'publish';
      $img = $row->published ? 'publish_g.png' : 'publish_x.png';
      ?>
        <td width="10%" align="center">
            <a href="javascript: void(0);" onclick="jax.call('musicboxcom','jcxTogglePublish', <?php echo $row->id; ?>);">
                <img id="pubImg<?php echo $row->id; ?>" src="images/<?php echo $img;?>" width="12" height="12" border="0" alt="" />
            </a>
        </td>
    </tr>
    <?php    
        $k = 1 - $k; 
        ?>
        <tr style="display: none;" id="<?php echo $row->id; ?>">
        <td align="center" colspan="10" height='1px'><div stye="display:block;" id="c<?php echo $row->id;?>" ></div></td>
        </tr>
        <?php 
    } 
    ?>
    <tr>
      <th align="center" colspan="10">
        <?php echo $pageNav->writePagesLinks(); ?></th>
    </tr>
    <tr>
      <td align="center" colspan="10">
        <?php echo $pageNav->writePagesCounter(); ?></td>
    </tr>
	</tbody>
  </table>
  <input type="hidden" name="option" value="<?php echo $option;?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="boxchecked" value="0" />
  </form>
  <?php
  }
}
?>