<?php
/*
// Mbox_plugin reworked by vamba based on www.joomlaworks.gr plugin
// "Simple Image Gallery" (in content items) Plugin for Joomla 1.0.x - Version 1.2.1
// License: http://www.gnu.org/copyleft/gpl.html
// Authors: Fotis Evangelou - George Chouliaras
// Copyright (c) 2006 JoomlaWorks.gr - http://www.joomlaworks.gr
// Project page at http://www.joomlaworks.gr - Demos at http://demo.joomlaworks.gr
// ***Last update: January 6th, 2007***
// The "AllVideos" Plugin for Joomla 1.0.x - Version 2.4
// License: http://www.gnu.org/copyleft/gpl.html
// Authors: Fotis Evangelou - George Chouliaras
// Copyright (c) 2006 JoomlaWorks.gr - http://www.joomlaworks.gr
// Project page at http://www.joomlaworks.gr - Demos at http://demo.joomlaworks.gr
// ***Last update: November 29th, 2006***
//
// Notes: In order to maintain compatibility and to avoid bad operation with 
// original Joomlaworks plugin the tags have been  changed  
// for ex. {mp3}  in {mb_mp3}  ,  {flv}  in {mb_flv}  or  {gallery}  in {photo}  etc. etc.
// thanks to staff of www.joomlaworks.gr for their 2 fantastic plugin
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class mbox {
	var $save_to_file = true;
	var $image_type = -1;
	var $quality = 100;
	var $max_x = 100;
	var $max_y = 100;
	var $cut_x = 0;
	var $cut_y = 0;
 
	function SaveImage($im, $filename) 
	{
 
    $res = null;
 
    if(($this->image_type == 1)  && !function_exists('imagegif')) $this->image_type = 3;

    switch ($this->image_type) 
	{
      case 1: if ($this->save_to_file) { $res = ImageGIF($im,$filename); }else { header("Content-type: image/gif"); $res = ImageGIF($im); } break;
      case 2: if ($this->save_to_file) { $res = ImageJPEG($im,$filename,$this->quality); }  else { header("Content-type: image/jpeg"); $res = ImageJPEG($im,'',$this->quality); } break;
      case 3: if ($this->save_to_file) { $res = ImagePNG($im,$filename); } else { header("Content-type: image/png"); $res = ImagePNG($im,'',$this->quality); } break;
    }
 
    return $res;
 
	}
 
  function ImageCreateFromType($type,$filename) 
  {
   $im = null;
   switch ($type) 
   {
     case 1: $im = ImageCreateFromGif($filename); break;
     case 2: $im = ImageCreateFromJpeg($filename); break;
     case 3: $im = ImageCreateFromPNG($filename);break;
   }
    return $im;
   }

  function GenerateThumbFile($from_name, $to_name) 
  {
    list($orig_x, $orig_y, $orig_img_type, $img_sizes) = GetImageSize($from_name);
    if ($this->cut_x > 0) $orig_x = min($this->cut_x, $orig_x);
    if ($this->cut_y > 0) $orig_y = min($this->cut_y, $orig_y);
    $this->image_type = ($this->image_type != -1 ? $this->image_type : $orig_img_type);
    if ($orig_img_type < 1 or $orig_img_type > 3) die("Image type not supported");
    if ($orig_x > $this->max_x or $orig_y > $this->max_y) {

      $per_x = $orig_x / $this->max_x;
      $per_y = $orig_y / $this->max_y;
      if ($per_y > $per_x) 
	  {
        $this->max_x = $orig_x / $per_y;
      } else {
        $this->max_y = $orig_y / $per_x;
      }
 
    } else {

      if ($this->save_to_file) 
	  {
        @copy($from_name, $to_name);
      } else { switch ($this->image_type) 
		{
          case 1: header("Content-type: image/gif"); include($from_name); break;
          case 2: header("Content-type: image/jpeg"); include($from_name); break;
          case 3: header("Content-type: image/png"); include($from_name); break;
        }
      }
      return;
    }
 
    if ($this->image_type == 1) { $ni = imagecreate($this->max_x, $this->max_y);
    } else { $ni = ImageCreateTrueColor($this->max_x,$this->max_y); }

			$white = imagecolorallocate($ni, 255, 255, 255);
			imagefilledrectangle( $ni, 0, 0, $this->max_x, $this->max_y, $white);
			$im = $this->ImageCreateFromType($orig_img_type,$from_name);
			imagepalettecopy($ni,$im);
			imagecopyresampled(
				$ni, $im,             		
				0, 0, 0, 0,           		
				$this->max_x, $this->max_y,	
				$orig_x, $orig_y);			
 
    $this->SaveImage($ni, $to_name);
  }
}
?>