<?php
/*
* Joomla MusicBox 
* @ Released under GNU/GPL License: http://www.gnu.org/copyleft/gpl.html
* @paked: mod_musicbox.php
* @ Copyright (C) 2007 Vamba
* @ All rights reserved
* @ "Mbox" Module for Joomla! 1.0.x - Version 2.0.0
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $mainframe, $database, $my, $now;
	$now 		= _CURRENT_SERVER_TIME;
	$nullDate = $database->getNullDate();

	$thumbnailpath  = $mosConfig_live_site."/images/musicbox_cover/";


$nullDate = $database->getNullDate();

$params->def('width', '100%');
$params->def('type_query', '0');
$params->def('limit_query', '5');
$params->def('images', '1');
$params->def('heightimages', '50');
$params->def('widthimages', '');
$params->def('titolo', '1');
$params->def('ntitolo', '20');
$params->def('descrizione', '1');
$params->def('ntitolo2', '20');
$params->def('autore', '1');
$params->def('separatore', '1');
$params->def('wseparatore', '60');

# determino l'Itemid della componente
$query_id = "SELECT id FROM #__menu WHERE link='index.php?option=com_musicbox' AND published='1'";
$database->setQuery($query_id);
$rows = $database->loadObjectList();
$Itemid=$rows[0]->id;


switch($params->get('type_query')){

	// Ultimi Inseriti
	case 0: $query = "SELECT a.* FROM #__musicboxalbum AS a"
					. "\n WHERE a.published='1'"
					. "\n AND ( a.publish_up = " . $database->Quote( $nullDate ) . " OR a.publish_up <= " . $database->Quote( $now ) . " )"
					. "\n AND ( a.publish_down = " . $database->Quote( $nullDate ) . " OR a.publish_down >= " . $database->Quote( $now ) . " )"	
					. "\n AND access <= $my->gid"				
					. "\n ORDER BY a.created DESC"
					. "\n LIMIT ".$params->get('limit_query');
					break;
						
	// Pi Cliccati
	case 1: $query = "SELECT a.* FROM #__musicboxalbum AS a"
					. "\n WHERE a.published='1'"
					. "\n AND ( a.publish_up = " . $database->Quote( $nullDate ) . " OR a.publish_up <= " . $database->Quote( $now ) . " )"
					. "\n AND ( a.publish_down = " . $database->Quote( $nullDate ) . " OR a.publish_down >= " . $database->Quote( $now ) . " )"							
					. "\n AND access <= $my->gid"
					. "\n ORDER BY a.hits DESC"
					. "\n LIMIT ".$params->get('limit_query');
					break;
	
	// Random
	case 2: $query = "SELECT a.* FROM #__musicboxalbum AS a"
					. "\n WHERE a.published='1'"
					. "\n AND ( a.publish_up = " . $database->Quote( $nullDate ) . " OR a.publish_up <= " . $database->Quote( $now ) . " )"
					. "\n AND ( a.publish_down = " . $database->Quote( $nullDate ) . " OR a.publish_down >= " . $database->Quote( $now ) . " )"							
					. "\n AND access <= $my->gid"
					. "\n ORDER BY RAND()"
					. "\n LIMIT ".$params->get('limit_query');
					break;

}
$database->setQuery($query);
//echo $database->getQuery();
$rows = $database->loadObjectList();

?>
<table width="<?php echo $params->get('width')?>" cellpadding="2" cellspacing="2" class="moduletable<?php echo $moduleclass_sfx; ?>">
<?php

// feed description
$n=1;
foreach ($rows as $row)
{
	$titolo=substr($row->title, 0, $params->get('ntitolo'));
	$descrizione=substr($row->html, 0, $params->get('ntitolo2'));	
?>
	<tr>
		<?php
		if ($params->get('images')){ ?>
		<td align="left" valign="middle">
			<a href="<?php echo sefRelToAbs("index.php?option=com_musicbox&amp;task=view&amp;Itemid=".$Itemid."&amp;id=".$row->id)?>">
				<img src="<?php echo $thumbnailpath?><?php echo $row->id?>_s.jpg" alt="<?php echo $row->title?>" width="<?php echo $params->get('widthimages')?>" height="<?php echo $params->get('heightimages')?>" style="border-left : 1px solid #fef; border-top : 1px solid #fef; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset" />
			</a>
		</td>
		<?php 
		}
		?>
		<td width="100%" valign="middle">
			<?php 
			if ($params->get('titolo')){ ?>
			<a href="<?php echo sefRelToAbs("index.php?option=com_musicbox&amp;task=view&amp;Itemid=".$Itemid."&amp;id=".$row->id)?>">
				<?php echo $titolo?><?php if(strlen($row->title)>$params->get('ntitolo')) echo "..."; ?>
			</a>
        <?php
        $database->setQuery( "SELECT a.*"
		    . "\nFROM #__musicboxsinger AS a"
      		. "\nLEFT JOIN #__musicbox AS ba ON ba.idauth = a.id"
      		. "\nWHERE ba.idalbum=$row->id"
      		. "\nORDER BY a.name"	);

	          $authorList = $database->loadObjectList();
			if ($params->get('autore')) { 
			foreach ($authorList as $auth) { ?>
			<a href="<?php echo sefRelToAbs("index.php?option=com_musicbox&amp;task=viewAuth&amp;Itemid=".$Itemid."&amp;id=".$auth->id)?>">
			<br /><span class="small"><?php echo $auth->name; ?></span></a>
			<?php 
			}  
		} 
			if ($params->get('descrizione')) { ?>
			<br /><span class="small">
			<?php echo $descrizione?><?php if(strlen($row->html)>$params->get('ntitolo2')) echo "..."; ?></span>
			<?php 
			}  
	} 
	?>			
		</td>
	</tr>
	<?php if((count($rows)!=$n++)&&($params->get('separatore'))){?>
	<tr><td align="center" colspan="2"><hr width="<?php echo $params->get('wseparatore')?>%" /></td></tr>
	<?php } ?>
<?php
}
?>

</table>